## Display Records

label displayRecords:
    
    scene bg records_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    $ buttonXMin = 150
    $ buttonYMin = 80
    $ buttonXMax = 150
    $ buttonYMax = 80
    $ recordTitleColor = "#FFFFFF"
    $ recordDataColor = "#FFFF00"
    
    $ column1X = 250
    $ column2X = 430
    $ column3X = 730
    $ column4X = 1000
    $ column5X = 1100
    
    $ recordY = 80
    
    $ ui.text("Records", size=32, xpos=640, ypos=13, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.0)
    
    $ ui.text("Most Wins:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % mostWinsHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % mostWinsRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (mostWinsDay, mostWinsMonth, mostWinsYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 140
    
    $ ui.text("Most Losses:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % mostLossesHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % mostLossesRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (mostLossesDay, mostLossesMonth, mostLossesYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 200
    
    $ ui.text("Most Fights\nWithout Defeat:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % undefeatedHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % undefeatedRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (undefeatedDay, undefeatedMonth, undefeatedYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 260
    
    $ ui.text("Most Fights\nWithout A Win:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % winlessHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % winlessRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (winlessDay, winlessMonth, winlessYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 320
    
    $ ui.text("Longest\nWinning Streak:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % winStreakHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % winStreakRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (winStreakDay, winStreakMonth, winStreakYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 380
    
    $ ui.text("Longest\nLosing Streak:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % losingStreakHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % losingStreakRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (losingStreakDay, losingStreakMonth, losingStreakYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 440
    
    $ ui.text("Most Fights:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % mostMatchesHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u" % mostMatchesRecord, text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (mostMatchesDay, mostMatchesMonth, mostMatchesYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 500
    
    $ ui.text("Oldest Fighter:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % oldestHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u yrs %u mths %u days" % (oldestRecordYears, oldestRecordMonths, oldestRecordDays), text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (oldestDay, oldestMonth, oldestYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 560
    
    $ ui.text("Youngest Fighter:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%s" % youngestHolder, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("%u yrs %u mths %u days" % (youngestRecordYears, youngestRecordMonths, youngestRecordDays), text_align=0.5, size=22, xpos=column3X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    $ ui.text("Date Set:", text_align=1.0, size=22, xpos=column4X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u.%u.%u" % (youngestDay, youngestMonth, youngestYear), text_align=0.5, size=22, xpos=column5X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ ui.hbox(xpos=640, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0)
    $ ui.textbutton("Done", clicked=ui.returns("done"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.close()
    
    $ button_selection=ui.interact()
                
    if button_selection=="done":
        jump coreLoopStart
    
    jump coreLoopStart