# "Quick Sim"

label quickSim:
    
    $ winner = 999
    $ loser = 999
    $ winType = "-"
    $ fightRound = 1
    $ roundMins = 0
    $ roundSecs = 0
    
#    "Quick Sim the match"
    
    # Calculate fighters' key values
    
    $ redQuickDefence = int((boxerAwareness[redFighter[matchRunning]] + boxerDefence[redFighter[matchRunning]] + 
        boxerDodging[redFighter[matchRunning]] + boxerHandSpeed[redFighter[matchRunning]] + boxerIntelligence[redFighter[matchRunning]] +
        boxerToughness[redFighter[matchRunning]])/6)
    
    $ redQuickAttack = int((boxerAccuracy[redFighter[matchRunning]] + boxerFootwork[redFighter[matchRunning]] + 
        boxerHandSpeed[redFighter[matchRunning]] + boxerStrength[redFighter[matchRunning]])/4)
    
    $ redQuickEndurance = int((boxerStamina[redFighter[matchRunning]] + boxerRecovery[redFighter[matchRunning]])/2)
    
    $ redQuickKoLoss = int(((boxerChin[redFighter[matchRunning]] + boxerStamina[redFighter[matchRunning]] + boxerRecovery[redFighter[matchRunning]])/3) - 
        ((boxerStrength[blueFighter[matchRunning]] + boxerStamina[blueFighter[matchRunning]])/2))
    
    $ redQuickCutLoss = int(boxerCuts[redFighter[matchRunning]] - ((boxerStrength[blueFighter[matchRunning]] + boxerStamina[blueFighter[matchRunning]])/2))
    
    $ blueQuickDefence = int((boxerAwareness[blueFighter[matchRunning]] + boxerDefence[blueFighter[matchRunning]] + 
        boxerDodging[blueFighter[matchRunning]] + boxerHandSpeed[blueFighter[matchRunning]] + boxerIntelligence[blueFighter[matchRunning]] +
        boxerToughness[blueFighter[matchRunning]])/6)
    
    $ blueQuickAttack = int((boxerAccuracy[blueFighter[matchRunning]] + boxerFootwork[blueFighter[matchRunning]] + 
        boxerHandSpeed[blueFighter[matchRunning]] + boxerStrength[blueFighter[matchRunning]])/4)
    
    $ blueQuickEndurance = int((boxerStamina[blueFighter[matchRunning]] + boxerRecovery[blueFighter[matchRunning]])/2)
    
    $ blueQuickKoLoss = int(((boxerChin[blueFighter[matchRunning]] + boxerStamina[blueFighter[matchRunning]] + boxerRecovery[blueFighter[matchRunning]])/3) - 
        ((boxerStrength[redFighter[matchRunning]] + boxerStamina[redFighter[matchRunning]])/2))
    
    $ blueQuickCutLoss = int(boxerCuts[blueFighter[matchRunning]] - ((boxerStrength[redFighter[matchRunning]] + boxerStamina[redFighter[matchRunning]])/2))
    
    # Calculate Match Winner and Win Type
    
    $ bestEndurance = "null"
    
    $ redQuickEndurance = (redQuickEndurance + renpy.random.randint(-2,1))
    $ redQuickAttack = (redQuickAttack + renpy.random.randint(0,2))
    $ redQuickDefence = (redQuickDefence + renpy.random.randint(0,2))
    
    $ blueQuickEndurance = (blueQuickEndurance + renpy.random.randint(-2,1))
    $ blueQuickAttack = (blueQuickAttack + renpy.random.randint(0,2))
    $ blueQuickDefence = (blueQuickDefence + renpy.random.randint(0,2))
    
#    "redQuickDefence = %(redQuickDefence)u redQuickAttack = %(redQuickAttack)u redQuickEndurance = %(redQuickEndurance)u blueQuickDefence = %(blueQuickDefence)u blueQuickAttack = %(blueQuickAttack)u blueQuickEndurance = %(blueQuickEndurance)u"
#    "redQuickKoLoss = %(redQuickKoLoss)u redQuickCutLoss = %(redQuickCutLoss)u blueQuickKoLoss = %(blueQuickKoLoss)u blueQuickCutLoss = %(blueQuickCutLoss)u"
    
    if redQuickEndurance > blueQuickEndurance:
        $ bestEndurance = "red"
    elif blueQuickEndurance > redQuickEndurance:
        $ bestEndurance = "blue"
    else:
        $ bestEndurance = "even"
        
    $ dominatesFight = "null"
    
    if (redQuickAttack - blueQuickDefence) > (blueQuickAttack - redQuickDefence):
        $ dominatesFight = "red"
    elif (blueQuickAttack - redQuickDefence) > (redQuickAttack - blueQuickDefence):
        $ dominatesFight = "blue"
    else:
        $ dominatesFight = "even"
        
#    "bestEndurance = %(bestEndurance)s dominatesFight = %(dominatesFight)s"
    
    if dominatesFight == "red" and (bestEndurance == "red" or bestEndurance == "even"):
        if blueQuickEndurance < renpy.random.randint(12,15):
            if blueQuickCutLoss < -6 and blueQuickCutLoss < blueQuickKoLoss:
                $ winnerDice = 1
                $ winType = "Cut"
            else:
                $ winnerDice = 1
                $ winType = "KO"
        else:
            $ winnerDice = 1
            $ winType = "Pts"
    elif dominatesFight == "blue" and (bestEndurance == "blue" or bestEndurance == "even"):
        if redQuickEndurance < renpy.random.randint(12,15):
            if redQuickCutLoss < -6 and redQuickCutLoss < redQuickKoLoss:
                $ winnerDice = 2
                $ winType = "Cut"
            else:
                $ winnerDice = 2
                $ winType = "KO"
        else:
            $ winnerDice = 2
            $ winType = "Pts"
    elif dominatesFight == "red" and bestEndurance == "blue":
        if blueQuickEndurance < renpy.random.randint(12,15):
            if blueQuickCutLoss < -6 and blueQuickCutLoss < blueQuickKoLoss:
                $ winnerDice = 1
                $ winType = "Cut"
            else:
                $ winnerDice = 1
                $ winType = "KO"
        else:
            if redQuickEndurance < renpy.random.randint(12,15):
                if redQuickCutLoss < -6 and redQuickCutLoss < redQuickKoLoss:
                    $ winnerDice = 2
                    $ winType = "Cut"
                else:
                    $ winnerDice = 2
                    $ winType = "KO"
            else:
                $ winnerDice = 2
                $ winType = "Pts"
    elif dominatesFight == "blue" and bestEndurance == "red":
        if redQuickEndurance < renpy.random.randint(12,15):
            if redQuickCutLoss < -6 and redQuickCutLoss < redQuickKoLoss:
                $ winnerDice = 2
                $ winType = "Cut"
            else:
                $ winnerDice = 2
                $ winType = "KO"
        else:
            if blueQuickEndurance < renpy.random.randint(12,15):
                if blueQuickCutLoss < -6 and blueQuickCutLoss < blueQuickKoLoss:
                    $ winnerDice = 1
                    $ winType = "Cut"
                else:
                    $ winnerDice = 1
                    $ winType = "KO"
            else:
                $ winnerDice = 1
                $ winType = "Pts"
    elif dominatesFight == "even" and bestEndurance == "red":
        if blueQuickEndurance < renpy.random.randint(12,15):
            if blueQuickCutLoss < -6 and blueQuickCutLoss < blueQuickKoLoss:
                $ winnerDice = 1
                $ winType = "Cut"
            else:
                $ winnerDice = 1
                $ winType = "KO"
        else:
            $ winnerDice = 1
            $ winType = "Pts"
    elif dominatesFight == "even" and bestEndurance == "blue":
        if redQuickEndurance < renpy.random.randint(12,15):
            if redQuickCutLoss < -6 and redQuickCutLoss < redQuickKoLoss:
                $ winnerDice = 2
                $ winType = "Cut"
            else:
                $ winnerDice = 2
                $ winType = "KO"
        else:
            $ winnerDice = 2
            $ winType = "Pts"
    elif dominatesFight == "even" and bestEndurance == "even":
        if redQuickEndurance < renpy.random.randint(12,15) and blueQuickEndurance >= renpy.random.randint(12,15):
            if redQuickKoLoss < -3:
                $ winnerDice = 2
                $ winType = "KO"
            elif redQuickCutLoss < -6:
                $ winnerDice = 2
                $ winType = "Cut"
            else:
                $ winnerDice = 2
                $ winType = "Pts"
        elif blueQuickEndurance < renpy.random.randint(12,15) and redQuickEndurance >= renpy.random.randint(12,15):
            if blueQuickKoLoss < -3:
                $ winnerDice = 1
                $ winType = "KO"
            elif blueQuickCutLoss < -6:
                $ winnerDice = 1
                $ winType = "Cut"
            else:
                $ winnerDice = 1
                $ winType = "Pts"
        else:
            if redQuickAttack > blueQuickDefence:
                $ winnerDice = 1
                $ winType = "Pts"
            elif blueQuickAttack > redQuickDefence:
                $ winnerDice = 2
                $ winType = "Pts"
            else:
                $ winnerDice = 0
                $ winType = "Pts"
            
    else:
        $ winnerDice = 0
        $ winType = "Pts"
    
    if winnerDice == 1:
        $ winner = redFighter[matchRunning]
        $ loser = blueFighter[matchRunning]
        $ matchWinner = 1
    elif winnerDice == 2:
        $ winner = blueFighter[matchRunning]
        $ loser = redFighter[matchRunning]
        $ matchWinner = 2
    else:
        $ winner = redFighter[matchRunning]
        $ loser = blueFighter[matchRunning]
        $ matchWinner = 0
    
    
    # Calculate win round and time
    
    if winType == "Pts":
        $ fightRound = 10
        $ roundMins = 3
        $ roundSecs = 00
    elif winType == "KO":
        if matchWinner == 1:
            if blueQuickKoLoss < -5:
                $ fightRound = renpy.random.randint(1,3)
            elif blueQuickEndurance < 10:
                $ fightRound = renpy.random.randint(2,5)
            elif blueQuickEndurance < 15:
                $ fightRound = renpy.random.randint(5,7)
            else:
                $ fightRound = renpy.random.randint(7,10)
        else:
            if redQuickKoLoss < -5:
                $ fightRound = renpy.random.randint(1,3)
            elif redQuickEndurance < 10:
                $ fightRound = renpy.random.randint(2,5)
            elif redQuickEndurance < 15:
                $ fightRound = renpy.random.randint(5,7)
            else:
                $ fightRound = renpy.random.randint(7,10)
        
        $ roundMins = renpy.random.randint(0,2)
        $ roundSecs = renpy.random.randint(14,59)
    else:
        if matchWinner == 1:
            if blueQuickCutLoss < -5:
                $ fightRound = renpy.random.randint(1,3)
            elif blueQuickCutLoss < 0:
                $ fightRound = renpy.random.randint(2,5)
            elif blueQuickCutLoss < 5:
                $ fightRound = renpy.random.randint(5,7)
            else:
                $ fightRound = renpy.random.randint(7,10)
        else:
            if redQuickCutLoss < -5:
                $ fightRound = renpy.random.randint(1,3)
            elif redQuickCutLoss < 0:
                $ fightRound = renpy.random.randint(2,5)
            elif redQuickCutLoss < 5:
                $ fightRound = renpy.random.randint(5,7)
            else:
                $ fightRound = renpy.random.randint(7,10)
        
        $ roundMins = renpy.random.randint(0,2)
        $ roundSecs = renpy.random.randint(14,59)
        
    # Update Records
    
    # Update Winner Record
    
    $ boxerHistory5Opponent[winner] = boxerHistory4Opponent[winner]
    $ boxerHistory5WinLoss[winner] = boxerHistory4WinLoss[winner]
    $ boxerHistory5ResultType[winner] = boxerHistory4ResultType[winner]
    $ boxerHistory5Round[winner] = boxerHistory4Round[winner]
    $ boxerHistory5Mins[winner] = boxerHistory4Mins[winner]
    $ boxerHistory5Secs[winner] = boxerHistory4Secs[winner]
    $ boxerHistory5Note[winner] = boxerHistory4Note[winner]
    $ boxerHistory5Day[winner] = boxerHistory4Day[winner]
    $ boxerHistory5Month[winner] = boxerHistory4Month[winner]
    $ boxerHistory5Year[winner] = boxerHistory4Year[winner]
    
    $ boxerHistory4Opponent[winner] = boxerHistory3Opponent[winner]
    $ boxerHistory4WinLoss[winner] = boxerHistory3WinLoss[winner]
    $ boxerHistory4ResultType[winner] = boxerHistory3ResultType[winner]
    $ boxerHistory4Round[winner] = boxerHistory3Round[winner]
    $ boxerHistory4Mins[winner] = boxerHistory3Mins[winner]
    $ boxerHistory4Secs[winner] = boxerHistory3Secs[winner]
    $ boxerHistory4Note[winner] = boxerHistory3Note[winner]
    $ boxerHistory4Day[winner] = boxerHistory3Day[winner]
    $ boxerHistory4Month[winner] = boxerHistory3Month[winner]
    $ boxerHistory4Year[winner] = boxerHistory3Year[winner]
    
    $ boxerHistory3Opponent[winner] = boxerHistory2Opponent[winner]
    $ boxerHistory3WinLoss[winner] = boxerHistory2WinLoss[winner]
    $ boxerHistory3ResultType[winner] = boxerHistory2ResultType[winner]
    $ boxerHistory3Round[winner] = boxerHistory2Round[winner]
    $ boxerHistory3Mins[winner] = boxerHistory2Mins[winner]
    $ boxerHistory3Secs[winner] = boxerHistory2Secs[winner]
    $ boxerHistory3Note[winner] = boxerHistory2Note[winner]
    $ boxerHistory3Day[winner] = boxerHistory2Day[winner]
    $ boxerHistory3Month[winner] = boxerHistory2Month[winner]
    $ boxerHistory3Year[winner] = boxerHistory2Year[winner]
    
    $ boxerHistory2Opponent[winner] = boxerHistory1Opponent[winner]
    $ boxerHistory2WinLoss[winner] = boxerHistory1WinLoss[winner]
    $ boxerHistory2ResultType[winner] = boxerHistory1ResultType[winner]
    $ boxerHistory2Round[winner] = boxerHistory1Round[winner]
    $ boxerHistory2Mins[winner] = boxerHistory1Mins[winner]
    $ boxerHistory2Secs[winner] = boxerHistory1Secs[winner]
    $ boxerHistory2Note[winner] = boxerHistory1Note[winner]
    $ boxerHistory2Day[winner] = boxerHistory1Day[winner]
    $ boxerHistory2Month[winner] = boxerHistory1Month[winner]
    $ boxerHistory2Year[winner] = boxerHistory1Year[winner]
    
    $ boxerHistory1Opponent[winner] = (boxerFirstName[loser] + " " + boxerSurname[loser])
    if matchWinner == 0:
        $ boxerHistory1WinLoss[winner] = "Draw"
    else:
        $ boxerHistory1WinLoss[winner] = "Win"
    $ boxerHistory1ResultType[winner] = winType
    $ boxerHistory1Round[winner] = fightRound
    $ boxerHistory1Mins[winner] = roundMins
    $ boxerHistory1Secs[winner] = roundSecs
    $ boxerHistory1Note[winner] = "-"
    $ boxerHistory1Day[winner] = day
    $ boxerHistory1Month[winner] = month
    $ boxerHistory1Year[winner] = year
    
    # Update Loser Record
    
    $ boxerHistory5Opponent[loser] = boxerHistory4Opponent[loser]
    $ boxerHistory5WinLoss[loser] = boxerHistory4WinLoss[loser]
    $ boxerHistory5ResultType[loser] = boxerHistory4ResultType[loser]
    $ boxerHistory5Round[loser] = boxerHistory4Round[loser]
    $ boxerHistory5Mins[loser] = boxerHistory4Mins[loser]
    $ boxerHistory5Secs[loser] = boxerHistory4Secs[loser]
    $ boxerHistory5Note[loser] = boxerHistory4Note[loser]
    $ boxerHistory5Day[loser] = boxerHistory4Day[loser]
    $ boxerHistory5Month[loser] = boxerHistory4Month[loser]
    $ boxerHistory5Year[loser] = boxerHistory4Year[loser]
    
    $ boxerHistory4Opponent[loser] = boxerHistory3Opponent[loser]
    $ boxerHistory4WinLoss[loser] = boxerHistory3WinLoss[loser]
    $ boxerHistory4ResultType[loser] = boxerHistory3ResultType[loser]
    $ boxerHistory4Round[loser] = boxerHistory3Round[loser]
    $ boxerHistory4Mins[loser] = boxerHistory3Mins[loser]
    $ boxerHistory4Secs[loser] = boxerHistory3Secs[loser]
    $ boxerHistory4Note[loser] = boxerHistory3Note[loser]
    $ boxerHistory4Day[loser] = boxerHistory3Day[loser]
    $ boxerHistory4Month[loser] = boxerHistory3Month[loser]
    $ boxerHistory4Year[loser] = boxerHistory3Year[loser]
    
    $ boxerHistory3Opponent[loser] = boxerHistory2Opponent[loser]
    $ boxerHistory3WinLoss[loser] = boxerHistory2WinLoss[loser]
    $ boxerHistory3ResultType[loser] = boxerHistory2ResultType[loser]
    $ boxerHistory3Round[loser] = boxerHistory2Round[loser]
    $ boxerHistory3Mins[loser] = boxerHistory2Mins[loser]
    $ boxerHistory3Secs[loser] = boxerHistory2Secs[loser]
    $ boxerHistory3Note[loser] = boxerHistory2Note[loser]
    $ boxerHistory3Day[loser] = boxerHistory2Day[loser]
    $ boxerHistory3Month[loser] = boxerHistory2Month[loser]
    $ boxerHistory3Year[loser] = boxerHistory2Year[loser]
    
    $ boxerHistory2Opponent[loser] = boxerHistory1Opponent[loser]
    $ boxerHistory2WinLoss[loser] = boxerHistory1WinLoss[loser]
    $ boxerHistory2ResultType[loser] = boxerHistory1ResultType[loser]
    $ boxerHistory2Round[loser] = boxerHistory1Round[loser]
    $ boxerHistory2Mins[loser] = boxerHistory1Mins[loser]
    $ boxerHistory2Secs[loser] = boxerHistory1Secs[loser]
    $ boxerHistory2Note[loser] = boxerHistory1Note[loser]
    $ boxerHistory2Day[loser] = boxerHistory1Day[loser]
    $ boxerHistory2Month[loser] = boxerHistory1Month[loser]
    $ boxerHistory2Year[loser] = boxerHistory1Year[loser]
    
    $ boxerHistory1Opponent[loser] = (boxerFirstName[winner] + " " + boxerSurname[winner])
    if matchWinner == 0:
        $ boxerHistory1WinLoss[loser] = "Draw"
    else:
        $ boxerHistory1WinLoss[loser] = "Loss"
    $ boxerHistory1ResultType[loser] = winType
    $ boxerHistory1Round[loser] = fightRound
    $ boxerHistory1Mins[loser] = roundMins
    $ boxerHistory1Secs[loser] = roundSecs
    $ boxerHistory1Note[loser] = "-"
    $ boxerHistory1Day[loser] = day
    $ boxerHistory1Month[loser] = month
    $ boxerHistory1Year[loser] = year
    
    return


