## Show Stable Stats

label showStableStats:
    
    scene bg stats_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    hide screen gui
    
#    show screen debugInjury
    
    if boxerRanking[statsIndex] == 1:
        show worldBelt:
            xanchor 0.5
            yanchor 0.5
            xpos 137
            ypos 57
    
    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 26
    $ textColorStatName = "#FFFFFF"
    $ textColorStat = "#FFFF00"
    
    $ emotionText = "Null"
    
    if boxerEmotionOverall[statsIndex] == 0:
        $ emotionText = "Very Unhappy"
    elif boxerEmotionOverall[statsIndex] == 1:
        $ emotionText = "Unhappy"
    elif boxerEmotionOverall[statsIndex] == 2:
        $ emotionText = "Disappointed"
    elif boxerEmotionOverall[statsIndex] == 3:
        $ emotionText = "Satisfied"
    elif boxerEmotionOverall[statsIndex] == 4:
        $ emotionText = "Optimistic"
    elif boxerEmotionOverall[statsIndex] == 5:
        $ emotionText = "Happy"
    elif boxerEmotionOverall[statsIndex] == 6:
        $ emotionText = "Very Happy"
    
    $ ui.text("%u. %s %s " % (boxerRanking[statsIndex], boxerFirstName[statsIndex], boxerSurname[statsIndex]), xpos=640, ypos=10, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
    $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[statsIndex], boxerBirthMonth[statsIndex], boxerBirthYear[statsIndex], boxerAge[statsIndex], boxerWins[statsIndex], boxerKOs[statsIndex], boxerLosses[statsIndex], boxerKOLosses[statsIndex], boxerDraws[statsIndex]), xpos=640, ypos=60, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")
    
    $ ui.grid (4,8, xpos=660, ypos=120, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.0)
        
    $ ui.text("Accuracy: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerAccuracy[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Footwork: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerFootwork[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Awareness: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerAwareness[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Hand Speed: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerHandSpeed[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Chin: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerChin[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Intelligence: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerIntelligence[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Cut Resistance: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerCuts[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Recovery: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerRecovery[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Defence: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDefence[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Stamina: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerStamina[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Determination: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDetermination[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Strength: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerStrength[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Dodging: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDodging[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Toughness: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerToughness[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Physical Condition: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%u%%" % boxerEnergy[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Morale: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%s" % emotionText, size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.close()
    
    $ textSizeRecord = 22
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=375, xanchor=0.5, yanchor=0.0)
    $ ui.text("Record (Last 5 Matches)", size=26, xalign=0.5, yalign=1.0, color=textColorStatName)
    $ ui.close()
    
    $ column1X = 105
    $ column2X = 210
    $ column3X = 450
    $ column4X = 690
    $ column5X = 770
    $ column6X = 850
    $ column7X = 1070
    
    $ ui.text("Date", size=22, xpos=column1X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text(" ", size=22, xpos=column2X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Opponent", size=22, xpos=column3X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("By", size=22, xpos=column4X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Round", size=22, xpos=column5X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Time", size=22, xpos=column6X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Note", size=22, xpos=column7X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    
    $ ui.text("%u.%u.%u" % (boxerHistory1Day[statsIndex], boxerHistory1Month[statsIndex], boxerHistory1Year[statsIndex]), size=textSizeRecord, xpos=column1X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1WinLoss[statsIndex], size=textSizeRecord, xpos=column2X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1Opponent[statsIndex], size=textSizeRecord, xpos=column3X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1ResultType[statsIndex], size=textSizeRecord, xpos=column4X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory1Round[statsIndex], size=textSizeRecord, xpos=column5X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory1Mins[statsIndex],boxerHistory1Secs[statsIndex]), size=textSizeRecord, xpos=column6X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1Note[statsIndex], size=textSizeRecord, xpos=column7X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory2Day[statsIndex], boxerHistory2Month[statsIndex], boxerHistory2Year[statsIndex]), size=textSizeRecord, xpos=column1X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2WinLoss[statsIndex], size=textSizeRecord, xpos=column2X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2Opponent[statsIndex], size=textSizeRecord, xpos=column3X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2ResultType[statsIndex], size=textSizeRecord, xpos=column4X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory2Round[statsIndex], size=textSizeRecord, xpos=column5X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory2Mins[statsIndex],boxerHistory2Secs[statsIndex]), size=textSizeRecord, xpos=column6X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2Note[statsIndex], size=textSizeRecord, xpos=column7X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory3Day[statsIndex], boxerHistory3Month[statsIndex], boxerHistory3Year[statsIndex]), size=textSizeRecord, xpos=column1X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3WinLoss[statsIndex], size=textSizeRecord, xpos=column2X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3Opponent[statsIndex], size=textSizeRecord, xpos=column3X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3ResultType[statsIndex], size=textSizeRecord, xpos=column4X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory3Round[statsIndex], size=textSizeRecord, xpos=column5X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory3Mins[statsIndex],boxerHistory3Secs[statsIndex]), size=textSizeRecord, xpos=column6X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3Note[statsIndex], size=textSizeRecord, xpos=column7X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory4Day[statsIndex], boxerHistory4Month[statsIndex], boxerHistory4Year[statsIndex]), size=textSizeRecord, xpos=column1X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4WinLoss[statsIndex], size=textSizeRecord, xpos=column2X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4Opponent[statsIndex], size=textSizeRecord, xpos=column3X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4ResultType[statsIndex], size=textSizeRecord, xpos=column4X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory4Round[statsIndex], size=textSizeRecord, xpos=column5X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory4Mins[statsIndex],boxerHistory4Secs[statsIndex]), size=textSizeRecord, xpos=column6X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4Note[statsIndex], size=textSizeRecord, xpos=column7X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory5Day[statsIndex], boxerHistory5Month[statsIndex], boxerHistory5Year[statsIndex]), size=textSizeRecord, xpos=column1X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5WinLoss[statsIndex], size=textSizeRecord, xpos=column2X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5Opponent[statsIndex], size=textSizeRecord, xpos=column3X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5ResultType[statsIndex], size=textSizeRecord, xpos=column4X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory5Round[statsIndex], size=textSizeRecord, xpos=column5X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory5Mins[statsIndex],boxerHistory5Secs[statsIndex]), size=textSizeRecord, xpos=column6X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5Note[statsIndex], size=textSizeRecord, xpos=column7X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=710, xanchor=0.5, yanchor=1.0)
    $ ui.textbutton("Rank 1-10", clicked=ui.returns("rank1-10"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 11-20", clicked=ui.returns("rank11-20"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 21-30", clicked=ui.returns("rank21-30"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 31-40", clicked=ui.returns("rank31-40"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 41-50", clicked=ui.returns("rank41-50"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 51-60", clicked=ui.returns("rank51-60"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 61-70", clicked=ui.returns("rank61-70"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 71-80", clicked=ui.returns("rank71-80"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 81-90", clicked=ui.returns("rank81-90"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Rank 91-100", clicked=ui.returns("rank91-100"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Stable", clicked=ui.returns("stable"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.close()
    
    $ button_selection=ui.interact()
                
    if button_selection=="stable":
#        hide screen debugInjury
        hide worldBelt
        jump showStable
    elif button_selection=="rank1-10":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings
    elif button_selection=="rank11-20":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings2
    elif button_selection=="rank21-30":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings3
    elif button_selection=="rank31-40":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings4
    elif button_selection=="rank41-50":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings5
    elif button_selection=="rank51-60":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings6
    elif button_selection=="rank61-70":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings7
    elif button_selection=="rank71-80":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings8
    elif button_selection=="rank81-90":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings9
    elif button_selection=="rank91-100":
#        hide screen debugInjury
        hide worldBelt
        jump displayRankings10

    jump showStable