# Stable Show Contract

label stableShowContract:
    
    scene bg stable_contract_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    hide screen gui
    
    if boxerRanking[rankingSlot[statsIndex]] == 1:
        show worldBelt:
            xanchor 0.5
            yanchor 0.5
            xpos 137
            ypos 57

    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 26
    $ textColorStatName = "#FFFFFF"
    $ textColorStat = "#FFFF00"
    
    $ column1X = 180
    $ column2X = 530
    $ column3X = 690
    $ column4X = 1040
    
    $ emotionText = "Null"
    
    if boxerEmotionStable[statsIndex] == 0:
        $ emotionText = "Very Unhappy"
    elif boxerEmotionStable[statsIndex] == 1:
        $ emotionText = "Unhappy"
    elif boxerEmotionStable[statsIndex] == 2:
        $ emotionText = "Disappointed"
    elif boxerEmotionStable[statsIndex] == 3:
        $ emotionText = "Satisfied"
    elif boxerEmotionStable[statsIndex] == 4:
        $ emotionText = "Optimistic"
    elif boxerEmotionStable[statsIndex] == 5:
        $ emotionText = "Happy"
    elif boxerEmotionStable[statsIndex] == 6:
        $ emotionText = "Very Happy"
    
    $ ui.text("%u. %s %s " % (boxerRanking[statsIndex], boxerFirstName[statsIndex], boxerSurname[statsIndex]), xpos=640, ypos=10, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
    $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[statsIndex], boxerBirthMonth[statsIndex], boxerBirthYear[statsIndex], boxerAge[statsIndex], boxerWins[statsIndex], boxerKOs[statsIndex], boxerLosses[statsIndex], boxerKOLosses[statsIndex], boxerDraws[statsIndex]), xpos=640, ypos=60, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")
    
    $ ui.text("Contract Promises", size=26, xpos=640, ypos=150, xanchor=0.0, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStatName)
    
    $ ui.text("Fights: ", size=textSize, xpos=column1X, ypos=200, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerPromiseFights[statsIndex], size=textSize, xpos=column2X, ypos=200, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Average Purse: ", size=textSize, xpos=column3X, ypos=200, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u%%" % boxerPromisePurse[statsIndex], size=textSize, xpos=column4X, ypos=200, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Highest Ranking: ", size=textSize, xpos=column1X, ypos=230, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerPromiseRank[statsIndex], size=textSize, xpos=column2X, ypos=230, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Title Shot: ", size=textSize, xpos=column3X, ypos=230, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%s" % boxerPromiseTitleShot[statsIndex], size=textSize, xpos=column4X, ypos=230, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.text("Actual Stats", size=26, xpos=640, ypos=300, xanchor=0.0, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStatName)
    
    $ ui.text("Completed Fights: ", size=textSize, xpos=column1X, ypos=350, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerContractFights[statsIndex], size=textSize, xpos=column2X, ypos=350, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Average Purse: ", size=textSize, xpos=column3X, ypos=350, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    if boxerContractFights[statsIndex] > 0:
        $ ui.text("%u%%" % (int(boxerContractPurse[statsIndex] / boxerContractFights[statsIndex])), size=textSize, xpos=column4X, ypos=350, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    else:
        $ ui.text("0%", size=textSize, xpos=column4X, ypos=350, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.text("Highest Ranking: ", size=textSize, xpos=column1X, ypos=380, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerHighestRank[statsIndex], size=textSize, xpos=column2X, ypos=380, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Title Shot: ", size=textSize, xpos=column3X, ypos=380, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%s" % boxerContractTitle[statsIndex], size=textSize, xpos=column4X, ypos=380, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Morale (contract): ", size=textSize, xpos=column3X, ypos=410, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%s" % emotionText, size=textSize, xpos=column4X, ypos=410, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.text("Next Fight", size=26, xpos=640, ypos=480, xanchor=0.0, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStatName)
    
    if boxerNextFightOpponent[statsIndex] != 999:
        $ ui.text("%u.%u.%u" % (boxerNextFightDay[statsIndex], boxerNextFightMonth[statsIndex], boxerNextFightYear[statsIndex]), size=textSize, xpos=300, ypos=530, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
        $ ui.text("%u. %s %s" % (boxerRanking[boxerNextFightOpponent[statsIndex]], boxerFirstName[boxerNextFightOpponent[statsIndex]], boxerSurname[boxerNextFightOpponent[statsIndex]]), size=textSize, xpos=440, ypos=530, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStat)
        $ ui.text("Purse: %u%%" % boxerNextFightPurse[statsIndex], size=textSize, xpos=900, ypos=530, xanchor=0.0, yanchor=0.0, xalign=0.0, yalign=1.0, color=textColorStat)
    else:
        $ ui.text("--- No Fight Booked ---", size=textSize, xpos=640, ypos=530, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=710, xanchor=0.5, yanchor=1.0)
    $ ui.textbutton("Stable", clicked=ui.returns("stable"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.close()
    
    $ button_selection=ui.interact()
                
    if button_selection=="stable":
        hide worldBelt
        jump showStable
    
    jump showStable