## Create Card

label createCard:

#    "Create Card"

    scene bg daily_update_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0
        
    show screen gui
    
    $ x = 0
    $ eventIndex = 1
    $ noOpponentCount = 1
    $ matchBookingStart = (((eventIndex * 5) + 1) - 1)
    $ matchBooking = (matchBookingStart + matchesBooked[eventIndex])
    
    while matchBooking < (matchBookingStart + 5):
        
        $ ui.text("Booking Match No.%u" % matchBooking, size=28, xpos=640, ypos=70, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5)
        $ renpy.pause(0.000000001)
        
        label selectRedFighter:
        
        $ noOpponentCount = 1
        $ x = 0
    
        while x == 0:
            $ redFighter[matchBooking] = renpy.random.randint(0,totalBoxers-1)
            
            # Check fighter isn't already booked, tired, or in the player's stable
             
            if boxerMatchBooked[redFighter[matchBooking]] == 1 or boxerEnergy[redFighter[matchBooking]] < 60 or boxerKOCondition[redFighter[matchBooking]] < 100 or boxerPlayerStable[redFighter[matchBooking]] == 1:
                $ x = 0
            else:
                $ boxerMatchBooked[redFighter[matchBooking]] = 1
                $ x = 1
        $ x = 0
        
        $ upperOpponentLimit = (boxerRanking[redFighter[matchBooking]] - 11)
        
        if upperOpponentLimit < 0:
            $ upperOpponentLimit = 0
            
        $ lowerOpponentLimit = (boxerRanking[redFighter[matchBooking]] + 4)
        
        if lowerOpponentLimit > (totalBoxers-1):
            $ lowerOpponentLimit = (totalBoxers-1)
        
        while x == 0:
            $ blueFighter[matchBooking] = rankingSlot[renpy.random.randint(upperOpponentLimit,lowerOpponentLimit)]
            
            # Check fighter isn't already booked, tired, or in the player's stable
             
            if boxerPlayerStable[blueFighter[matchBooking]] == 1 and boxerMatchBooked[blueFighter[matchBooking]] != 1:
                jump stableFightOffer
                label stableFightOfferReturn:
                    scene bg daily_update_bkgnd:
                        zoom 1.0
                        xalign 1.0
                        yalign 1.0
                        
                    show screen gui
                    if fightOfferAccepted != 1:
                        $ x = 0
                        $ noOpponentCount += 1
                        if noOpponentCount >= 10:
#                            "No Opponent Available"
                            jump selectRedFighter
                    else:
                        $ boxerMatchBooked[blueFighter[matchBooking]] = 1
                        $ x = 1
            else:
                if boxerMatchBooked[blueFighter[matchBooking]] == 1 or boxerEnergy[blueFighter[matchBooking]] < 60 or boxerKOCondition[blueFighter[matchBooking]] < 100:
                    $ x = 0
                    $ noOpponentCount += 1
                    if noOpponentCount >= 10:
#                        "No Opponent Available"
                        jump selectRedFighter
                else:
                    $ boxerMatchBooked[blueFighter[matchBooking]] = 1
                    $ expectedPurse = 0
                    
                    if (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 10:
                        $ expectedPurse = 80
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 10 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 6:
                        $ expectedPurse = 75
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 6 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 2:
                        $ expectedPurse = 70
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 2 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 0:
                        $ expectedPurse = 60
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 0 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= -2:
                        $ expectedPurse = 45
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < -2 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= -6:
                        $ expectedPurse = 40
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < -6 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= -8:
                        $ expectedPurse = 30
                    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < -8:
                        $ expectedPurse = 25
                                    
                    $ proposedPurse = (100 - expectedPurse)
                    $ x = 1
                
            
        if boxerRanking[redFighter[matchBooking]] == 1:
            $ champFirstName = boxerFirstName[redFighter[matchBooking]]
            $ champSurname = boxerSurname[redFighter[matchBooking]]
            $ challengerFirstName = boxerFirstName[blueFighter[matchBooking]]
            $ challengerSurname = boxerSurname[blueFighter[matchBooking]]
            $ titleFightDay = eventDay[eventIndex]
            $ titleFightMonth = eventMonth[eventIndex]
            $ titleFightYear = eventYear[eventIndex]
            $ boxerPromiseTitleShot[blueFighter[matchBooking]] = "World"
            bas "World Heavyweight Champion %(champFirstName)s %(champSurname)s has just signed a contract to put his title on the line against %(challengerFirstName)s %(challengerSurname)s on Saturday %(titleFightDay)u.%(titleFightMonth)u.%(titleFightYear)u."
        elif boxerRanking[blueFighter[matchBooking]] == 1:
            $ champFirstName = boxerFirstName[blueFighter[matchBooking]]
            $ champSurname = boxerSurname[blueFighter[matchBooking]]
            $ challengerFirstName = boxerFirstName[redFighter[matchBooking]]
            $ challengerSurname = boxerSurname[redFighter[matchBooking]]
            $ titleFightDay = eventDay[eventIndex]
            $ titleFightMonth = eventMonth[eventIndex]
            $ titleFightYear = eventYear[eventIndex]
            $ boxerPromiseTitleShot[redFighter[matchBooking]] = "World"
            bas "World Heavyweight Champion %(champFirstName)s %(champSurname)s has just signed a contract to put his title on the line against %(challengerFirstName)s %(challengerSurname)s on Saturday %(titleFightDay)u.%(titleFightMonth)u.%(titleFightYear)u."
        
        $ boxerFightsBooked[redFighter[matchBooking]] += 1
        if boxerFightsBooked[redFighter[matchBooking]] >= boxerPromiseFights[redFighter[matchBooking]]:
            $ boxerContractExpiring[redFighter[matchBooking]] = 1
        else:
            $ boxerContractExpiring[redFighter[matchBooking]] = 0
        if boxerRanking[blueFighter[matchBooking]] == 1 or boxerRanking[redFighter[matchBooking]] == 1 or boxerContractTitle[redFighter[matchBooking]] == "World":
            $ boxerContractTitle[redFighter[matchBooking]] = "World"
        else:
            $ boxerContractTitle[redFighter[matchBooking]] = "None"
        $ boxerNextFightPurse[redFighter[matchBooking]] = expectedPurse
        $ boxerNextFightOpponent[redFighter[matchBooking]] = blueFighter[matchBooking]
        $ boxerNextFightDay[redFighter[matchBooking]] = eventDay[eventIndex]
        $ boxerNextFightMonth[redFighter[matchBooking]] = eventMonth[eventIndex]
        $ boxerNextFightYear[redFighter[matchBooking]] = eventYear[eventIndex]
        
        if boxerNextFightPurse[redFighter[matchBooking]] < boxerPromisePurse[redFighter[matchBooking]]:
            $ boxerEmotionStable[redFighter[matchBooking]] -= 1
            
        $ boxerEmotionOverall[redFighter[matchBooking]] = int((boxerEmotionRecord[redFighter[matchBooking]] + boxerEmotionStable[redFighter[matchBooking]] + boxerEmotionTraining[redFighter[matchBooking]]) / 3)
        
        
        $ boxerFightsBooked[blueFighter[matchBooking]] += 1
        if boxerFightsBooked[blueFighter[matchBooking]] >= boxerPromiseFights[blueFighter[matchBooking]]:
            $ boxerContractExpiring[blueFighter[matchBooking]] = 1
        else:
            $ boxerContractExpiring[blueFighter[matchBooking]] = 0
        if boxerRanking[redFighter[matchBooking]] == 1 or boxerRanking[blueFighter[matchBooking]] == 1 or boxerContractTitle[blueFighter[matchBooking]] == "World":
            $ boxerContractTitle[blueFighter[matchBooking]] = "World"
        else:
            $ boxerContractTitle[blueFighter[matchBooking]] = "None"
        $ boxerNextFightPurse[blueFighter[matchBooking]] = proposedPurse
        $ boxerNextFightOpponent[blueFighter[matchBooking]] = redFighter[matchBooking]
        $ boxerNextFightDay[blueFighter[matchBooking]] = eventDay[eventIndex]
        $ boxerNextFightMonth[blueFighter[matchBooking]] = eventMonth[eventIndex]
        $ boxerNextFightYear[blueFighter[matchBooking]] = eventYear[eventIndex]
        
        if boxerNextFightPurse[blueFighter[matchBooking]] < boxerPromisePurse[blueFighter[matchBooking]]:
            $ boxerEmotionStable[blueFighter[matchBooking]] -= 1
            
        $ boxerEmotionOverall[blueFighter[matchBooking]] = int((boxerEmotionRecord[blueFighter[matchBooking]] + boxerEmotionStable[blueFighter[matchBooking]] + boxerEmotionTraining[blueFighter[matchBooking]]) / 3)
        
                
        $ matchBooking += 1
        $ matchesBooked[eventIndex] += 1
        $ x = 0
        
    # sort card
    
    $ redSwitch = 999
    $ blueSwitch = 999
    $ x = matchBookingStart
    
    while x < (matchBookingStart + 5):
        if x < (matchBookingStart + 4):
            if boxerRanking[redFighter[x]] < boxerRanking[blueFighter[x]]:
                if (boxerRanking[redFighter[x]] < boxerRanking[redFighter[x+1]] and boxerRanking[redFighter[x]] < boxerRanking[blueFighter[x+1]]):
                    $ redSwitch = redFighter[x]
                    $ bluesSwitch = blueFighter[x]
                    $ redFighter[x] = redFighter[x+1]
                    $ blueFighter[x] = blueFighter[x+1]
                    $ redFighter[x+1] = redSwitch
                    $ blueFighter[x+1] = bluesSwitch
                    $ x = matchBookingStart
                else:
                    $ x += 1
            elif boxerRanking[blueFighter[x]] < boxerRanking[redFighter[x]]:
                if (boxerRanking[blueFighter[x]] < boxerRanking[redFighter[x+1]] and boxerRanking[blueFighter[x]] < boxerRanking[blueFighter[x+1]]):
                    $ redSwitch = redFighter[x]
                    $ bluesSwitch = blueFighter[x]
                    $ redFighter[x] = redFighter[x+1]
                    $ blueFighter[x] = blueFighter[x+1]
                    $ redFighter[x+1] = redSwitch
                    $ blueFighter[x+1] = bluesSwitch
                    $ x = matchBookingStart
                else:
                    $ x += 1
        else:
            if boxerRanking[redFighter[x]] < boxerRanking[blueFighter[x]]:
                if (boxerRanking[redFighter[x]] > boxerRanking[redFighter[x-1]] and boxerRanking[redFighter[x]] > boxerRanking[blueFighter[x-1]]):
                    $ redSwitch = redFighter[x]
                    $ bluesSwitch = blueFighter[x]
                    $ redFighter[x] = redFighter[x-1]
                    $ blueFighter[x] = blueFighter[x-1]
                    $ redFighter[x-1] = redSwitch
                    $ blueFighter[x-1] = bluesSwitch
                    $ x = matchBookingStart
                else:
                    $ x += 1
            elif boxerRanking[blueFighter[x]] < boxerRanking[redFighter[x]]:
                if (boxerRanking[blueFighter[x]] > boxerRanking[redFighter[x-1]] and boxerRanking[blueFighter[x]] > boxerRanking[blueFighter[x-1]]):
                    $ redSwitch = redFighter[x]
                    $ bluesSwitch = blueFighter[x]
                    $ redFighter[x] = redFighter[x-1]
                    $ blueFighter[x] = blueFighter[x-1]
                    $ redFighter[x-1] = redSwitch
                    $ blueFighter[x-1] = bluesSwitch
                    $ x = matchBookingStart
                else:
                    $ x += 1
    
        
    $ cardRun[eventIndex] = 0

    jump cardReturn