## Offer Contract

label offerContract:

    $ stickingPoints = 0
    
    # Decide what the fighter will likely want
    
    if boxerAge[rankingSlot[statsIndex]] <= 21:
        $ expectedFights = 4
    elif boxerAge[rankingSlot[statsIndex]] > 21 and boxerAge[rankingSlot[statsIndex]] <= 25:
        $ expectedFights = 3
    elif boxerAge[rankingSlot[statsIndex]] > 25 and boxerAge[rankingSlot[statsIndex]] <= 30:
        $ expectedFights = 4
    elif boxerAge[rankingSlot[statsIndex]] > 30 and boxerAge[rankingSlot[statsIndex]] <= 36: 
        $ expectedFights = 5
    elif boxerAge[rankingSlot[statsIndex]] > 36:
        $ expectedFights = 3
        
    if boxerRanking[rankingSlot[statsIndex]] > 80:
        $ expectedPurse = 20
    elif boxerRanking[rankingSlot[statsIndex]] <= 80 and boxerRanking[rankingSlot[statsIndex]] > 60:
        $ expectedPurse = 25
    elif boxerRanking[rankingSlot[statsIndex]] <= 60 and boxerRanking[rankingSlot[statsIndex]] > 40:
        $ expectedPurse = 30
    elif boxerRanking[rankingSlot[statsIndex]] <= 40 and boxerRanking[rankingSlot[statsIndex]] > 20:
        $ expectedPurse = 35
    elif boxerRanking[rankingSlot[statsIndex]] <= 20 and boxerRanking[rankingSlot[statsIndex]] > 10:
        $ expectedPurse = 40
    elif boxerRanking[rankingSlot[statsIndex]] <= 10 and boxerRanking[rankingSlot[statsIndex]] > 5:
        $ expectedPurse = 45
    elif boxerRanking[rankingSlot[statsIndex]] <= 5 and boxerRanking[rankingSlot[statsIndex]] > 1:
        $ expectedPurse = 50
    elif boxerRanking[rankingSlot[statsIndex]] == 1:
        $ expectedPurse = 60
    
    if boxerRanking[rankingSlot[statsIndex]] > 80:
        $ expectedRank = boxerRanking[rankingSlot[statsIndex]] - 10
    elif boxerRanking[rankingSlot[statsIndex]] <= 80 and boxerRanking[rankingSlot[statsIndex]] > 60:
        $ expectedRank = boxerRanking[rankingSlot[statsIndex]] - 15
    elif boxerRanking[rankingSlot[statsIndex]] <= 60 and boxerRanking[rankingSlot[statsIndex]] > 20:
        $ expectedRank = boxerRanking[rankingSlot[statsIndex]] - 20
    elif boxerRanking[rankingSlot[statsIndex]] <= 20 and boxerRanking[rankingSlot[statsIndex]] > 10:
        $ expectedRank = boxerRanking[rankingSlot[statsIndex]] - 10
        if expectedRank < 1:
            $ expectedRank = 1
    elif boxerRanking[rankingSlot[statsIndex]] <= 10 and boxerRanking[rankingSlot[statsIndex]] > 5:
        $ expectedRank = boxerRanking[rankingSlot[statsIndex]] - 5
        if expectedRank < 1:
            $ expectedRank = 1
    elif boxerRanking[rankingSlot[statsIndex]] <= 5 and boxerRanking[rankingSlot[statsIndex]] > 2:
        $ expectedRank = 2
    elif boxerRanking[rankingSlot[statsIndex]] <= 2:
        $ expectedRank = 1
        
    if boxerRanking[rankingSlot[statsIndex]] <= 15:
        $ expectedTitle = "World"
    else:
        $ expectedTitle = "None"
        
    $ proposedFights = 3
    $ proposedPurse = expectedPurse - 10
    $ proposedRank = boxerRanking[rankingSlot[statsIndex]]
    $ proposedTitle = "None"
        
#    show screen contractDebug
    
    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonContractXMin = 170
    $ buttonContractXMax = 170
    $ buttonContractYMin = 70
    $ buttonContractYMax = 70
    $ textSize = 26
    
    $ textColorFights = "#FFFF00"
    $ textColorRank = "#FFFF00"
    $ textColorTitle = "#FFFF00"
    $ textColorPurse = "#FFFF00"
    
    label contractLoop:
        
        scene bg contract_bkgnd: 
            zoom 1.0
            xalign 1.0
            yalign 1.0
            
        show screen gui
        
        $ stickingPoints = 0
    
        $ ui.vbox(xalign=0.5, xpos=640, ypos=10, xanchor=0.5, yanchor=0.0)
        
        $ ui.text("Contract for %s %s" % (boxerFirstName[rankingSlot[statsIndex]], boxerSurname[rankingSlot[statsIndex]]), text_align=0.5, size=32, xalign=0.5, yalign=0.5)
        $ ui.null(height=20)
        $ ui.text("I, as manager of %s %s, shall meet\nthe promises agreed below." % (boxerFirstName[rankingSlot[statsIndex]], boxerSurname[rankingSlot[statsIndex]]), text_align=0.0, size=28, xalign=0.5, yalign=0.5)
        $ ui.close()
        
        $ ui.grid (4,6, xpos=640, ypos=360, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.0)
        
        $ ui.text("No. of\nFights", text_align=0.5, size=textSize, xalign=0.5, yalign=0.5)
        $ ui.text("Minimum\nRanking", text_align=0.5, size=textSize, xalign=0.5, yalign=0.5)
        $ ui.text("Title\nShot", text_align=0.5, size=textSize, xalign=0.5, yalign=0.5)
        $ ui.text("Average\nPurse %", text_align=0.5, size=textSize, xalign=0.5, yalign=0.5)
        
        $ ui.null(height=10)
        $ ui.textbutton("-10", clicked=ui.returns("rank -10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.null(height=10)
        $ ui.textbutton("+10", clicked=ui.returns("purse +10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        
        $ ui.textbutton("+1", clicked=ui.returns("fights +1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("-1", clicked=ui.returns("rank -1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("/\\", clicked=ui.returns("title+"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("+1", clicked=ui.returns("purse +1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        
        $ ui.text("%u" % proposedFights, text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorFights)
        $ ui.text("%u" % proposedRank, text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorRank)
        $ ui.text("%s" % proposedTitle, text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorTitle)
        $ ui.text("%u%%" % proposedPurse, text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorPurse)
        
        $ ui.textbutton("-1", clicked=ui.returns("fights -1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("+1", clicked=ui.returns("rank +1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("\\/", clicked=ui.returns("title-"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("-1", clicked=ui.returns("purse -1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        
        $ ui.null(height=10)
        $ ui.textbutton("+10", clicked=ui.returns("rank +10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.null(height=10)
        $ ui.textbutton("-10", clicked=ui.returns("purse -10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        
        $ ui.close()
        
        $ ui.hbox(xalign=0.5, xpos=640, ypos=710, xanchor=0.5, yanchor=1.0)

        $ ui.textbutton("Offer Contract", clicked=ui.returns("offer"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.textbutton("Back", clicked=ui.returns("back"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.close()
        
        $ button_selection=ui.interact()
                    
        if button_selection=="offer":
            hide screen gui
            jump negotiateContract
        elif button_selection=="back":
#            hide screen contractDebug
            jump stableChoiceStats
        elif button_selection=="rank -10":
            $ proposedRank -= 10
            if proposedRank < 1:
                $ proposedRank = 1
            jump contractLoop
        elif button_selection=="rank -1":
            $ proposedRank -= 1
            if proposedRank < 1:
                $ proposedRank = 1
            jump contractLoop
        elif button_selection=="rank +1":
            $ proposedRank += 1
            if proposedRank > 100:
                $ proposedRank = 100
            jump contractLoop
        elif button_selection=="rank +10":
            $ proposedRank += 10
            if proposedRank > 100:
                $ proposedRank = 100
            jump contractLoop
        elif button_selection=="purse +10":
            $ proposedPurse += 10
            if proposedPurse > 100:
                $ proposedPurse = 100
            jump contractLoop
        elif button_selection=="purse +1":
            $ proposedPurse += 1
            if proposedPurse > 100:
                $ proposedPurse = 100
            jump contractLoop
        elif button_selection=="purse -1":
            $ proposedPurse -= 1
            if proposedPurse < 1:
                $ proposedPurse = 1
            jump contractLoop
        elif button_selection=="purse -10":
            $ proposedPurse -= 10
            if proposedPurse < 1:
                $ proposedPurse = 1
            jump contractLoop
        elif button_selection=="fights +1":
            $ proposedFights += 1
            if proposedFights > 8:
                $ proposedFights = 8
            jump contractLoop
        elif button_selection=="fights -1":
            $ proposedFights -= 1
            if proposedFights < 1:
                $ proposedFights = 1
            jump contractLoop
        elif button_selection=="title+":
            if proposedTitle == "None":
                $ proposedTitle = "World"
            elif proposedTitle == "World":
                $ proposedTitle = "None"
            jump contractLoop
        elif button_selection=="title-":
            if proposedTitle == "None":
                $ proposedTitle = "World"
            elif proposedTitle == "World":
                $ proposedTitle = "None"
            jump contractLoop
            
        jump contractLoop
    
    jump stableChoiceStats
    
label negotiateContract:
    
    scene bg boxer_gym:
        zoom 1.0
        xalign 1.0
        yalign 1.0

    $ stickingPoints = 0
    $ contractAccepted = 0
    
    if proposedFights < expectedFights:
        $ stickingPoints += 1
        $ textColorFights = "#FF0000"
        boxer "I expect more than %(proposedFights)u fights."
    elif proposedFights > expectedFights:
        $ stickingPoints += 1
        $ textColorFights = "#FF0000"
        boxer "I don't want to commit myself to %(proposedFights)u fights with you. It's too many."
        
    if proposedRank > (expectedRank + 3):
        $ stickingPoints += 1
        $ textColorRank = "#FF0000"
        boxer "I would expect you to get me to a higher ranking spot than %(proposedRank)u."
        
    if proposedTitle == "None" and expectedTitle <> "None":
        $ stickingPoints += 1
        $ textColorTitle = "#FF0000"
        boxer "I'm really looking for a manager who can get me a shot at the %(expectedTitle)s championship title."
        
    if proposedPurse < (expectedPurse - 5):
        $ stickingPoints += 1
        $ textColorPurse = "#FF0000"
        boxer "I would expect you to get me more than %(proposedPurse)u%% of the fight purse."
        
    if stickingPoints == 4:
        boxer "We're on completely different pages at the moment, as far as a contract is concerned. You really need to offer me something better, or I'll go elsewhere."
        $ contractAccepted = 0
    elif stickingPoints == 3:
        boxer "You're offer doesn't seem to be what I'm looking for. Perhaps if you can make it a bit better then we can make a deal."
        $ contractAccepted = 0
    elif stickingPoints == 2:
        boxer "We're very close to making a deal. If you can just improve the areas that we discussed, I think I can sign for you."
        $ contractAccepted = 0
    elif stickingPoints == 1:
        boxer "Hmm... Your contract isn't exactly what I wanted, but I'm happy to sign it."
        $ contractAccepted = 1
    elif stickingPoints == 0:
        boxer "Excellent! Your contract is just what I'm looking for. I look forward to seeing how my career progresses in your hands."
        $ contractAccepted = 1
        
    if contractAccepted == 1:
        if stableFighter1 == 999:
            $ stableFighter1 = boxerLicenseNo[rankingSlot[statsIndex]]
        elif stableFighter2 == 999:
            $ stableFighter2 = boxerLicenseNo[rankingSlot[statsIndex]]
        elif stableFighter3 == 999:
            $ stableFighter3 = boxerLicenseNo[rankingSlot[statsIndex]]
        
        $ stableFighters += 1
        $ boxerPlayerStable[rankingSlot[statsIndex]] = 1
        
        $ boxerFightsBooked[rankingSlot[statsIndex]] = 0
        $ boxerPromiseFights[rankingSlot[statsIndex]] = proposedFights
        $ boxerPromiseTitleShot[rankingSlot[statsIndex]] = expectedTitle
        $ boxerPromisePurse[rankingSlot[statsIndex]] = proposedPurse
        $ boxerPromiseRank[rankingSlot[statsIndex]] = proposedRank
        $ boxerContractFights[rankingSlot[statsIndex]] = 0
        $ boxerContractTitle[rankingSlot[statsIndex]] = "None"
        $ boxerContractPurse[rankingSlot[statsIndex]] = 0
        $ boxerHighestRank[rankingSlot[statsIndex]] = 999
        $ boxerContractExpiring[rankingSlot[statsIndex]] = 0
        $ boxerContractExpired[rankingSlot[statsIndex]] = 0
        
#        hide screen contractDebug
        jump stableChoiceStats
    else:
        jump contractLoop
    
    jump contractLoop