# Player Manager Stats

label playerManagerStats:
    
    scene bg manager_stats_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0

    $ buttonXMin = 150
    $ buttonYMin = 80
    $ buttonXMax = 150
    $ buttonYMax = 80
    $ recordTitleColor = "#FFFFFF"
    $ recordDataColor = "#FFFF00"
    
    $ column1X = 360
    $ column2X = 530
    $ column3X = 930
    $ column4X = 1100
    
    $ recordY = 80
    
    $ ui.text("Your Manager Stats", size=32, xpos=640, ypos=10, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.0)
    
    $ ui.text("Total Stable Fights:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u" % playerTotalFights, text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ ui.text("Stable World\nTitle Fights:", text_align=1.0, size=22, xpos=column3X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u" % playerWorldTitleFights, text_align=0.5, size=22, xpos=column4X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 140
    
    $ ui.text("Total Stable Wins:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u (%u%%)" % (playerTotalWins, playerTotalWinPercent), text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ ui.text("Stable World\nTitle Defences:", text_align=1.0, size=22, xpos=column3X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u" % playerWorldTitleDefences, text_align=0.5, size=22, xpos=column4X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 200
    
    $ ui.text("Total Stable KOs:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u (%u%%)" % (playerTotalKOs, playerTotalKOPercent), text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
   
    $ ui.text("Stable World\nTitle Challenges:", text_align=1.0, size=22, xpos=column3X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u" % playerWorldTitleChallenges, text_align=0.5, size=22, xpos=column4X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 260
    
    $ ui.text("Total Stable Losses:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u (%u%%)" % (playerTotalLosses, playerTotalLossPercent), text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ ui.text("Successful Stable\nWorld Title Challenges:", text_align=1.0, size=22, xpos=column3X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u (%u%%)" % (playerWorldChallengeSuccess, playerWorldChallengeSuccessPercent), text_align=0.5, size=22, xpos=column4X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 320
    
    $ ui.text("Total Stable Draws:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u (%u%%)" % (playerTotalDraws, playerTotalDrawPercent), text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
   
    $ ui.text("Successful Stable\nWorld Title Defences:", text_align=1.0, size=22, xpos=column3X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u (%u%%)" % (playerWorldDefencesSuccess, playerWorldDefencesSuccessPercent), text_align=0.5, size=22, xpos=column4X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ recordY = 380
    
    $ ui.text("Highest Ranked\nBoxer Ever Managed:", text_align=1.0, size=22, xpos=column1X, ypos=recordY, xanchor=1.0, yanchor=0.5, xalign=1.0, yalign=0.5, color=recordTitleColor)
    $ ui.text("%u. %s\n(%u.%u)" % (playerHighestRank, playerHighestRankName, playerHighestRankMonth, playerHighestRankYear), text_align=0.5, size=22, xpos=column2X, ypos=recordY, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color=recordDataColor)
    
    $ ui.hbox(xpos=640, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0)
    $ ui.textbutton("Done", clicked=ui.returns("done"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.close()
    
    $ button_selection=ui.interact()
                
    if button_selection=="done":
        jump coreLoopStart
    
    jump coreLoopStart