## Run Card

label runCard:

#    "Run the card!"

#    $ startTime = time()
#    $ totalRunTime = 0
    
    $ eventIndex = 0
    $ matchRunning = 0
    $ redFirstName = 999
    $ redSurname = 999
    $ blueFirstName = 999
    $ blueSurname = 999
    $ redRank = 999
    $ blueRank = 999
    
    while matchRunning < 5:
        $ redFirstName = boxerFirstName[redFighter[matchRunning]]
        $ redSurname = boxerSurname[redFighter[matchRunning]]
        $ blueFirstName = boxerFirstName[blueFighter[matchRunning]]
        $ blueSurname = boxerSurname[blueFighter[matchRunning]]
        $ redRank = boxerRanking[redFighter[matchRunning]]
        $ blueRank = boxerRanking[blueFighter[matchRunning]]
        
        $ matchNum = (matchRunning + 1)
        
        if attendEvent == 1:
            hide screen tipTextDisplay
            
            jump taleOfTape
            
            label taleOfTapeReturn:
                
        if attendEvent == 0 or watchFight == 0:
            scene bg auto_fight_bkgnd:
                zoom 1.0
                xalign 1.0
                yalign 1.0
            
            show screen tipTextDisplay
            
            $ ui.text("Running Match No.%u: %s %s v %s %s" % (matchRunning+1, redFirstName, redSurname, blueFirstName, blueSurname), size=22, xpos=640, ypos=48, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5)
            $ ui.text("Round 1", size=22, xpos=640, ypos=74, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5)
            $ renpy.pause(0.000000001)
            
        if quickSimYes == 1:
            call quickSim
        else:
            call runMatch
        
        if attendEvent == 1:
            
            hide screen tipTextDisplay
            
            jump matchResults
            
            label matchResultsReturn:
        
            scene bg fight_facts_bkgnd: 
                zoom 1.0
                xalign 1.0
                yalign 1.0
        else:
            scene bg auto_fight_bkgnd:
                zoom 1.0
                xalign 1.0
                yalign 1.0
                
        # Reset KO, Cuts, and Bruising Values for fighters
        
        $ boxerKOCondition[redFighter[matchRunning]] = 100
        $ boxerCutCondition[redFighter[matchRunning]] = 100
        $ boxerBruiseCondition[redFighter[matchRunning]] = 100
        
        $ boxerKOCondition[blueFighter[matchRunning]] = 100
        $ boxerCutCondition[blueFighter[matchRunning]] = 100
        $ boxerBruiseCondition[blueFighter[matchRunning]] = 100
                
        # Calculate rankings and records for winner and loser
        
        if matchWinner == 1:
            # Red Won
            
            $ boxerWins[redFighter[matchRunning]] += 1
            if winType == "KO" or winType == "TKO":
                    $ boxerKOs[redFighter[matchRunning]] += 1
                    $ boxerKOLosses[blueFighter[matchRunning]] += 1
            $ boxerWinStreak[redFighter[matchRunning]] += 1
            $ boxerLossStreak[redFighter[matchRunning]] = 0
            
            if boxerWinStreak[redFighter[matchRunning]] >= 2:
                $ boxerEmotionRecord[redFighter[matchRunning]] += 1
                if boxerEmotionRecord[redFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 6
            
            $ boxerLosses[blueFighter[matchRunning]] += 1
            $ boxerLossStreak[blueFighter[matchRunning]] += 1
            $ boxerWinStreak[blueFighter[matchRunning]] = 0
                
            if boxerLossStreak[blueFighter[matchRunning]] >= 2:
                $ boxerEmotionRecord[blueFighter[matchRunning]] -= 1
                if boxerEmotionRecord[blueFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 0
                
            # Check records
    
            # Most Wins
            
            if boxerWins[redFighter[matchRunning]] > mostWinsRecord:
                $ mostWinsHolder = (redFirstName + " " + redSurname)
                $ mostWinsRecord = boxerWins[redFighter[matchRunning]]
                if mostWinsYear != 0 and attendEvent == 1:
                    bas "With a total of %(mostWinsRecord)u wins, %(mostWinsHolder)s has broken the record for most wins by a boxer, which has stood since %(mostWinsDay)u.%(mostWinsMonth)u.%(mostWinsYear)u!"
                $ mostWinsDay = day
                $ mostWinsMonth = month
                $ mostWinsYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] += 1
                if boxerEmotionRecord[redFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 6
                
    
            # Most Losses
            
            if boxerLosses[blueFighter[matchRunning]] > mostLossesRecord:
                $ mostLossesHolder = (blueFirstName + " " + blueSurname)
                $ mostLossesRecord = boxerLosses[blueFighter[matchRunning]]
                if mostLossesYear != 0 and attendEvent == 1:
                    bas "With a total of %(mostLossesRecord)u defeats, %(mostLossesHolder)s has broken the record for most losses by a boxer, which has stood since %(mostLossesDay)u.%(mostLossesMonth)u.%(mostLossesYear)u!"
                $ mostLossesDay = day
                $ mostLossesMonth = month
                $ mostLossesYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] -= 1
                if boxerEmotionRecord[blueFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 0
    
            # Undefeated Streak
            
            if boxerWins[redFighter[matchRunning]] > undefeatedRecord and boxerLosses[redFighter[matchRunning]] == 0:
                $ undefeatedHolder = (redFirstName + " " + redSurname)
                $ undefeatedRecord = boxerWins[redFighter[matchRunning]] + boxerDraws[redFighter[matchRunning]]
                if undefeatedYear != 0 and attendEvent == 1:
                    bas "By taking part in %(undefeatedRecord)u fights without suffering a single defeat, %(undefeatedHolder)s has broken the record for longest undefeated streak, which has stood since %(undefeatedDay)u.%(undefeatedMonth)u.%(undefeatedYear)u!"
                $ undefeatedDay = day
                $ undefeatedMonth = month
                $ undefeatedYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] += 1
                if boxerEmotionRecord[redFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 6
                
            # Winless streak
            
            if boxerLosses[blueFighter[matchRunning]] > winlessRecord and boxerWins[blueFighter[matchRunning]] == 0:
                $ winlessHolder = (blueFirstName + " " + blueSurname)
                $ winlessRecord = boxerLosses[blueFighter[matchRunning]] + boxerDraws[blueFighter[matchRunning]]
                if winlessYear != 0 and attendEvent == 1:
                    bas "By taking part in %(winlessRecord)u fights without achieving a single win, %(winlessHolder)s has broken the record for longest win-less streak, which has stood since %(winlessDay)u.%(winlessMonth)u.%(winlessYear)u!"
                $ winlessDay = day
                $ winlessMonth = month
                $ winlessYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] -= 1
                if boxerEmotionRecord[blueFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 0
                
            # Winning Streak
            
            if boxerWinStreak[redFighter[matchRunning]] > winStreakRecord:
                $ winStreakHolder = (redFirstName + " " + redSurname)
                $ winStreakRecord = boxerWinStreak[redFighter[matchRunning]]
                if winStreakYear != 0 and attendEvent == 1:
                    bas "By winning %(winStreakRecord)u fights in a row, %(winStreakHolder)s has broken the record for longest win streak, which has stood since %(winStreakDay)u.%(winStreakMonth)u.%(winStreakYear)u!"
                $ winStreakDay = day
                $ winStreakMonth = month
                $ winStreakYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] += 1
                if boxerEmotionRecord[redFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 6
                
            # Losing Streak
            
            if boxerLossStreak[blueFighter[matchRunning]] > losingStreakRecord:
                $ losingStreakHolder = (blueFirstName + " " + blueSurname)
                $ losingStreakRecord = boxerLossStreak[blueFighter[matchRunning]]
                if losingStreakYear != 0 and attendEvent == 1:
                    bas "By losing %(losingStreakRecord)u fights in a row, %(losingStreakHolder)s has broken the record for longest losing streak, which has stood since %(losingStreakDay)u.%(losingStreakMonth)u.%(losingStreakYear)u!"
                $ losingStreakDay = day
                $ losingStreakMonth = month
                $ losingStreakYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] -= 1
                if boxerEmotionRecord[blueFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 0
    
            # Most Matches
            
            if (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]]+ boxerDraws[redFighter[matchRunning]]) > mostMatchesRecord:
                $ mostMatchesHolder = (redFirstName + " " + redSurname)
                $ mostMatchesDay = day
                $ mostMatchesMonth = month
                $ mostMatchesYear = year
                $ mostMatchesRecord = (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]]+ boxerDraws[redFighter[matchRunning]])
            
            if (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]]+ boxerDraws[blueFighter[matchRunning]]) > mostMatchesRecord:
                $ mostMatchesHolder = (blueFirstName + " " + blueSurname)
                $ mostMatchesDay = day
                $ mostMatchesMonth = month
                $ mostMatchesYear = year
                $ mostMatchesRecord = (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]]+ boxerDraws[blueFighter[matchRunning]])
    
            # Oldest Fighter and Youngest Fighter
            
            $ preMonth = month - 1
            
            if month == 1:
                $ preMonth = 12
            else:
                $ preMonth = month - 1
            
            if preMonth == 2:
                if isLeapYear == 1:
                    $ preMonthDays = 29
                else:
                    $ preMonthDays = 28
            elif preMonth == 1 or preMonth == 3 or preMonth== 5 or preMonth == 7 or preMonth == 8 or preMonth == 10 or preMonth == 12:
                $ preMonthDays = 31
            elif preMonth == 4 or preMonth == 6 or preMonth == 9 or preMonth == 11:
                $ preMonthDays = 30
            
            if day >= boxerBirthDay[redFighter[matchRunning]]:
                $ fighterDays = (day - boxerBirthDay[redFighter[matchRunning]])
            else:
                $ fighterDays = (preMonthDays - boxerBirthDay[redFighter[matchRunning]]) + day
            
            if day >= boxerBirthDay[redFighter[matchRunning]]:
                if month >= boxerBirthMonth[redFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[redFighter[matchRunning]])
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[redFighter[matchRunning]] - month))
            else:
                if month > boxerBirthMonth[redFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[redFighter[matchRunning]]) - 1
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[redFighter[matchRunning]] - month)) - 1
                
            if (month > boxerBirthMonth[redFighter[matchRunning]]) or (month == boxerBirthMonth[redFighter[matchRunning]] and day >= boxerBirthDay[redFighter[matchRunning]]):
                $ fighterYears = year - boxerBirthYear[redFighter[matchRunning]]
            else:
                $ fighterYears = (year - boxerBirthYear[redFighter[matchRunning]]) - 1
            
            if (fighterYears > oldestRecordYears or (fighterYears == oldestRecordYears and fighterMonths > oldestRecordMonths) or
                (fighterYears == oldestRecordYears and fighterMonths == oldestRecordMonths and fighterDays > oldestRecordDays)):
                $ oldestHolder = (redFirstName + " " + redSurname)
                $ oldestDay = day
                $ oldestMonth = month
                $ oldestYear = year
                $ oldestRecordYears = fighterYears
                $ oldestRecordMonths = fighterMonths
                $ oldestRecordDays = fighterDays
            
            if (fighterYears < youngestRecordYears or (fighterYears == youngestRecordYears and fighterMonths < youngestRecordMonths) or
                (fighterYears == youngestRecordYears and fighterMonths == youngestRecordMonths and fighterDays < youngestRecordDays)):
                $ youngestHolder = (redFirstName + " " + redSurname)
                $ youngestDay = day
                $ youngestMonth = month
                $ youngestYear = year
                $ youngestRecordYears = fighterYears
                $ youngestRecordMonths = fighterMonths
                $ youngestRecordDays = fighterDays
            
            if day >= boxerBirthDay[blueFighter[matchRunning]]:
                $ fighterDays = (day - boxerBirthDay[blueFighter[matchRunning]])
            else:
                $ fighterDays = (preMonthDays - boxerBirthDay[blueFighter[matchRunning]]) + day
            
            if day >= boxerBirthDay[blueFighter[matchRunning]]:
                if month >= boxerBirthMonth[blueFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[blueFighter[matchRunning]])
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[blueFighter[matchRunning]] - month))
            else:
                if month > boxerBirthMonth[blueFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[blueFighter[matchRunning]]) - 1
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[blueFighter[matchRunning]] - month)) - 1
                
            if (month > boxerBirthMonth[blueFighter[matchRunning]]) or (month == boxerBirthMonth[blueFighter[matchRunning]] and day >= boxerBirthDay[blueFighter[matchRunning]]):
                $ fighterYears = year - boxerBirthYear[blueFighter[matchRunning]]
            else:
                $ fighterYears = (year - boxerBirthYear[blueFighter[matchRunning]]) - 1
            
            if (fighterYears > oldestRecordYears or (fighterYears == oldestRecordYears and fighterMonths > oldestRecordMonths) or
                (fighterYears == oldestRecordYears and fighterMonths == oldestRecordMonths and fighterDays > oldestRecordDays)):
                $ oldestHolder = (blueFirstName + " " + blueSurname)
                $ oldestDay = day
                $ oldestMonth = month
                $ oldestYear = year
                $ oldestRecordYears = fighterYears
                $ oldestRecordMonths = fighterMonths
                $ oldestRecordDays = fighterDays
            
            if (fighterYears < youngestRecordYears or (fighterYears == youngestRecordYears and fighterMonths < youngestRecordMonths) or
                (fighterYears == youngestRecordYears and fighterMonths == youngestRecordMonths and fighterDays < youngestRecordDays)):
                $ youngestHolder = (blueFirstName + " " + blueSurname)
                $ youngestDay = day
                $ youngestMonth = month
                $ youngestYear = year
                $ youngestRecordYears = fighterYears
                $ youngestRecordMonths = fighterMonths
                $ youngestRecordDays = fighterDays
                
            # Update Overall Emotion
            
            $ boxerEmotionOverall[redFighter[matchRunning]] = int((boxerEmotionRecord[redFighter[matchRunning]] + boxerEmotionStable[redFighter[matchRunning]] + boxerEmotionTraining[redFighter[matchRunning]]) / 3)

            $ boxerEmotionOverall[blueFighter[matchRunning]] = int((boxerEmotionRecord[blueFighter[matchRunning]] + boxerEmotionStable[blueFighter[matchRunning]] + boxerEmotionTraining[blueFighter[matchRunning]]) / 3)
            
            # Check if this was a title match, and if the title changed hands
            
            if boxerRanking[redFighter[matchRunning]] == 1:
                $ champFirstName = boxerFirstName[redFighter[matchRunning]]
                $ champSurname = boxerSurname[redFighter[matchRunning]]
                $ challengerFirstName = boxerFirstName[blueFighter[matchRunning]]
                $ challengerSurname = boxerSurname[blueFighter[matchRunning]]
                
                # if either fighter is in player's stable, update player manager stats
            
                if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleDefences += 1
                    $ playerWorldDefencesSuccess += 1
                    $ playerWorldDefencesSuccessPercent = int(float(float(playerWorldDefencesSuccess) / float(playerWorldTitleDefences)) * 100)
                    
                if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleChallenges += 1
                    $ playerWorldChallengeSuccessPercent = int(float(float(playerWorldChallengeSuccess) / float(playerWorldTitleChallenges)) * 100)
                
                bas "World Heavyweight Champion %(champFirstName)s %(champSurname)s successfully defended his title against %(challengerFirstName)s %(challengerSurname)s tonight."
            elif boxerRanking[blueFighter[matchRunning]] == 1:
                $ champFirstName = boxerFirstName[blueFighter[matchRunning]]
                $ champSurname = boxerSurname[blueFighter[matchRunning]]
                $ challengerFirstName = boxerFirstName[redFighter[matchRunning]]
                $ challengerSurname = boxerSurname[redFighter[matchRunning]]
                
                # if either fighter is in player's stable, update player manager stats
            
                if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleDefences += 1
                    $ playerWorldDefencesSuccessPercent = int(float(float(playerWorldDefencesSuccess) / float(playerWorldTitleDefences)) * 100)
                    
                if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleChallenges += 1
                    $ playerWorldChallengeSuccess += 1
                    $ playerWorldChallengeSuccessPercent = int(float(float(playerWorldChallengeSuccess) / float(playerWorldTitleChallenges)) * 100)
                    
                bas "%(challengerFirstName)s %(challengerSurname)s has been crowned the new World Heavyweight Champion after beating defending champion %(champFirstName)s %(champSurname)s tonight."
            
            # Update rankings, if necessary
                
            if boxerRanking[redFighter[matchRunning]] > boxerRanking[blueFighter[matchRunning]]:
                $ modRank = redRank-2
                while modRank > blueRank-2:
                    $ boxerRanking[rankingSlot[modRank]] += 1
                    $ rankingSlot[modRank+1] = boxerLicenseNo[rankingSlot[modRank]]
                    $ modRank -= 1
                $ boxerRanking[redFighter[matchRunning]] = blueRank
                $ rankingSlot[blueRank-1] = boxerLicenseNo[redFighter[matchRunning]]
                    
            # if either fighter is in player's stable, update player manager stats
            
            if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                $ playerTotalFights += 1
                $ playerTotalWins += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[redFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[redFighter[matchRunning]]
                    $ playerHighestRankName = redFirstName + " " + redSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                if winType == "KO":
                    $ playerTotalKOs += 1
                $ playerTotalKOPercent = float(float(playerTotalKOs) / float(float(playerTotalWins) / 100))
            elif boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                $ playerTotalFights += 1
                $ playerTotalLosses += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[blueFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[blueFighter[matchRunning]]
                    $ playerHighestRankName = blueFirstName + " " + blueSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
            elif boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] == 1:
                $ playerTotalFights += 1
                $ playerTotalDraws += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[blueFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[blueFighter[matchRunning]]
                    $ playerHighestRankName = blueFirstName + " " + blueSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                    
                if boxerRanking[redFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[redFighter[matchRunning]]
                    $ playerHighestRankName = redFirstName + " " + redSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                
                
        elif matchWinner == 2:
            # Blue Won
            $ boxerWins[blueFighter[matchRunning]] += 1
            if winType == "KO" or winType == "TKO":
                    $ boxerKOs[blueFighter[matchRunning]] += 1
                    $ boxerKOLosses[redFighter[matchRunning]] += 1
            $ boxerWinStreak[blueFighter[matchRunning]] += 1
            $ boxerLossStreak[blueFighter[matchRunning]] = 0
            
            if boxerWinStreak[blueFighter[matchRunning]] >= 2:
                $ boxerEmotionRecord[blueFighter[matchRunning]] += 1
                if boxerEmotionRecord[blueFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 6
            
            $ boxerLosses[redFighter[matchRunning]] += 1
            $ boxerLossStreak[redFighter[matchRunning]] += 1
            $ boxerWinStreak[redFighter[matchRunning]] = 0
                
            if boxerLossStreak[redFighter[matchRunning]] >= 2:
                $ boxerEmotionRecord[redFighter[matchRunning]] -= 1
                if boxerEmotionRecord[redFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 0
                
            # Check records
    
            # Most wins
        
            if boxerWins[blueFighter[matchRunning]] > mostWinsRecord:
                $ mostWinsHolder = (blueFirstName + " " + blueSurname)
                $ mostWinsRecord = boxerWins[blueFighter[matchRunning]]
                if mostWinsYear != 0 and attendEvent == 1:
                    bas "With a total of %(mostWinsRecord)u wins, %(mostWinsHolder)s has broken the record for most wins by a boxer, which has stood since %(mostWinsDay)u.%(mostWinsMonth)u.%(mostWinsYear)u!"
                $ mostWinsDay = day
                $ mostWinsMonth = month
                $ mostWinsYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] += 1
                if boxerEmotionRecord[blueFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 6
    
            # Most Losses
            
            if boxerLosses[redFighter[matchRunning]] > mostLossesRecord:
                $ mostLossesHolder = (redFirstName + " " + redSurname)
                $ mostLossesRecord = boxerLosses[redFighter[matchRunning]]
                if mostLossesYear != 0 and attendEvent == 1:
                    bas "With a total of %(mostLossesRecord)u defeats, %(mostLossesHolder)s has broken the record for most losses by a boxer, which has stood since %(mostLossesDay)u.%(mostLossesMonth)u.%(mostLossesYear)u!"
                $ mostLossesDay = day
                $ mostLossesMonth = month
                $ mostLossesYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] -= 1
                if boxerEmotionRecord[redFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 0
    
            # Undefeated Streak
            
            if boxerWins[blueFighter[matchRunning]] > undefeatedRecord and boxerLosses[blueFighter[matchRunning]] == 0:
                $ undefeatedHolder = (blueFirstName + " " + blueSurname)
                $ undefeatedRecord = boxerWins[blueFighter[matchRunning]] + boxerDraws[blueFighter[matchRunning]]
                if undefeatedYear != 0 and attendEvent == 1:
                    bas "By taking part in %(undefeatedRecord)u fights without suffering a single defeat, %(undefeatedHolder)s has broken the record for longest undefeated streak, which has stood since %(undefeatedDay)u.%(undefeatedMonth)u.%(undefeatedYear)u!"
                $ undefeatedDay = day
                $ undefeatedMonth = month
                $ undefeatedYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] += 1
                if boxerEmotionRecord[blueFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 6
                
            # Winless Streak
            
            if boxerLosses[redFighter[matchRunning]] > winlessRecord and boxerWins[redFighter[matchRunning]] == 0:
                $ winlessHolder = (redFirstName + " " + redSurname)
                $ winlessRecord = boxerLosses[redFighter[matchRunning]] + boxerDraws[redFighter[matchRunning]]
                if winlessYear != 0 and attendEvent == 1:
                    bas "By taking part in %(winlessRecord)u fights without achieving a single win, %(winlessHolder)s has broken the record for longest win-less streak, which has stood since %(winlessDay)u.%(winlessMonth)u.%(winlessYear)u!"
                $ winlessDay = day
                $ winlessMonth = month
                $ winlessYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] -= 1
                if boxerEmotionRecord[redFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 0
                
            # Winning Streak
            
            if boxerWinStreak[blueFighter[matchRunning]] > winStreakRecord:
                $ winStreakHolder = (blueFirstName + " " + blueSurname)
                $ winStreakRecord = boxerWinStreak[blueFighter[matchRunning]]
                if winStreakYear != 0 and attendEvent == 1:
                    bas "By winning %(winStreakRecord)u fights in a row, %(winStreakHolder)s has broken the record for longest win streak, which has stood since %(winStreakDay)u.%(winStreakMonth)u.%(winStreakYear)u!"
                $ winStreakDay = day
                $ winStreakMonth = month
                $ winStreakYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] += 1
                if boxerEmotionRecord[blueFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 6
                
            # Losing Streak
            
            if boxerLossStreak[redFighter[matchRunning]] > losingStreakRecord:
                $ losingStreakHolder = (redFirstName + " " + redSurname)
                $ losingStreakRecord = boxerLossStreak[redFighter[matchRunning]]
                if losingStreakYear != 0 and attendEvent == 1:
                    bas "By losing %(losingStreakRecord)u fights in a row, %(losingStreakHolder)s has broken the record for longest losing streak, which has stood since %(losingStreakDay)u.%(losingStreakMonth)u.%(losingStreakYear)u!"
                $ losingStreakDay = day
                $ losingStreakMonth = month
                $ losingStreakYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] -= 1
                if boxerEmotionRecord[redFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 0
    
            # Most Matches
            
            if (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]]+ boxerDraws[redFighter[matchRunning]]) > mostMatchesRecord:
                $ mostMatchesHolder = (redFirstName + " " + redSurname)
                $ mostMatchesDay = day
                $ mostMatchesMonth = month
                $ mostMatchesYear = year
                $ mostMatchesRecord = (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]]+ boxerDraws[redFighter[matchRunning]])
            
            if (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]]+ boxerDraws[blueFighter[matchRunning]]) > mostMatchesRecord:
                $ mostMatchesHolder = (blueFirstName + " " + blueSurname)
                $ mostMatchesDay = day
                $ mostMatchesMonth = month
                $ mostMatchesYear = year
                $ mostMatchesRecord = (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]]+ boxerDraws[blueFighter[matchRunning]])
    
            # Oldest Fighter and Youngest Fighter
            
            $ preMonth = month - 1
            
            if month == 1:
                $ preMonth = 12
            else:
                $ preMonth = month - 1
            
            if preMonth == 2:
                if isLeapYear == 1:
                    $ preMonthDays = 29
                else:
                    $ preMonthDays = 28
            elif preMonth == 1 or preMonth == 3 or preMonth== 5 or preMonth == 7 or preMonth == 8 or preMonth == 10 or preMonth == 12:
                $ preMonthDays = 31
            elif preMonth == 4 or preMonth == 6 or preMonth == 9 or preMonth == 11:
                $ preMonthDays = 30
            
            if day >= boxerBirthDay[redFighter[matchRunning]]:
                $ fighterDays = (day - boxerBirthDay[redFighter[matchRunning]])
            else:
                $ fighterDays = (preMonthDays - boxerBirthDay[redFighter[matchRunning]]) + day
            
            if day >= boxerBirthDay[redFighter[matchRunning]]:
                if month >= boxerBirthMonth[redFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[redFighter[matchRunning]])
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[redFighter[matchRunning]] - month))
            else:
                if month > boxerBirthMonth[redFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[redFighter[matchRunning]]) - 1
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[redFighter[matchRunning]] - month)) - 1
                
            if (month > boxerBirthMonth[redFighter[matchRunning]]) or (month == boxerBirthMonth[redFighter[matchRunning]] and day >= boxerBirthDay[redFighter[matchRunning]]):
                $ fighterYears = year - boxerBirthYear[redFighter[matchRunning]]
            else:
                $ fighterYears = (year - boxerBirthYear[redFighter[matchRunning]]) - 1
            
            if (fighterYears > oldestRecordYears or (fighterYears == oldestRecordYears and fighterMonths > oldestRecordMonths) or
                (fighterYears == oldestRecordYears and fighterMonths == oldestRecordMonths and fighterDays > oldestRecordDays)):
                $ oldestHolder = (redFirstName + " " + redSurname)
                $ oldestDay = day
                $ oldestMonth = month
                $ oldestYear = year
                $ oldestRecordYears = fighterYears
                $ oldestRecordMonths = fighterMonths
                $ oldestRecordDays = fighterDays
            
            if (fighterYears < youngestRecordYears or (fighterYears == youngestRecordYears and fighterMonths < youngestRecordMonths) or
                (fighterYears == youngestRecordYears and fighterMonths == youngestRecordMonths and fighterDays < youngestRecordDays)):
                $ youngestHolder = (redFirstName + " " + redSurname)
                $ youngestDay = day
                $ youngestMonth = month
                $ youngestYear = year
                $ youngestRecordYears = fighterYears
                $ youngestRecordMonths = fighterMonths
                $ youngestRecordDays = fighterDays
            
            if day >= boxerBirthDay[blueFighter[matchRunning]]:
                $ fighterDays = (day - boxerBirthDay[blueFighter[matchRunning]])
            else:
                $ fighterDays = (preMonthDays - boxerBirthDay[blueFighter[matchRunning]]) + day
            
            if day >= boxerBirthDay[blueFighter[matchRunning]]:
                if month >= boxerBirthMonth[blueFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[blueFighter[matchRunning]])
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[blueFighter[matchRunning]] - month))
            else:
                if month > boxerBirthMonth[blueFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[blueFighter[matchRunning]]) - 1
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[blueFighter[matchRunning]] - month)) - 1
                
            if (month > boxerBirthMonth[blueFighter[matchRunning]]) or (month == boxerBirthMonth[blueFighter[matchRunning]] and day >= boxerBirthDay[blueFighter[matchRunning]]):
                $ fighterYears = year - boxerBirthYear[blueFighter[matchRunning]]
            else:
                $ fighterYears = (year - boxerBirthYear[blueFighter[matchRunning]]) - 1
            
            if (fighterYears > oldestRecordYears or (fighterYears == oldestRecordYears and fighterMonths > oldestRecordMonths) or
                (fighterYears == oldestRecordYears and fighterMonths == oldestRecordMonths and fighterDays > oldestRecordDays)):
                $ oldestHolder = (blueFirstName + " " + blueSurname)
                $ oldestDay = day
                $ oldestMonth = month
                $ oldestYear = year
                $ oldestRecordYears = fighterYears
                $ oldestRecordMonths = fighterMonths
                $ oldestRecordDays = fighterDays
            
            if (fighterYears < youngestRecordYears or (fighterYears == youngestRecordYears and fighterMonths < youngestRecordMonths) or
                (fighterYears == youngestRecordYears and fighterMonths == youngestRecordMonths and fighterDays < youngestRecordDays)):
                $ youngestHolder = (blueFirstName + " " + blueSurname)
                $ youngestDay = day
                $ youngestMonth = month
                $ youngestYear = year
                $ youngestRecordYears = fighterYears
                $ youngestRecordMonths = fighterMonths
                $ youngestRecordDays = fighterDays
                
            # Update Overall Emotion
            
            $ boxerEmotionOverall[redFighter[matchRunning]] = int((boxerEmotionRecord[redFighter[matchRunning]] + boxerEmotionStable[redFighter[matchRunning]] + boxerEmotionTraining[redFighter[matchRunning]]) / 3)

            $ boxerEmotionOverall[blueFighter[matchRunning]] = int((boxerEmotionRecord[blueFighter[matchRunning]] + boxerEmotionStable[blueFighter[matchRunning]] + boxerEmotionTraining[blueFighter[matchRunning]]) / 3)
            
            # Check if this was a title match, and if the title changed hands
            
            if boxerRanking[blueFighter[matchRunning]] == 1:
                $ champFirstName = boxerFirstName[blueFighter[matchRunning]]
                $ champSurname = boxerSurname[blueFighter[matchRunning]]
                $ challengerFirstName = boxerFirstName[redFighter[matchRunning]]
                $ challengerSurname = boxerSurname[redFighter[matchRunning]]
                
                # if either fighter is in player's stable, update player manager stats
            
                if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleDefences += 1
                    $ playerWorldDefencesSuccess += 1
                    $ playerWorldDefencesSuccessPercent = int(float(float(playerWorldDefencesSuccess) / float(playerWorldTitleDefences)) * 100)
                    
                if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleChallenges += 1
                    $ playerWorldChallengeSuccessPercent = int(float(float(playerWorldChallengeSuccess) / float(playerWorldTitleChallenges)) * 100)
                
                bas "World Heavyweight Champion %(champFirstName)s %(champSurname)s successfully defended his title against %(challengerFirstName)s %(challengerSurname)s tonight."
            elif boxerRanking[redFighter[matchRunning]] == 1:
                $ champFirstName = boxerFirstName[redFighter[matchRunning]]
                $ champSurname = boxerSurname[redFighter[matchRunning]]
                $ challengerFirstName = boxerFirstName[blueFighter[matchRunning]]
                $ challengerSurname = boxerSurname[blueFighter[matchRunning]]
                
                # if either fighter is in player's stable, update player manager stats
            
                if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleDefences += 1
                    $ playerWorldDefencesSuccessPercent = int(float(float(playerWorldDefencesSuccess) / float(playerWorldTitleDefences)) * 100)
                    
                if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleChallenges += 1
                    $ playerWorldChallengeSuccess += 1
                    $ playerWorldChallengeSuccessPercent = int(float(float(playerWorldChallengeSuccess) / float(playerWorldTitleChallenges)) * 100)
                
                bas "%(challengerFirstName)s %(challengerSurname)s has been crowned the new World Heavyweight Champion after beating defending champion %(champFirstName)s %(champSurname)s tonight."
            
            # Update rankings, if necessary
                
            if boxerRanking[blueFighter[matchRunning]] > boxerRanking[redFighter[matchRunning]]:
                $ modRank = blueRank-2
                while modRank > redRank-2:
                    $ boxerRanking[rankingSlot[modRank]] += 1
                    $ rankingSlot[modRank+1] = boxerLicenseNo[rankingSlot[modRank]]
                    $ modRank -= 1
                $ boxerRanking[blueFighter[matchRunning]] = redRank
                $ rankingSlot[redRank-1] = boxerLicenseNo[blueFighter[matchRunning]]
                    
            # if either fighter is in player's stable, update player manager stats
            
            if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                $ playerTotalFights += 1
                $ playerTotalWins += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[blueFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[blueFighter[matchRunning]]
                    $ playerHighestRankName = blueFirstName + " " + blueSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                if winType == "KO":
                    $ playerTotalKOs += 1
                $ playerTotalKOPercent = float(float(playerTotalKOs) / float(float(playerTotalWins) / 100))
            elif boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                $ playerTotalFights += 1
                $ playerTotalLosses += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[redFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[redFighter[matchRunning]]
                    $ playerHighestRankName = redFirstName + " " + redSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
            elif boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] == 1:
                $ playerTotalFights += 1
                $ playerTotalDraws += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[blueFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[blueFighter[matchRunning]]
                    $ playerHighestRankName = blueFirstName + " " + blueSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                    
                if boxerRanking[redFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[redFighter[matchRunning]]
                    $ playerHighestRankName = redFirstName + " " + redSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                
        else:
            # Draw
            $ boxerDraws[redFighter[matchRunning]] += 1
            $ boxerDraws[blueFighter[matchRunning]] += 1
            
            $ boxerWinStreak[redFighter[matchRunning]] = 0
            $ boxerLossStreak[redFighter[matchRunning]] = 0
            
            $ boxerWinStreak[blueFighter[matchRunning]] = 0
            $ boxerLossStreak[blueFighter[matchRunning]] = 0
                    
            # if either fighter is in player's stable, update player manager stats
            
            if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                $ playerTotalFights += 1
                $ playerTotalDraws += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[redFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[redFighter[matchRunning]]
                    $ playerHighestRankName = redFirstName + " " + redSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
            elif boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                $ playerTotalFights += 1
                $ playerTotalDraws += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[blueFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[blueFighter[matchRunning]]
                    $ playerHighestRankName = blueFirstName + " " + blueSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
            elif boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] == 1:
                $ playerTotalFights += 1
                $ playerTotalDraws += 1
                $ playerTotalWinPercent = int(float(float(playerTotalWins) / float(playerTotalFights)) * 100)
                $ playerTotalLossPercent = int(float(float(playerTotalLosses) / float(playerTotalFights)) * 100)
                $ playerTotalDrawPercent = int(float(float(playerTotalDraws) / float(playerTotalFights)) * 100)
                if boxerRanking[blueFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[blueFighter[matchRunning]]
                    $ playerHighestRankName = blueFirstName + " " + blueSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
                    
                if boxerRanking[redFighter[matchRunning]] < playerHighestRank:
                    $ playerHighestRank = boxerRanking[redFighter[matchRunning]]
                    $ playerHighestRankName = redFirstName + " " + redSurname
                    $ playerHighestRankMonth = month
                    $ playerHighestRankYear = year
            
            # Check records
            
            # Undefeated Streak
            
            if boxerWins[redFighter[matchRunning]] > undefeatedRecord and boxerLosses[redFighter[matchRunning]] == 0:
                $ undefeatedHolder = (redFirstName + " " + redSurname)
                $ undefeatedRecord = boxerWins[redFighter[matchRunning]] + boxerDraws[redFighter[matchRunning]]
                if undefeatedYear != 0 and attendEvent == 1:
                    bas "By taking part in %(undefeatedRecord)u fights without suffering a single defeat, %(undefeatedHolder)s has broken the record for longest undefeated streak, which has stood since %(undefeatedDay)u.%(undefeatedMonth)u.%(undefeatedYear)u!"
                $ undefeatedDay = day
                $ undefeatedMonth = month
                $ undefeatedYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] += 1
                if boxerEmotionRecord[redFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 6
            
            if boxerWins[blueFighter[matchRunning]] > undefeatedRecord and boxerLosses[blueFighter[matchRunning]] == 0:
                $ undefeatedHolder = (blueFirstName + " " + blueSurname)
                $ undefeatedRecord = boxerWins[blueFighter[matchRunning]] + boxerDraws[blueFighter[matchRunning]]
                if undefeatedYear != 0 and attendEvent == 1:
                    bas "By taking part in %(undefeatedRecord)u fights without suffering a single defeat, %(undefeatedHolder)s has broken the record for longest undefeated streak, which has stood since %(undefeatedDay)u.%(undefeatedMonth)u.%(undefeatedYear)u!"
                $ undefeatedDay = day
                $ undefeatedMonth = month
                $ undefeatedYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] += 1
                if boxerEmotionRecord[blueFighter[matchRunning]] > 6:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 6
                
            # Winless Streak
            
            if boxerLosses[redFighter[matchRunning]] > winlessRecord and boxerWins[redFighter[matchRunning]] == 0:
                $ winlessHolder = (redFirstName + " " + redSurname)
                $ winlessRecord = boxerLosses[redFighter[matchRunning]] + boxerDraws[redFighter[matchRunning]]
                if winlessYear != 0 and attendEvent == 1:
                    bas "By taking part in %(winlessRecord)u fights without achieving a single win, %(winlessHolder)s has broken the record for longest win-less streak, which has stood since %(winlessDay)u.%(winlessMonth)u.%(winlessYear)u!"
                $ winlessDay = day
                $ winlessMonth = month
                $ winlessYear = year
                $ boxerEmotionRecord[redFighter[matchRunning]] -= 1
                if boxerEmotionRecord[redFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[redFighter[matchRunning]] = 0
            
            if boxerLosses[blueFighter[matchRunning]] > winlessRecord and boxerWins[blueFighter[matchRunning]] == 0:
                $ winlessHolder = (blueFirstName + " " + blueSurname)
                $ winlessRecord = boxerLosses[blueFighter[matchRunning]] + boxerDraws[blueFighter[matchRunning]]
                if winlessYear != 0 and attendEvent == 1:
                    bas "By taking part in %(winlessRecord)u fights without achieving a single win, %(winlessHolder)s has broken the record for longest win-less streak, which has stood since %(winlessDay)u.%(winlessMonth)u.%(winlessYear)u!"
                $ winlessDay = day
                $ winlessMonth = month
                $ winlessYear = year
                $ boxerEmotionRecord[blueFighter[matchRunning]] -= 1
                if boxerEmotionRecord[blueFighter[matchRunning]] < 0:
                    $ boxerEmotionRecord[blueFighter[matchRunning]] = 0
    
            # Most Matches
            
            if (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]]+ boxerDraws[redFighter[matchRunning]]) > mostMatchesRecord:
                $ mostMatchesHolder = (redFirstName + " " + redSurname)
                $ mostMatchesDay = day
                $ mostMatchesMonth = month
                $ mostMatchesYear = year
                $ mostMatchesRecord = (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]]+ boxerDraws[redFighter[matchRunning]])
            
            if (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]]+ boxerDraws[blueFighter[matchRunning]]) > mostMatchesRecord:
                $ mostMatchesHolder = (blueFirstName + " " + blueSurname)
                $ mostMatchesDay = day
                $ mostMatchesMonth = month
                $ mostMatchesYear = year
                $ mostMatchesRecord = (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]]+ boxerDraws[blueFighter[matchRunning]])
    
            # Oldest Fighter and Youngest Fighter
            
            $ preMonth = month - 1
            
            if month == 1:
                $ preMonth = 12
            else:
                $ preMonth = month - 1
            
            if preMonth == 2:
                if isLeapYear == 1:
                    $ preMonthDays = 29
                else:
                    $ preMonthDays = 28
            elif preMonth == 1 or preMonth == 3 or preMonth== 5 or preMonth == 7 or preMonth == 8 or preMonth == 10 or preMonth == 12:
                $ preMonthDays = 31
            elif preMonth == 4 or preMonth == 6 or preMonth == 9 or preMonth == 11:
                $ preMonthDays = 30
            
            if day >= boxerBirthDay[redFighter[matchRunning]]:
                $ fighterDays = (day - boxerBirthDay[redFighter[matchRunning]])
            else:
                $ fighterDays = (preMonthDays - boxerBirthDay[redFighter[matchRunning]]) + day
            
            if day >= boxerBirthDay[redFighter[matchRunning]]:
                if month >= boxerBirthMonth[redFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[redFighter[matchRunning]])
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[redFighter[matchRunning]] - month))
            else:
                if month > boxerBirthMonth[redFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[redFighter[matchRunning]]) - 1
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[redFighter[matchRunning]] - month)) - 1
                
            if (month > boxerBirthMonth[redFighter[matchRunning]]) or (month == boxerBirthMonth[redFighter[matchRunning]] and day >= boxerBirthDay[redFighter[matchRunning]]):
                $ fighterYears = year - boxerBirthYear[redFighter[matchRunning]]
            else:
                $ fighterYears = (year - boxerBirthYear[redFighter[matchRunning]]) - 1
            
            if (fighterYears > oldestRecordYears or (fighterYears == oldestRecordYears and fighterMonths > oldestRecordMonths) or
                (fighterYears == oldestRecordYears and fighterMonths == oldestRecordMonths and fighterDays > oldestRecordDays)):
                $ oldestHolder = (redFirstName + " " + redSurname)
                $ oldestDay = day
                $ oldestMonth = month
                $ oldestYear = year
                $ oldestRecordYears = fighterYears
                $ oldestRecordMonths = fighterMonths
                $ oldestRecordDays = fighterDays
            
            if (fighterYears < youngestRecordYears or (fighterYears == youngestRecordYears and fighterMonths < youngestRecordMonths) or
                (fighterYears == youngestRecordYears and fighterMonths == youngestRecordMonth and fighterDays < youngestRecordDays)):
                $ youngestHolder = (redFirstName + " " + redSurname)
                $ youngestDay = day
                $ youngestMonth = month
                $ youngestYear = year
                $ youngestRecordYears = fighterYears
                $ youngestRecordMonths = fighterMonths
                $ youngestRecordDays = fighterDays
            
            if day > boxerBirthDay[blueFighter[matchRunning]]:
                $ fighterDays = (day - boxerBirthDay[blueFighter[matchRunning]])
            else:
                $ fighterDays = (preMonthDays - boxerBirthDay[blueFighter[matchRunning]]) + day
            
            if day > boxerBirthDay[blueFighter[matchRunning]]:
                if month >= boxerBirthMonth[blueFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[blueFighter[matchRunning]])
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[blueFighter[matchRunning]] - month))
            else:
                if month > boxerBirthMonth[blueFighter[matchRunning]]:
                    $ fighterMonths = (month - boxerBirthMonth[blueFighter[matchRunning]]) - 1
                else:
                    $ fighterMonths = (12 - (boxerBirthMonth[blueFighter[matchRunning]] - month)) - 1
                
            if (month > boxerBirthMonth[blueFighter[matchRunning]]) or (month == boxerBirthMonth[blueFighter[matchRunning]] and day >= boxerBirthDay[blueFighter[matchRunning]]):
                $ fighterYears = year - boxerBirthYear[blueFighter[matchRunning]]
            else:
                $ fighterYears = (year - boxerBirthYear[blueFighter[matchRunning]]) - 1
            
            if (fighterYears > oldestRecordYears or (fighterYears == oldestRecordYears and fighterMonths > oldestRecordMonths) or
                (fighterYears == oldestRecordYears and fighterMonths == oldestRecordMonths and fighterDays > oldestRecordDays)):
                $ oldestHolder = (blueFirstName + " " + blueSurname)
                $ oldestDay = day
                $ oldestMonth = month
                $ oldestYear = year
                $ oldestRecordYears = fighterYears
                $ oldestRecordMonths = fighterMonths
                $ oldestRecordDays = fighterDays
            
            if (fighterYears < youngestRecordYears or (fighterYears == youngestRecordYears and fighterMonths < youngestRecordMonths) or
                (fighterYears == youngestRecordYears and fighterMonths == youngestRecordMonths and fighterDays < youngestRecordDays)):
                $ youngestHolder = (blueFirstName + " " + blueSurname)
                $ youngestDay = day
                $ youngestMonth = month
                $ youngestYear = year
                $ youngestRecordYears = fighterYears
                $ youngestRecordMonths = fighterMonths
                $ youngestRecordDays = fighterDays
                
            # Update Overall Emotion
            
            $ boxerEmotionOverall[redFighter[matchRunning]] = int((boxerEmotionRecord[redFighter[matchRunning]] + boxerEmotionStable[redFighter[matchRunning]] + boxerEmotionTraining[redFighter[matchRunning]]) / 3)

            $ boxerEmotionOverall[blueFighter[matchRunning]] = int((boxerEmotionRecord[blueFighter[matchRunning]] + boxerEmotionStable[blueFighter[matchRunning]] + boxerEmotionTraining[blueFighter[matchRunning]]) / 3)
            
            # Check if this was a title match, and if the title changed hands
            
            if boxerRanking[redFighter[matchRunning]] == 1:
                $ champFirstName = boxerFirstName[redFighter[matchRunning]]
                $ champSurname = boxerSurname[redFighter[matchRunning]]
                $ challengerFirstName = boxerFirstName[blueFighter[matchRunning]]
                $ challengerSurname = boxerSurname[blueFighter[matchRunning]]
                $ boxerContractTitle[blueFighter[matchRunning]] = boxerPromiseTitleShot[blueFighter[matchRunning]]
                
                # if either fighter is in player's stable, update player manager stats
            
                if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleDefences += 1
                    $ playerWorldDefencesSuccess += 1
                    $ playerWorldDefencesSuccessPercent = int(float(float(playerWorldDefencesSuccess) / float(playerWorldTitleDefences)) * 100)
                    
                if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleChallenges += 1
                    $ playerWorldChallengeSuccessPercent = int(float(float(playerWorldChallengeSuccess) / float(playerWorldTitleChallenges)) * 100)
                    
                bas "World Heavyweight Champion %(champFirstName)s %(champSurname)s just managed to defend his title against %(challengerFirstName)s %(challengerSurname)s tonight, as the match ended in a draw."
            elif boxerRanking[blueFighter[matchRunning]] == 1:
                $ champFirstName = boxerFirstName[blueFighter[matchRunning]]
                $ champSurname = boxerSurname[blueFighter[matchRunning]]
                $ challengerFirstName = boxerFirstName[redFighter[matchRunning]]
                $ challengerSurname = boxerSurname[redFighter[matchRunning]]
                $ boxerContractTitle[redFighter[matchRunning]] = boxerPromiseTitleShot[redFighter[matchRunning]]
                
                # if either fighter is in player's stable, update player manager stats
            
                if boxerPlayerStable[blueFighter[matchRunning]] == 1 and boxerPlayerStable[redFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleDefences += 1
                    $ playerWorldDefencesSuccess += 1
                    $ playerWorldDefencesSuccessPercent = int(float(float(playerWorldDefencesSuccess) / float(playerWorldTitleDefences)) * 100)
                    
                if boxerPlayerStable[redFighter[matchRunning]] == 1 and boxerPlayerStable[blueFighter[matchRunning]] != 1:
                    $ playerWorldTitleFights += 1
                    $ playerWorldTitleChallenges += 1
                    $ playerWorldChallengeSuccessPercent = int(float(float(playerWorldChallengeSuccess) / float(playerWorldTitleChallenges)) * 100)
                    
                bas "World Heavyweight Champion %(champFirstName)s %(champSurname)s just managed to defend his title against %(challengerFirstName)s %(challengerSurname)s tonight, as the match ended in a draw."
                
        $ boxerMatchBooked[redFighter[matchRunning]] = 0
        $ boxerMatchBooked[blueFighter[matchRunning]] = 0
            
        $ boxerContractPurse[redFighter[matchRunning]] += boxerNextFightPurse[redFighter[matchRunning]]
        $ boxerNextFightPurse[redFighter[matchRunning]] = 0
        $ boxerNextFightOpponent[redFighter[matchRunning]] = 999
        $ boxerNextFightDay[redFighter[matchRunning]] = 0
        $ boxerNextFightMonth[redFighter[matchRunning]] = 0
        $ boxerNextFightYear[redFighter[matchRunning]] = 0
        if boxerRanking[redFighter[matchRunning]] < boxerHighestRank[redFighter[matchRunning]]:
            $ boxerHighestRank[redFighter[matchRunning]] = boxerRanking[redFighter[matchRunning]]
            
        $ boxerContractFights[redFighter[matchRunning]] += 1
        if boxerContractFights[redFighter[matchRunning]] >= boxerPromiseFights[redFighter[matchRunning]]:
            jump redContractCheck
            label redContractCheckReturn:
        
        $ boxerContractPurse[blueFighter[matchRunning]] += boxerNextFightPurse[blueFighter[matchRunning]]
        $ boxerNextFightPurse[blueFighter[matchRunning]] = 0
        $ boxerNextFightOpponent[blueFighter[matchRunning]] = 999
        $ boxerNextFightDay[blueFighter[matchRunning]] = 0
        $ boxerNextFightMonth[blueFighter[matchRunning]] = 0
        $ boxerNextFightYear[blueFighter[matchRunning]] = 0
        if boxerRanking[blueFighter[matchRunning]] < boxerHighestRank[blueFighter[matchRunning]]:
            $ boxerHighestRank[blueFighter[matchRunning]] = boxerRanking[blueFighter[matchRunning]]
            
        $ boxerContractFights[blueFighter[matchRunning]] += 1
        if boxerContractFights[blueFighter[matchRunning]] >= boxerPromiseFights[blueFighter[matchRunning]]:
            jump blueContractCheck
            label blueContractCheckReturn:
                
        $ matchRunning += 1
    
    # Advance cards and move this event to the end of the list
    
    # Event 0
    
    $ eventYear[0] = eventYear[1]
    $ eventMonth[0] = eventMonth[1]
    $ eventDay[0] = eventDay[1]
    $ matchesBooked[0] = matchesBooked[1]
    $ cardRun[0] = cardRun[1]
    
    $ redFighter[0] = redFighter[5]
    $ blueFighter[0] = blueFighter[5]
    $ redFighter[1] = redFighter[6]
    $ blueFighter[1] = blueFighter[6]
    $ redFighter[2] = redFighter[7]
    $ blueFighter[2] = blueFighter[7]
    $ redFighter[3] = redFighter[8]
    $ blueFighter[3] = blueFighter[8]
    $ redFighter[4] = redFighter[9]
    $ blueFighter[4] = blueFighter[9]
    
    # Event 1
    
    $ eventYear[1] = eventYear[2]
    $ eventMonth[1] = eventMonth[2]
    $ eventDay[1] = eventDay[2]
    $ matchesBooked[1] = matchesBooked[2]
    $ cardRun[1] = cardRun[2]
    
    $ redFighter[5] = redFighter[10]
    $ blueFighter[5] = blueFighter[10]
    $ redFighter[6] = redFighter[11]
    $ blueFighter[6] = blueFighter[11]
    $ redFighter[7] = redFighter[12]
    $ blueFighter[7] = blueFighter[12]
    $ redFighter[8] = redFighter[13]
    $ blueFighter[8] = blueFighter[13]
    $ redFighter[9] = redFighter[14]
    $ blueFighter[9] = blueFighter[14]
    
    # Event 2
    
    $ eventYear[2] = eventYear[3]
    $ eventMonth[2] = eventMonth[3]
    $ eventDay[2] = eventDay[3]
    $ matchesBooked[2] = matchesBooked[3]
    $ cardRun[2] = cardRun[3]
    
    $ redFighter[10] = redFighter[15]
    $ blueFighter[10] = blueFighter[15]
    $ redFighter[11] = redFighter[16]
    $ blueFighter[11] = blueFighter[16]
    $ redFighter[12] = redFighter[17]
    $ blueFighter[12] = blueFighter[17]
    $ redFighter[13] = redFighter[18]
    $ blueFighter[13] = blueFighter[18]
    $ redFighter[14] = redFighter[19]
    $ blueFighter[14] = blueFighter[19]
    
    # Event 3
    
    $ eventYear[3] = eventYear[4]
    $ eventMonth[3] = eventMonth[4]
    $ eventDay[3] = eventDay[4]
    $ matchesBooked[3] = matchesBooked[4]
    $ cardRun[3] = cardRun[4]
    
    $ redFighter[15] = redFighter[20]
    $ blueFighter[15] = blueFighter[20]
    $ redFighter[16] = redFighter[21]
    $ blueFighter[16] = blueFighter[21]
    $ redFighter[17] = redFighter[22]
    $ blueFighter[17] = blueFighter[22]
    $ redFighter[18] = redFighter[23]
    $ blueFighter[18] = blueFighter[23]
    $ redFighter[19] = redFighter[24]
    $ blueFighter[19] = blueFighter[24]
    
    $ advanceCount = 1
    
    $ advanceDay = day
    $ advanceMonth = month
    $ advanceYear = year
    
    # Event 4 - Set Date
    
    while advanceCount < 36:
        $ advanceDay += 1
        
        if advanceMonth == 2:
            if isLeapYear == 1:
                $ monthDays = 29
            else:
                $ monthDays = 28
        elif advanceMonth == 1 or advanceMonth == 3 or advanceMonth == 5 or advanceMonth == 7 or advanceMonth == 8 or advanceMonth == 10 or advanceMonth == 12:
            $ monthDays = 31
        elif advanceMonth == 4 or advanceMonth == 6 or advanceMonth == 9 or advanceMonth == 11:
            $ monthDays = 30
            
        if advanceDay > monthDays:
            $ advanceDay = 1
            $ advanceMonth += 1
        
            if advanceMonth == 13: 
                $ advanceMonth = 1
                $ advanceYear += 1
        
        $ advanceCount += 1
        
    $ eventYear[4] = advanceYear
    $ eventMonth[4] = advanceMonth
    $ eventDay[4] = advanceDay
    $ matchesBooked[4] = 0
    $ cardRun[4] = 1
    
    $ redFighter[20] = 999
    $ blueFighter[20] = 999
    $ redFighter[21] = 999
    $ blueFighter[21] = 999
    $ redFighter[22] = 999
    $ blueFighter[22] = 999
    $ redFighter[23] = 999
    $ blueFighter[23] = 999
    $ redFighter[24] = 999
    $ blueFighter[24] = 999
    
    hide screen gui
    hide screen tipTextDisplay
    
    jump cardReturn
    
    
label redContractCheck:
    
    # Check contract compliance and recalculate emotion
    
    # Update Overall Emotion
    
    if (boxerContractPurse[redFighter[matchRunning]] / boxerContractFights[redFighter[matchRunning]]) < boxerPromisePurse[redFighter[matchRunning]]:
        $ boxerEmotionStable[redFighter[matchRunning]] -= 1
    else:
        $ boxerEmotionStable[redFighter[matchRunning]] += 1
            
    if boxerHighestRank[redFighter[matchRunning]] > boxerPromiseRank[redFighter[matchRunning]]:
        $ boxerEmotionStable[redFighter[matchRunning]] -= 1
    else: 
        $ boxerEmotionStable[redFighter[matchRunning]] += 1
        
    if ((boxerPromiseTitleShot[redFighter[matchRunning]] == "World" and (boxerContractTitle[redFighter[matchRunning]] == "None" or boxerContractTitle[redFighter[matchRunning]] == "National" or boxerContractTitle[redFighter[matchRunning]] == "Regional"))
        or (boxerPromiseTitleShot[redFighter[matchRunning]] == "National" and (boxerContractTitle[redFighter[matchRunning]] == "None" or boxerContractTitle[redFighter[matchRunning]] == "Regional"))
        or (boxerPromiseTitleShot[redFighter[matchRunning]] == "Regional" and boxerContractTitle[redFighter[matchRunning]] == "None")):
        $ boxerEmotionStable[redFighter[matchRunning]] -= 1
    else: 
        $ boxerEmotionStable[redFighter[matchRunning]] += 1
        
    if boxerEmotionStable[redFighter[matchRunning]] < 0:
        $ boxerEmotionStable[redFighter[matchRunning]] = 0
    elif boxerEmotionStable[redFighter[matchRunning]] > 6:
        $ boxerEmotionStable[redFighter[matchRunning]] = 6
            
    $ boxerEmotionOverall[redFighter[matchRunning]] = int((boxerEmotionRecord[redFighter[matchRunning]] + boxerEmotionStable[redFighter[matchRunning]] + boxerEmotionTraining[redFighter[matchRunning]]) / 3)
    
    if (boxerPlayerStable[redFighter[matchRunning]] != 1 and (boxerEmotionStable[redFighter[matchRunning]] > 2 and boxerEmotionTraining[redFighter[matchRunning]] > 1)):
#        "%(redFirstName)s %(redSurname)s is happy and signs new contract immediately."
        # If boxer is not unhappy with current manager then immediately sign new contract
        # Decide what the fighter will likely want and create contract points
        
        if boxerAge[redFighter[matchRunning]] <= 21:
            $ boxerPromiseFights[redFighter[matchRunning]] = 4
        elif boxerAge[redFighter[matchRunning]] > 21 and boxerAge[redFighter[matchRunning]] <= 25:
            $ boxerPromiseFights[redFighter[matchRunning]] = 3
        elif boxerAge[redFighter[matchRunning]] > 25 and boxerAge[redFighter[matchRunning]] <= 30:
            $ boxerPromiseFights[redFighter[matchRunning]] = 4
        elif boxerAge[redFighter[matchRunning]] > 30 and boxerAge[redFighter[matchRunning]] <= 36: 
            $ boxerPromiseFights[redFighter[matchRunning]] = 5
        elif boxerAge[redFighter[matchRunning]] > 36:
            $ boxerPromiseFights[redFighter[matchRunning]] = 3
            
        if boxerRanking[redFighter[matchRunning]] > 80:
            $ boxerPromisePurse[redFighter[matchRunning]] = 20
        elif boxerRanking[redFighter[matchRunning]] <= 80 and boxerRanking[redFighter[matchRunning]] > 60:
            $ boxerPromisePurse[redFighter[matchRunning]] = 25
        elif boxerRanking[redFighter[matchRunning]] <= 60 and boxerRanking[redFighter[matchRunning]] > 40:
            $ boxerPromisePurse[redFighter[matchRunning]] = 30
        elif boxerRanking[redFighter[matchRunning]] <= 40 and boxerRanking[redFighter[matchRunning]] > 20:
            $ boxerPromisePurse[redFighter[matchRunning]] = 35
        elif boxerRanking[redFighter[matchRunning]] <= 20 and boxerRanking[redFighter[matchRunning]] > 10:
            $ boxerPromisePurse[redFighter[matchRunning]] = 40
        elif boxerRanking[redFighter[matchRunning]] <= 10 and boxerRanking[redFighter[matchRunning]] > 5:
            $ boxerPromisePurse[redFighter[matchRunning]] = 45
        elif boxerRanking[redFighter[matchRunning]] <= 5 and boxerRanking[redFighter[matchRunning]] > 1:
            $ boxerPromisePurse[redFighter[matchRunning]] = 50
        elif boxerRanking[redFighter[matchRunning]] == 1:
            $ boxerPromisePurse[redFighter[matchRunning]] = 60
        
        if boxerRanking[redFighter[matchRunning]] > 80:
            $ boxerPromiseRank[redFighter[matchRunning]] = boxerRanking[redFighter[matchRunning]] - 10
        elif boxerRanking[redFighter[matchRunning]] <= 80 and boxerRanking[redFighter[matchRunning]] > 60:
            $ boxerPromiseRank[redFighter[matchRunning]] = boxerRanking[redFighter[matchRunning]] - 15
        elif boxerRanking[redFighter[matchRunning]] <= 60 and boxerRanking[redFighter[matchRunning]] > 20:
            $ boxerPromiseRank[redFighter[matchRunning]] = boxerRanking[redFighter[matchRunning]] - 20
        elif boxerRanking[redFighter[matchRunning]] <= 20 and boxerRanking[redFighter[matchRunning]] > 10:
            $ boxerPromiseRank[redFighter[matchRunning]] = boxerRanking[redFighter[matchRunning]] - 10
            if boxerPromiseRank[redFighter[matchRunning]] < 1:
                $ boxerPromiseRank[redFighter[matchRunning]] = 1
        elif boxerRanking[redFighter[matchRunning]] <= 10 and boxerRanking[redFighter[matchRunning]] > 5:
            $ boxerPromiseRank[redFighter[matchRunning]] = boxerRanking[redFighter[matchRunning]] - 5
            if boxerPromiseRank[redFighter[matchRunning]] < 1:
                $ boxerPromiseRank[redFighter[matchRunning]] = 1
        elif boxerRanking[redFighter[matchRunning]] <= 5 and boxerRanking[redFighter[matchRunning]] > 2:
            $ boxerPromiseRank[redFighter[matchRunning]] = 2
        elif boxerRanking[redFighter[matchRunning]] <= 2:
            $ boxerPromiseRank[redFighter[matchRunning]] = 1
            
        if boxerRanking[redFighter[matchRunning]] <= 15:
            $ boxerPromiseTitleShot[redFighter[matchRunning]] = "World"
        else:
            $ boxerPromiseTitleShot[redFighter[matchRunning]] = "None"
            
        $ boxerPlayerStable[redFighter[matchRunning]] = 0
        $ boxerHappyWithPlayer[redFighter[matchRunning]] = 1
            
        $ boxerContractExpired[redFighter[matchRunning]] = 0
        $ boxerContractExpiring[redFighter[matchRunning]] = 0
        
        $ boxerFightsBooked[redFighter[matchRunning]] = 0
        $ boxerContractFights[redFighter[matchRunning]] = 0
        $ boxerContractTitle[redFighter[matchRunning]] = "None"
        $ boxerContractPurse[redFighter[matchRunning]] = 0
        $ boxerHighestRank[redFighter[matchRunning]] = 999
        $ boxerContractExpiring[redFighter[matchRunning]] = 0
        $ boxerContractExpired[redFighter[matchRunning]] = 0
    
    else:
        
        # If boxer is not happy with current manager or is a member of player's stable then leave (player will have opportunity to renew contract in daily update)
        if boxerPlayerStable[redFighter[matchRunning]] == 1 and (boxerEmotionStable[redFighter[matchRunning]] <= 2 or boxerEmotionTraining[redFighter[matchRunning]] <= 1):
#            "%(redFirstName)s %(redSurname)s is in player's stable and is unhappy."
            $ boxerHappyWithPlayer[redFighter[matchRunning]] = 0
        elif boxerPlayerStable[redFighter[matchRunning]] == 1 and (boxerEmotionStable[redFighter[matchRunning]] > 2 or boxerEmotionTraining[redFighter[matchRunning]] > 1):
#            "%(redFirstName)s %(redSurname)s is in player's stable and is happy to discuss a new contract."
            $ boxerHappyWithPlayer[redFighter[matchRunning]] = 1
#        else:
#            "%(redFirstName)s %(redSurname)s is not in player's stable and is unhappy."
            
        $ boxerContractExpired[redFighter[matchRunning]] = 1
    
    jump redContractCheckReturn
    
    
label blueContractCheck:
    
    # Check contract compliance and recalculate emotion
    
    # Update Overall Emotion
    
    if (boxerContractPurse[blueFighter[matchRunning]] / boxerContractFights[blueFighter[matchRunning]]) < boxerPromisePurse[blueFighter[matchRunning]]:
        $ boxerEmotionStable[blueFighter[matchRunning]] -= 1
    else:
        $ boxerEmotionStable[blueFighter[matchRunning]] += 1
            
    if boxerHighestRank[blueFighter[matchRunning]] > boxerPromiseRank[blueFighter[matchRunning]]:
        $ boxerEmotionStable[blueFighter[matchRunning]] -= 1
    else: 
        $ boxerEmotionStable[blueFighter[matchRunning]] += 1
        
    if ((boxerPromiseTitleShot[blueFighter[matchRunning]] == "World" and (boxerContractTitle[blueFighter[matchRunning]] == "None" or boxerContractTitle[blueFighter[matchRunning]] == "National" or boxerContractTitle[blueFighter[matchRunning]] == "Regional"))
        or (boxerPromiseTitleShot[blueFighter[matchRunning]] == "National" and (boxerContractTitle[blueFighter[matchRunning]] == "None" or boxerContractTitle[blueFighter[matchRunning]] == "Regional"))
        or (boxerPromiseTitleShot[blueFighter[matchRunning]] == "Regional" and boxerContractTitle[blueFighter[matchRunning]] == "None")):
        $ boxerEmotionStable[blueFighter[matchRunning]] -= 1
    else: 
        $ boxerEmotionStable[blueFighter[matchRunning]] += 1
        
    if boxerEmotionStable[blueFighter[matchRunning]] < 0:
        $ boxerEmotionStable[blueFighter[matchRunning]] = 0
    elif boxerEmotionStable[blueFighter[matchRunning]] > 6:
        $ boxerEmotionStable[blueFighter[matchRunning]] = 6
            
    $ boxerEmotionOverall[blueFighter[matchRunning]] = int((boxerEmotionRecord[blueFighter[matchRunning]] + boxerEmotionStable[blueFighter[matchRunning]] + boxerEmotionTraining[blueFighter[matchRunning]]) / 3)

    if (boxerPlayerStable[blueFighter[matchRunning]] != 1 and (boxerEmotionStable[blueFighter[matchRunning]] > 2 and boxerEmotionTraining[blueFighter[matchRunning]] > 1)):
#        "%(blueFirstName)s %(blueSurname)s is happy and signs new contract immediately."
        # If boxer is not unhappy with current manager then immediately sign new contract
        # Decide what the fighter will likely want and create contract points
        
        if boxerAge[blueFighter[matchRunning]] <= 21:
            $ boxerPromiseFights[blueFighter[matchRunning]] = 4
        elif boxerAge[blueFighter[matchRunning]] > 21 and boxerAge[blueFighter[matchRunning]] <= 25:
            $ boxerPromiseFights[blueFighter[matchRunning]] = 3
        elif boxerAge[blueFighter[matchRunning]] > 25 and boxerAge[blueFighter[matchRunning]] <= 30:
            $ boxerPromiseFights[blueFighter[matchRunning]] = 4
        elif boxerAge[blueFighter[matchRunning]] > 30 and boxerAge[blueFighter[matchRunning]] <= 36: 
            $ boxerPromiseFights[blueFighter[matchRunning]] = 5
        elif boxerAge[blueFighter[matchRunning]] > 36:
            $ boxerPromiseFights[blueFighter[matchRunning]] = 3
            
        if boxerRanking[blueFighter[matchRunning]] > 80:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 20
        elif boxerRanking[blueFighter[matchRunning]] <= 80 and boxerRanking[blueFighter[matchRunning]] > 60:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 25
        elif boxerRanking[blueFighter[matchRunning]] <= 60 and boxerRanking[blueFighter[matchRunning]] > 40:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 30
        elif boxerRanking[blueFighter[matchRunning]] <= 40 and boxerRanking[blueFighter[matchRunning]] > 20:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 35
        elif boxerRanking[blueFighter[matchRunning]] <= 20 and boxerRanking[blueFighter[matchRunning]] > 10:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 40
        elif boxerRanking[blueFighter[matchRunning]] <= 10 and boxerRanking[blueFighter[matchRunning]] > 5:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 45
        elif boxerRanking[blueFighter[matchRunning]] <= 5 and boxerRanking[blueFighter[matchRunning]] > 1:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 50
        elif boxerRanking[blueFighter[matchRunning]] == 1:
            $ boxerPromisePurse[blueFighter[matchRunning]] = 60
        
        if boxerRanking[blueFighter[matchRunning]] > 80:
            $ boxerPromiseRank[blueFighter[matchRunning]] = boxerRanking[blueFighter[matchRunning]] - 10
        elif boxerRanking[blueFighter[matchRunning]] <= 80 and boxerRanking[blueFighter[matchRunning]] > 60:
            $ boxerPromiseRank[blueFighter[matchRunning]] = boxerRanking[blueFighter[matchRunning]] - 15
        elif boxerRanking[blueFighter[matchRunning]] <= 60 and boxerRanking[blueFighter[matchRunning]] > 20:
            $ boxerPromiseRank[blueFighter[matchRunning]] = boxerRanking[blueFighter[matchRunning]] - 20
        elif boxerRanking[blueFighter[matchRunning]] <= 20 and boxerRanking[blueFighter[matchRunning]] > 10:
            $ boxerPromiseRank[blueFighter[matchRunning]] = boxerRanking[blueFighter[matchRunning]] - 10
            if boxerPromiseRank[blueFighter[matchRunning]] < 1:
                $ boxerPromiseRank[blueFighter[matchRunning]] = 1
        elif boxerRanking[blueFighter[matchRunning]] <= 10 and boxerRanking[blueFighter[matchRunning]] > 5:
            $ boxerPromiseRank[blueFighter[matchRunning]] = boxerRanking[blueFighter[matchRunning]] - 5
            if boxerPromiseRank[blueFighter[matchRunning]] < 1:
                $ boxerPromiseRank[blueFighter[matchRunning]] = 1
        elif boxerRanking[blueFighter[matchRunning]] <= 5 and boxerRanking[blueFighter[matchRunning]] > 2:
            $ boxerPromiseRank[blueFighter[matchRunning]] = 2
        elif boxerRanking[blueFighter[matchRunning]] <= 2:
            $ boxerPromiseRank[blueFighter[matchRunning]] = 1
            
        if boxerRanking[blueFighter[matchRunning]] <= 15:
            $ boxerPromiseTitleShot[blueFighter[matchRunning]] = "World"
        else:
            $ boxerPromiseTitleShot[blueFighter[matchRunning]] = "None"
            
        $ boxerPlayerStable[blueFighter[matchRunning]] = 0
        $ boxerHappyWithPlayer[blueFighter[matchRunning]] = 1
            
        $ boxerContractExpired[blueFighter[matchRunning]] = 0
        $ boxerContractExpiring[blueFighter[matchRunning]] = 0
        
        $ boxerFightsBooked[blueFighter[matchRunning]] = 0
        $ boxerContractFights[blueFighter[matchRunning]] = 0
        $ boxerContractTitle[blueFighter[matchRunning]] = "None"
        $ boxerContractPurse[blueFighter[matchRunning]] = 0
        $ boxerHighestRank[blueFighter[matchRunning]] = 999
        $ boxerContractExpiring[blueFighter[matchRunning]] = 0
        $ boxerContractExpired[blueFighter[matchRunning]] = 0
    
    else:
        
        # If boxer is not happy with current manager or is a member of player's stable then leave (player will have opportunity to renew contract in daily update)
        if boxerPlayerStable[blueFighter[matchRunning]] == 1 and (boxerEmotionStable[blueFighter[matchRunning]] <= 2 or boxerEmotionTraining[blueFighter[matchRunning]] <= 1):
#            "%(blueFirstName)s %(blueSurname)s is in player's stable and is unhappy."
            $ boxerHappyWithPlayer[blueFighter[matchRunning]] = 0
        elif boxerPlayerStable[blueFighter[matchRunning]] == 1 and (boxerEmotionStable[blueFighter[matchRunning]] > 2 or boxerEmotionTraining[blueFighter[matchRunning]] > 1):
#            "%(blueFirstName)s %(blueSurname)s is in player's stable and is happy to discuss a new contract."
            $ boxerHappyWithPlayer[blueFighter[matchRunning]] = 1
#        else:
#            "%(blueFirstName)s %(blueSurname)s is not in player's stable and is unhappy."
            
        $ boxerContractExpired[blueFighter[matchRunning]] = 1
    
    jump blueContractCheckReturn
    
    
label taleOfTape:

    scene bg tott_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
        
    $ watchFight = 1
        
    $ buttonXMin = 170
    $ buttonYMin = 80
    $ buttonXMax = 170
    $ buttonYMax = 80
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=24, xpos=640, ypos=100, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color="#FFFFFF")

    if matchRunning == 4:
        if boxerRanking[redFighter[matchRunning]] == 1 or boxerRanking[blueFighter[matchRunning]] == 1:
            $ ui.text("WORLD CHAMPIONSHIP MATCH", size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        else:
            $ ui.text("MAIN EVENT", size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    elif matchRunning == 0:
        $ ui.text("Opening Match", size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    else:
        $ ui.text("Match %u" % (matchRunning + 1), size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        
    if boxerRanking[redFighter[matchRunning]] == 1:
        $ ui.text("%u. %s %s (c)" % (boxerRanking[redFighter[matchRunning]], boxerFirstName[redFighter[matchRunning]], boxerSurname[redFighter[matchRunning]]), text_align=1.0, size=44, xpos=600, ypos=230, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    else:
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[matchRunning]], boxerFirstName[redFighter[matchRunning]], boxerSurname[redFighter[matchRunning]]), text_align=1.0, size=44, xpos=600, ypos=230, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    $ ui.text("v", text_align=0.5, size=38, xpos=640, ypos=230, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    if boxerRanking[blueFighter[matchRunning]] == 1:
        $ ui.text("%u. %s %s (c)" % (boxerRanking[blueFighter[matchRunning]], boxerFirstName[blueFighter[matchRunning]], boxerSurname[blueFighter[matchRunning]]), text_align=0.0, size=44, xpos=680, ypos=230, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    else:
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[matchRunning]], boxerFirstName[blueFighter[matchRunning]], boxerSurname[blueFighter[matchRunning]]), text_align=0.0, size=44, xpos=680, ypos=230, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    
    $ ui.text("%u" % boxerAge[redFighter[matchRunning]], text_align=0.5, size=28, xpos=490, ypos=290, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Age -", text_align=0.5, size=28, xpos=640, ypos=290, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % boxerAge[blueFighter[matchRunning]], text_align=0.5, size=28, xpos=790, ypos=290, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u" % (boxerWins[redFighter[matchRunning]] + boxerLosses[redFighter[matchRunning]] + boxerDraws[redFighter[matchRunning]]), text_align=0.5, size=28, xpos=490, ypos=325, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Fights -", text_align=0.5, size=28, xpos=640, ypos=325, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % (boxerWins[blueFighter[matchRunning]] + boxerLosses[blueFighter[matchRunning]] + boxerDraws[blueFighter[matchRunning]]), text_align=0.5, size=28, xpos=790, ypos=325, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u (%u)" % (boxerWins[redFighter[matchRunning]], boxerKOs[redFighter[matchRunning]]), text_align=0.5, size=28, xpos=490, ypos=360, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Wins (by KO) -", text_align=0.5, size=28, xpos=640, ypos=360, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u (%u)" % (boxerWins[blueFighter[matchRunning]], boxerKOs[blueFighter[matchRunning]]), text_align=0.5, size=28, xpos=790, ypos=360, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u (%u)" % (boxerLosses[redFighter[matchRunning]], boxerKOLosses[redFighter[matchRunning]]), text_align=0.5, size=28, xpos=490, ypos=395, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Losses (by KO) -", text_align=0.5, size=28, xpos=640, ypos=395, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u (%u)" % (boxerLosses[blueFighter[matchRunning]], boxerKOLosses[blueFighter[matchRunning]]), text_align=0.5, size=28, xpos=790, ypos=395, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u" % boxerDraws[redFighter[matchRunning]], text_align=0.5, size=28, xpos=490, ypos=430, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Draws -", text_align=0.5, size=28, xpos=640, ypos=430, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % boxerDraws[blueFighter[matchRunning]], text_align=0.5, size=28, xpos=790, ypos=430, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u" % boxerFootwork[redFighter[matchRunning]], text_align=0.5, size=28, xpos=490, ypos=485, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Footwork -", text_align=0.5, size=28, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % boxerFootwork[blueFighter[matchRunning]], text_align=0.5, size=28, xpos=790, ypos=485, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u" % boxerHandSpeed[redFighter[matchRunning]], text_align=0.5, size=28, xpos=490, ypos=520, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Hand Speed -", text_align=0.5, size=28, xpos=640, ypos=520, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % boxerHandSpeed[blueFighter[matchRunning]], text_align=0.5, size=28, xpos=790, ypos=520, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u" % boxerStrength[redFighter[matchRunning]], text_align=0.5, size=28, xpos=490, ypos=555, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Strength -", text_align=0.5, size=28, xpos=640, ypos=555, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % boxerStrength[blueFighter[matchRunning]], text_align=0.5, size=28, xpos=790, ypos=555, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.text("%u" % boxerToughness[redFighter[matchRunning]], text_align=0.5, size=28, xpos=490, ypos=590, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FFFFFF")
    $ ui.text("- Toughness -", text_align=0.5, size=28, xpos=640, ypos=590, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    $ ui.text("%u" % boxerToughness[blueFighter[matchRunning]], text_align=0.5, size=28, xpos=790, ypos=590, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#FFFFFF")
    
    $ ui.textbutton("Commentary\nSpeed\n(%.1f secs)"% commentarySpeed, clicked=ui.returns("comment speed"), xpos=385, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Watch\nFight", clicked=ui.returns("watch"), xpos=555, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("True\nSim", clicked=ui.returns("true_sim"), xpos=725, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Quick\nSim", clicked=ui.returns("quick_sim"), xpos=895, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ button_selection=ui.interact()
                
    if button_selection=="watch":
        $ watchFight = 1
        $ quickSimYes = 0
    elif button_selection=="true_sim":
        $ watchFight = 0
        $ quickSimYes = 0
    elif button_selection=="quick_sim":
        $ watchFight = 0
        $ quickSimYes = 1
    elif button_selection=="comment speed":
        if commentarySpeed == 0.5:
            $ commentarySpeed = 1
        elif commentarySpeed == 1:
            $ commentarySpeed = 1.5
        elif commentarySpeed == 1.5:
            $ commentarySpeed = 2
        elif commentarySpeed == 2:
            $ commentarySpeed = 2.5
        elif commentarySpeed == 2.5:
            $ commentarySpeed = 3
        elif commentarySpeed == 3:
            $ commentarySpeed = 3.5
        elif commentarySpeed == 3.5:
            $ commentarySpeed = 4
        elif commentarySpeed == 4:
            $ commentarySpeed = 0.5

        jump taleOfTape

    jump taleOfTapeReturn
    
    
label matchResults:
    scene bg match_results_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
        
    $ buttonXMin = 150
    $ buttonYMin = 80
    $ buttonXMax = 150
    $ buttonYMax = 80
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=24, xpos=640, ypos=100, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.5, color="#FFFFFF")

    if matchRunning == 4:
        if boxerRanking[redFighter[matchRunning]] == 1 or boxerRanking[blueFighter[matchRunning]] == 1:
            $ ui.text("WORLD CHAMPIONSHIP MATCH", size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        else:
            $ ui.text("MAIN EVENT", size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    elif matchRunning == 0:
        $ ui.text("Opening Match", size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    else:
        $ ui.text("Match %u" % (matchRunning + 1), size=32, xpos=640, ypos=175, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
    
    if matchWinner == 1:
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[matchRunning]], boxerFirstName[redFighter[matchRunning]], boxerSurname[redFighter[matchRunning]]), text_align=0.5, size=56, xpos=640, ypos=285, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FF0000")
        $ ui.text("beat", text_align=0.5, size=38, xpos=640, ypos=355, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[matchRunning]], boxerFirstName[blueFighter[matchRunning]], boxerSurname[blueFighter[matchRunning]]), text_align=0.5, size=56, xpos=640, ypos=435, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#0000FF")
        
        if winType == "KO":
            $ ui.text("by knockout in", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            $ ui.text("%u minutes and %u seconds of Round %u" %(roundMins, roundSecs, fightRound), text_align=0.5, size=32, xpos=640, ypos=525, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        elif winType == "TKO":
            $ ui.text("by technical knockout in", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            $ ui.text("%u minutes and %u seconds of Round %u" %(roundMins, roundSecs, fightRound), text_align=0.5, size=32, xpos=640, ypos=525, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        elif winType == "Cut":
            $ ui.text("after the referee stopped the fight due to a cut in", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            $ ui.text("%u minutes and %u seconds of Round %u" %(roundMins, roundSecs, fightRound), text_align=0.5, size=32, xpos=640, ypos=525, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        elif winType == "Pts":
            $ ui.text("by judges' decision after the time limit expired.", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            
    elif matchWinner == 2:
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[matchRunning]], boxerFirstName[blueFighter[matchRunning]], boxerSurname[blueFighter[matchRunning]]), text_align=0.5, size=56, xpos=640, ypos=285, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#0000FF")
        $ ui.text("beat", text_align=0.5, size=38, xpos=640, ypos=355, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[matchRunning]], boxerFirstName[redFighter[matchRunning]], boxerSurname[redFighter[matchRunning]]), text_align=0.5, size=56, xpos=640, ypos=435, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FF0000")
        if winType == "KO":
            $ ui.text("by knockout in", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            $ ui.text("%u minutes and %u seconds of Round %u" %(roundMins, roundSecs, fightRound), text_align=0.5, size=32, xpos=640, ypos=525, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        elif winType == "TKO":
            $ ui.text("by technical knockout in", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            $ ui.text("%u minutes and %u seconds of Round %u" %(roundMins, roundSecs, fightRound), text_align=0.5, size=32, xpos=640, ypos=525, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        elif winType == "Cut":
            $ ui.text("after the referee stopped the fight due to a cut in", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            $ ui.text("%u minutes and %u seconds of Round %u" %(roundMins, roundSecs, fightRound), text_align=0.5, size=32, xpos=640, ypos=525, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        elif winType == "Pts":
            $ ui.text("by judges' decision after the time limit expired.", text_align=0.5, size=32, xpos=640, ypos=485, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
            
    else:
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[matchRunning]], boxerFirstName[redFighter[matchRunning]], boxerSurname[redFighter[matchRunning]]), text_align=0.5, size=56, xpos=640, ypos=285, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FF0000")
        $ ui.text("drew with", text_align=0.5, size=38, xpos=640, ypos=355, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#FFFFFF")
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[matchRunning]], boxerFirstName[blueFighter[matchRunning]], boxerSurname[blueFighter[matchRunning]]), text_align=0.5, size=56, xpos=640, ypos=435, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#0000FF")
        
    $ ui.textbutton("Continue", clicked=ui.returns("continue"), xpos=640, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ button_selection=ui.interact()
                
    if button_selection=="continue":
        jump matchResultsReturn

    jump matchResultsReturn