﻿# You can place the script of your game in this file.

# Variables in this Init block won't be saved with the game

init:
#    $ from time import time
    $ from textwrap import fill
    $ newRookie = 0

# Here we declare the backgrounds that are used.

image bg bkgnd1 = "wcbm_bkgnd1.jpg"
image bg boxer_gym = "boxer_gym.jpg"
image bg auto_fight_bkgnd = "auto_fight_bkgnd.jpg"
image bg book_match_bkgnd = "book_match_bkgnd.jpg"
image bg calendar_bkgnd = "calendar_bkgnd.jpg"
image bg card_bkgnd = "wcbm_card_bkgnd.jpg"
image bg contract_bkgnd = "contract_bkgnd.jpg"
image bg compare_bkgnd = "wcbm_compare_bkgnd.jpg"
image bg daily_update_bkgnd = "daily_update_bkgnd.jpg"
image bg event_card_bkgnd = "event_card_bkgnd.jpg"
image bg fight_bkgnd = "fight_bkgnd1.jpg"
image bg fight_facts_bkgnd = "fight_facts_bkgnd.jpg"
image bg manager_bkgnd = "manager_bkgnd.jpg"
image bg manager_stats_bkgnd = "manager_stats_bkgnd.jpg"
image bg match_results_bkgnd = "match_results_bkgnd.jpg"
image bg office_bkgnd = "office_1.jpg"
image bg player_choose_sides_bkgnd = "player_choose_sides_bkgnd.jpg"
image bg player_tactics_bkgnd = "player_tactics_bkgnd.jpg"
image bg rankings_bkgnd = "wcbm_rankings_bkgnd.jpg"
image bg records_bkgnd = "records_bkgnd.jpg"
image bg stable_bkgnd = "stable_bkgnd.jpg"
image bg stable_contract_bkgnd = "wcbm_stable_contract_bkgnd.jpg"
image bg stats_bkgnd = "wcbm_stats_bkgnd.jpg"
image bg tott_bkgnd = "tott_bkgnd.jpg"
image bg training_bkgnd = "wcbm_training_bkgnd.jpg"

image commentaryBlock = "commentary_block.png"
image worldBelt = "world_title_belt.png"

# Here we declare dialogue side images and chars

image side bas = "bas_news_logo_side.png"

image side agent = "agent_side.png"
image side boxer = "boxer_side.png"
image agent main = "agent_main.png"
image side manager = "manager_side.png"
image side tracy = "tracy_side_1.png"
image tracy main = "tracy_main_1.png"

define agent = Character(color="#ffbbc8", image="agent")
define bas = Character(color="#ff99c8", image="bas")
define boxer = Character(color="#ff99c8", image="boxer")
define manager = Character(color="#ff99c8", image="manager")
define tracy = Character(color="#ffbbc8", image="tracy")

define firstNames = ["Billy", "Jimmy", "Jack", "Max", "Gene", "Rocky", "Doc", "Leon", "Curt", "Randy",
    "Bobby", "David", "John", "Paul", "George", "Mike", "Gary", "Dave", "Pete", "Jason",
    "Chuck", "Pedro", "Dave", "James J", "James", "Tommy", "Johnny", "Tim", "Royce", "Patrick",
    "Scott", "Scotty", "Tony", "Ed", "Eddie", "Butch", "John L", "Kurt", "Keith", "Ken",
    "Tank", "Tito", "RT", "Kevin", "Harold", "Harry", "Doug", "Les", "Jeff", "Tony", 
    "Jake", "Smokie", "Tom", "Freddie", "Fred", "Bad Jack", "Ted Kid", "Kevin", "Dan", "Ron", 
    "Simon", "Peter", "Chris", "Charles", "Charlie", "Derek", "Andy", "Andrew", "Greg", "Alan", 
    "Al", "Ian", "Michael", "Kev", "Mark", "Stanley", "Barney", "Marty", "Ted", "Sam", 
    "Sammy", "Louis", "Kid", "Petey", "Joey", "Willie", "Terry", "Joe", "Bob", "Jesse",
    "Baby Face", "Lou", "Abe", "Buddy", "Sam", "Nat", "Don", "Barry", "Frank", "Frankie",
    "Gerry", "Jerry", "Leo", "Mitch", "Vince", "Vincent", "Vinny", "Ray", "Dick", "Sonny",
    "Brian", "Buster", "Archie", "Reuben", "Mickey", "Carl", "Randolph"]
define totalFirstNames = (len(firstNames)-1)

define surnames = ["Killer", "Storm", "Jam", "Johnson", "Dempsey", "Tunney", "Tyson", "Baer", "Willis", "Hall", 
    "Nash", "Jones", "Smith", "Wilson", "Jackson", "Vegas", "Shamrock", "Hendrix", "Ramirez", "Stevens", 
    "Malibu", "Levicki", "Rosier", "Harrison", "Rakonic", "Adam", "Adams", "Simon", "Corgan", "Clay", 
    "Corigan", "Allcock", "Gracie", "Rizzo", "Ruas", "Williams", "Ortiz", "Abbott", "Smooth", "Hudson", 
    "Coleman", "Premier", "Freeze", "Goodridge", "Randelman", "Waterman", "Jones", "Smith", "Wilson", "Jackson",
    "Stevens", "Webb", "Williams", "Abbott", "Hudson", "Coleman", "Sullivan", "Corbett", "Moore", "Willard",
    "Goodridge", "Waterman", "Edwards", "Freeman", "Wright", "Flynn", "Hughes", "Jordan", "Greaves", "Burton", 
    "Vaughan", "Hunt", "Taylor", "Gilbert", "Brooks", "Bowers", "Amos", "Parkes", "Silvey", "Stewart", 
    "Tubbs", "Watkins", "Wells", "Wilkinson", "Donovan", "Rooke", "Ketchell", "Ross", "Armstrong", "Griffith",
    "Whitfield", "Britton", "Welsh", "Kansas", "Mandell", "Jenkins", "Angott", "Attell", "Kilbane", "Dundee",
    "Sarron", "Belloise", "Archibald", "Wright", "Pep", "Bassey", "Leon", "McGovern", "Palmer", "Forbes", 
    "Gibbs", "Hyer", "Maher", "Fitzsimmons", "Sharkey", "Burns", "Walcott", "Delaney", "Lewis", "Braddock",
    "Reubens", "Baez", "Briscoe", "Burns", "Norton", "Turpin"]
define totalSurnames = (len(surnames)-1)

define totalBoxers = 100


# The game starts here.
label start:
    
    # Declare game variables and starting values

    $ year = 2013
    $ month = 4
    $ day = 14
    $ dayText = "Sunday"
    $ leapYearCount = 2
    $ isLeapYear = 0
    $ attendEvent = 1
    $ watchFight = 1
    $ commentarySpeed = 2.0
    $ commentaryColour = "#FF0000"
    $ commentaryText = "Null"
    $ boxersOnContract = 0
    
    # Declare Event Variables
    
    $ fightRound = 1
    $ roundMins = 0
    $ roundSecs = 0
    
    $ eventYear = [0]*5
    $ eventMonth = [0]*5
    $ eventDay = [0]*5
    $ matchesBooked = [0]*5
    $ cardRun = [0]*5
    $ redFighter = [999]*25
    $ blueFighter = [999]*25
    
    
    # Declare player's stable fighters variables
    
    $ stableFighters = 0
    
    $ stableFighter1 = 999
    $ stableFighter2 = 999
    $ stableFighter3 = 999
    
    # Declare Player's Manager Stats
    
    $ playerTotalFights = 0
    $ playerTotalWins = 0
    $ playerTotalWinPercent = 0
    $ playerTotalLosses = 0
    $ playerTotalLossPercent = 0
    $ playerTotalDraws = 0
    $ playerTotalDrawPercent = 0
    $ playerTotalKOs = 0
    $ playerTotalKOPercent = 0
    $ playerWorldTitleFights = 0
    $ playerWorldTitleDefences = 0
    $ playerWorldTitleChallenges = 0
    $ playerWorldDefencesSuccess = 0
    $ playerWorldDefencesSuccessPercent = 0
    $ playerWorldChallengeSuccess = 0
    $ playerWorldChallengeSuccessPercent = 0
    $ playerHighestRank = 999
    $ playerHighestRankName = "none"
    $ playerHighestRankMonth = 0
    $ playerHighestRankYear = 0
        
    # Declare boxer variables

    $ boxerFirstName = ["-"]*totalBoxers
    $ boxerSurname = ["-"]*totalBoxers
    $ boxerLicenseNo = [0]*totalBoxers
    $ boxerPlayerStable = [0]*totalBoxers
    $ boxerHappyWithPlayer = [1]*totalBoxers
    $ boxerAge = [0]*totalBoxers
    $ boxerBirthYear = [0]*totalBoxers
    $ boxerBirthMonth = [0]*totalBoxers
    $ boxerBirthDay = [0]*totalBoxers
    $ boxerRanking = [0]*totalBoxers
    
    $ boxerNextFightDay = [0]*totalBoxers
    $ boxerNextFightMonth = [0]*totalBoxers
    $ boxerNextFightYear = [0]*totalBoxers
    $ boxerNextFightOpponent = [999]*totalBoxers
    $ boxerNextFightPurse = [0]*totalBoxers
    
    $ boxerContractExpiring = [0]*totalBoxers
    $ boxerContractExpired = [1]*totalBoxers
    $ boxerFightsBooked = [0]*totalBoxers
    $ boxerPromiseFights = [999]*totalBoxers
    $ boxerPromiseTitleShot = ["None"]*totalBoxers
    $ boxerPromisePurse = [0]*totalBoxers
    $ boxerPromiseRank = [999]*totalBoxers
    $ boxerContractFights = [0]*totalBoxers
    $ boxerContractTitle = ["None"]*totalBoxers
    $ boxerContractPurse = [0]*totalBoxers
    $ boxerHighestRank = [999]*totalBoxers
    
    $ boxerRecovery = [0]*totalBoxers
    $ boxerStrength = [0]*totalBoxers
    $ boxerStamina = [0]*totalBoxers
    $ boxerChin = [0]*totalBoxers
    $ boxerToughness = [0]*totalBoxers
    $ boxerIntelligence = [0]*totalBoxers
    $ boxerAccuracy = [0]*totalBoxers
    $ boxerDefence = [0]*totalBoxers
    $ boxerDetermination = [0]*totalBoxers
    $ boxerAwareness = [0]*totalBoxers
    $ boxerDodging = [0]*totalBoxers
    $ boxerHandSpeed = [0]*totalBoxers
    $ boxerFootwork = [0]*totalBoxers
    $ boxerCuts = [0]*totalBoxers
    
    $ boxerFatigueFactor = [100]*totalBoxers
    $ boxerEmotionRecord = [6]*totalBoxers
    $ boxerEmotionStable = [6]*totalBoxers
    $ boxerEmotionTraining = [6]*totalBoxers
    $ boxerEmotionOverall = [6]*totalBoxers
    $ boxerEnergy = [100]*totalBoxers
    $ boxerRoundDowns = [0]*totalBoxers
    $ boxerOverallRating = [0]*totalBoxers
    $ boxerMatchBooked = [0]*totalBoxers
    
    $ boxerWins = [0]*totalBoxers
    $ boxerLosses = [0]*totalBoxers
    $ boxerDraws = [0]*totalBoxers
    $ boxerWinStreak = [0]*totalBoxers
    $ boxerLossStreak = [0]*totalBoxers
    $ boxerKOs = [0]*totalBoxers
    $ boxerKOLosses = [0]*totalBoxers
    
    $ boxerTimesWorld = [0]*totalBoxers
    
    $ boxerAutoTraining = [1]*totalBoxers
    
    $ boxerTrainWeights = [0]*totalBoxers
    $ boxerTrainSkip = [0]*totalBoxers
    $ boxerTrainSpar = [0]*totalBoxers
    $ boxerTrainSpeedBag = [0]*totalBoxers
    $ boxerTrainHeavyBag = [0]*totalBoxers
    $ boxerTrainCardio = [1]*totalBoxers
    
    $ boxerIncRecovery = [0.00]*totalBoxers
    $ boxerIncStrength = [0.00]*totalBoxers
    $ boxerIncStamina = [0.00]*totalBoxers
    $ boxerIncToughness = [0.00]*totalBoxers
    $ boxerIncIntelligence = [0.00]*totalBoxers
    $ boxerIncAccuracy = [0.00]*totalBoxers
    $ boxerIncDefence = [0.00]*totalBoxers
    $ boxerIncAwareness = [0.00]*totalBoxers
    $ boxerIncDodging = [0.00]*totalBoxers
    $ boxerIncHandSpeed = [0.00]*totalBoxers
    $ boxerIncFootwork = [0.00]*totalBoxers
    
    $ boxerCutCondition = [100]*totalBoxers
    $ boxerArmCondition = [100]*totalBoxers
    $ boxerLegCondition = [100]*totalBoxers
    $ boxerHandCondition = [100]*totalBoxers
    $ boxerBruiseCondition = [100]*totalBoxers
    $ boxerKOCondition = [100]*totalBoxers
    
    $ boxerHistory1Opponent = ["-"]*totalBoxers
    $ boxerHistory1WinLoss = ["-"]*totalBoxers
    $ boxerHistory1ResultType = ["-"]*totalBoxers
    $ boxerHistory1Round = [0]*totalBoxers
    $ boxerHistory1Mins = [0]*totalBoxers
    $ boxerHistory1Secs = [0]*totalBoxers
    $ boxerHistory1Note = ["-"]*totalBoxers
    $ boxerHistory1Day = [0]*totalBoxers
    $ boxerHistory1Month = [0]*totalBoxers
    $ boxerHistory1Year = [0]*totalBoxers
    
    $ boxerHistory2Opponent = ["-"]*totalBoxers
    $ boxerHistory2WinLoss = ["-"]*totalBoxers
    $ boxerHistory2ResultType = ["-"]*totalBoxers
    $ boxerHistory2Round = [0]*totalBoxers
    $ boxerHistory2Mins = [0]*totalBoxers
    $ boxerHistory2Secs = [0]*totalBoxers
    $ boxerHistory2Note = ["-"]*totalBoxers
    $ boxerHistory2Day = [0]*totalBoxers
    $ boxerHistory2Month = [0]*totalBoxers
    $ boxerHistory2Year = [0]*totalBoxers
    
    $ boxerHistory3Opponent = ["-"]*totalBoxers
    $ boxerHistory3WinLoss = ["-"]*totalBoxers
    $ boxerHistory3ResultType = ["-"]*totalBoxers
    $ boxerHistory3Round = [0]*totalBoxers
    $ boxerHistory3Mins = [0]*totalBoxers
    $ boxerHistory3Secs = [0]*totalBoxers
    $ boxerHistory3Note = ["-"]*totalBoxers
    $ boxerHistory3Day = [0]*totalBoxers
    $ boxerHistory3Month = [0]*totalBoxers
    $ boxerHistory3Year = [0]*totalBoxers
    
    $ boxerHistory4Opponent = ["-"]*totalBoxers
    $ boxerHistory4WinLoss = ["-"]*totalBoxers
    $ boxerHistory4ResultType = ["-"]*totalBoxers
    $ boxerHistory4Round = [0]*totalBoxers
    $ boxerHistory4Mins = [0]*totalBoxers
    $ boxerHistory4Secs = [0]*totalBoxers
    $ boxerHistory4Note = ["-"]*totalBoxers
    $ boxerHistory4Day = [0]*totalBoxers
    $ boxerHistory4Month = [0]*totalBoxers
    $ boxerHistory4Year = [0]*totalBoxers
    
    $ boxerHistory5Opponent = ["-"]*totalBoxers
    $ boxerHistory5WinLoss = ["-"]*totalBoxers
    $ boxerHistory5ResultType = ["-"]*totalBoxers
    $ boxerHistory5Round = [0]*totalBoxers
    $ boxerHistory5Mins = [0]*totalBoxers
    $ boxerHistory5Secs = [0]*totalBoxers
    $ boxerHistory5Note = ["-"]*totalBoxers
    $ boxerHistory5Day = [0]*totalBoxers
    $ boxerHistory5Month = [0]*totalBoxers
    $ boxerHistory5Year = [0]*totalBoxers

    $ rankingSlot = [0]*totalBoxers
    
    # Declare records variables
    
    $ mostWinsHolder = "Vacant"
    $ mostWinsDay = 0
    $ mostWinsMonth = 0
    $ mostWinsYear = 0
    $ mostWinsRecord = 0
    
    $ mostLossesHolder = "Vacant"
    $ mostLossesDay = 0
    $ mostLossesMonth = 0
    $ mostLossesYear = 0
    $ mostLossesRecord = 0
    
    $ undefeatedHolder = "Vacant"
    $ undefeatedDay = 0
    $ undefeatedMonth = 0
    $ undefeatedYear = 0
    $ undefeatedRecord = 0
    
    $ winlessHolder = "Vacant"
    $ winlessDay = 0
    $ winlessMonth = 0
    $ winlessYear = 0
    $ winlessRecord = 0
    
    $ mostMatchesHolder = "Vacant"
    $ mostMatchesDay = 0
    $ mostMatchesMonth = 0
    $ mostMatchesYear = 0
    $ mostMatchesRecord = 0
    
    $ oldestHolder = "Vacant"
    $ oldestDay = 0
    $ oldestMonth = 0
    $ oldestYear = 0
    $ oldestRecordYears = 0
    $ oldestRecordMonths = 0
    $ oldestRecordDays = 0
    
    $ youngestHolder = "Vacant"
    $ youngestDay = 0
    $ youngestMonth = 0
    $ youngestYear = 0
    $ youngestRecordYears = 99
    $ youngestRecordMonths = 99
    $ youngestRecordDays = 99
    
    $ winStreakHolder = "Vacant"
    $ winStreakDay = 0
    $ winStreakMonth = 0
    $ winStreakYear = 0
    $ winStreakRecord = 0
    
    $ losingStreakHolder = "Vacant"
    $ losingStreakDay = 0
    $ losingStreakMonth = 0
    $ losingStreakYear = 0
    $ losingStreakRecord = 0
    
    scene bg office_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    show tracy main at center
        
    tracy "Welcome. I'm Tracy, your personal assistant. There will now be a brief delay whilst the game world is created. Please tap to continue."
    
    call setupGameWorld
    
    hide screen gui
    
    scene bg office_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    show tracy main at center
    
    tracy "The game world has now been set up. I'll be here to give you information when you need it, but for now, good luck with your career as a boxing manager!"
    
    label coreLoopStart:
    
#        hide screen debugProcessTiming
        
        scene bg bkgnd1: 
            zoom 1.0
            xalign 1.0
            yalign 1.0  
        
        show screen gui
    
        menu:
            "Manager Stats":
                hide screen gui
                jump playerManagerStats
            "Event Calendar":
                jump showCalendar
            "Rankings":
                hide screen gui
                jump displayRankings
            "Records":
                hide screen gui
                jump displayRecords
            "Stable":
                jump showStable
            "Advance Game":
                jump advanceGame
                
        jump coreLoopStart
        
    label advanceGame:
        
        if dayText == "Sunday":
            jump createCard
        elif dayText == "Saturday":
            jump preEventCard
            
            label preEventCardReturn:
                    
    label cardReturn:
        
        call dailyUpdate
        
        jump coreLoopStart
        
    label endGame:
        
        hide screen gui


    return


label preEventCard:
    
    hide screen gui
    
    scene bg office_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    if (boxerPlayerStable[redFighter[0]] == 1 or boxerPlayerStable[blueFighter[0]] == 1 or boxerPlayerStable[redFighter[1]] == 1 or boxerPlayerStable[blueFighter[1]] == 1 or
        boxerPlayerStable[redFighter[2]] == 1 or boxerPlayerStable[blueFighter[2]] == 1 or boxerPlayerStable[redFighter[3]] == 1 or boxerPlayerStable[blueFighter[3]] == 1 or
        boxerPlayerStable[redFighter[4]] == 1 or boxerPlayerStable[blueFighter[4]] == 1):
        show tracy main at center
        tracy "Don't forget that our stable is involved in tonight's event, so it would be good if you could be part of the corner team."
    
    scene bg event_card_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0
        
    $ buttonXMin = 130
    $ buttonYMin = 80
    $ buttonXMax = 130
    $ buttonYMax = 80
    
    $ attendEvent = 0
    $ watchFight = 0
    $ quickSimYes = 0
    
    $ x = 4
    
    if boxerRanking[redFighter[x]] == 1 or boxerRanking[blueFighter[x]] == 1:
        $ ui.text("WORLD CHAMPIONSHIP MATCH", size=32, xpos=640, ypos=90, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    else:
        $ ui.text("MAIN EVENT", size=32, xpos=640, ypos=90, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        
    if boxerRanking[redFighter[x]] == 1:
        $ ui.text("%u. %s %s (c)" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=34, xpos=600, ypos=130, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    else:
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=34, xpos=600, ypos=130, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    $ ui.text("v", text_align=0.5, size=30, xpos=640, ypos=130, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    if boxerRanking[blueFighter[x]] == 1:
        $ ui.text("%u. %s %s (c)" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=34, xpos=680, ypos=130, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    else:
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=34, xpos=680, ypos=130, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=26, xpos=600, ypos=170, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=26, xpos=680, ypos=170, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")

    
    $ x = 3
    
    $ ui.text("Match 4", size=24, xpos=640, ypos=235, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=30, xpos=600, ypos=270, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    $ ui.text("v", text_align=0.5, size=26, xpos=640, ypos=270, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=30, xpos=680, ypos=270, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=24, xpos=600, ypos=300, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=24, xpos=680, ypos=300, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")

    $ x = 2
    
    $ ui.text("Match 3", size=22, xpos=640, ypos=340, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=24, xpos=600, ypos=370, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    $ ui.text("v", text_align=0.5, size=24, xpos=640, ypos=370, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=24, xpos=680, ypos=370, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=22, xpos=600, ypos=400, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=22, xpos=680, ypos=400, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")

    $ x = 1
    
    $ ui.text("Match 2", size=22, xpos=640, ypos=440, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=22, xpos=600, ypos=470, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    $ ui.text("v", text_align=0.5, size=22, xpos=640, ypos=470, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=22, xpos=680, ypos=470, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=20, xpos=600, ypos=500, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=20, xpos=680, ypos=500, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")

    $ x = 0
    
    $ ui.text("Opening Match", size=22, xpos=640, ypos=540, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=22, xpos=600, ypos=570, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
    $ ui.text("v", text_align=0.5, size=22, xpos=640, ypos=570, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
    $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=22, xpos=680, ypos=570, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=20, xpos=600, ypos=600, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
    $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=20, xpos=680, ypos=600, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")

    $ ui.textbutton("Attend\nEvent", clicked=ui.returns("attend"), xpos=445, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("True\nSim", clicked=ui.returns("true_sim"), xpos=575, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Quick\nSim", clicked=ui.returns("quick_sim"), xpos=705, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Back", clicked=ui.returns("back"), xpos=835, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ button_selection=ui.interact()
                
    if button_selection=="attend":
        hide screen gui
        $ attendEvent = 1
        $ watchFight = 1
        $ quickSimYes = 0
        jump runCard
    elif button_selection=="true_sim":
        hide screen gui
        $ attendEvent = 0
        $ watchFight = 0
        $ quickSimYes = 0
        jump runCard
    elif button_selection=="quick_sim":
        hide screen gui
        $ attendEvent = 0
        $ watchFight = 0
        $ quickSimYes = 1
        jump runCard
    elif button_selection=="back":
        jump coreLoopStart

    jump preEventCardReturn