# Show Calendar

label showCalendar:
    
    scene bg calendar_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
        
    show screen gui

    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 24
    $ colourUnbooked = "#FFFFFF"
    $ colourBooked = "#999999"
    
    $ column1X = 170
    $ column2X = 400
    $ column3X = 765
    $ column4X = 1165
    
    # Event 0
    
    $ eventIndex = 0
    $ x = 4
    
    $ listTextColour = colourUnbooked
    
    $ ui.text("Date", size=textSize, xpos=column1X, ypos=100, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("Matches Booked", size=textSize, xpos=column2X, ypos=100, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("Main Event", size=textSize, xpos=column3X, ypos=100, xalign=0.5, yalign=0.5, color=listTextColour)
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=textSize, xpos=column1X, ypos=165, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("%u/5" % matchesBooked[eventIndex], size=textSize, xpos=column2X, ypos=165, xalign=0.5, yalign=0.5, color=listTextColour)
    if redFighter[x] != 999 and blueFighter[x] != 999:
        if boxerRanking[redFighter[x]] == 1:
            $ ui.text("%u. %s %s (c)\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=165, xalign=0.5, yalign=0.5, color=listTextColour)
        elif boxerRanking[blueFighter[x]] == 1:
            $ ui.text("%u. %s %s\nv\n%u. %s %s (c)" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=165, xalign=0.5, yalign=0.5, color=listTextColour)
        else:
            $ ui.text("%u. %s %s\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=165, xalign=0.5, yalign=0.5, color=listTextColour)
    else:
        $ ui.text("- - -\nv\n- - -", text_align=0.5, size=textSize, xpos=column3X, ypos=165, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.textbutton("Show\nCard", clicked=ui.returns("show card 0"), xpos=column4X, ypos=165, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
    
    # Event 1
    
    $ eventIndex = 1
    $ x = 9
    
    $ listTextColour = colourUnbooked
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=textSize, xpos=column1X, ypos=265, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("%u/5" % matchesBooked[eventIndex], size=textSize, xpos=column2X, ypos=265, xalign=0.5, yalign=0.5, color=listTextColour)
    if redFighter[x] != 999 and blueFighter[x] != 999:
        if boxerRanking[redFighter[x]] == 1:
            $ ui.text("%u. %s %s (c)\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=265, xalign=0.5, yalign=0.5, color=listTextColour)
        elif boxerRanking[blueFighter[x]] == 1:
            $ ui.text("%u. %s %s\nv\n%u. %s %s (c)" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=265, xalign=0.5, yalign=0.5, color=listTextColour)
        else:
            $ ui.text("%u. %s %s\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=265, xalign=0.5, yalign=0.5, color=listTextColour)
    else:
        $ ui.text("- - -\nv\n- - -", text_align=0.5, size=textSize, xpos=column3X, ypos=265, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.textbutton("Show\nCard", clicked=ui.returns("show card 1"), xpos=column4X, ypos=265, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
    
    # Event 2
    
    $ eventIndex = 2
    $ x = 14
    
    $ listTextColour = colourUnbooked
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=textSize, xpos=column1X, ypos=365, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("%u/5" % matchesBooked[eventIndex], size=textSize, xpos=column2X, ypos=365, xalign=0.5, yalign=0.5, color=listTextColour)
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("%u. %s %s\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=365, xalign=0.5, yalign=0.5, color=listTextColour)
    else:
        $ ui.text("- - -\nv\n- - -", text_align=0.5, size=textSize, xpos=column3X, ypos=365, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.textbutton("Show\nCard", clicked=ui.returns("show card 2"), xpos=column4X, ypos=365, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
    
    # Event 3
    
    $ eventIndex = 3
    $ x = 19
    
    $ listTextColour = colourUnbooked
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=textSize, xpos=column1X, ypos=465, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("%u/5" % matchesBooked[eventIndex], size=textSize, xpos=column2X, ypos=465, xalign=0.5, yalign=0.5, color=listTextColour)
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("%u. %s %s\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=465, xalign=0.5, yalign=0.5, color=listTextColour)
    else:
        $ ui.text("- - -\nv\n- - -", text_align=0.5, size=textSize, xpos=column3X, ypos=465, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.textbutton("Show\nCard", clicked=ui.returns("show card 3"), xpos=column4X, ypos=465, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
    
    # Event 4
    
    $ eventIndex = 4
    $ x = 24
    
    $ listTextColour = colourUnbooked
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=textSize, xpos=column1X, ypos=565, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.text("%u/5" % matchesBooked[eventIndex], size=textSize, xpos=column2X, ypos=565, xalign=0.5, yalign=0.5, color=listTextColour)
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("%u. %s %s\nv\n%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]], boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.5, size=textSize, xpos=column3X, ypos=565, xalign=0.5, yalign=0.5, color=listTextColour)
    else:
        $ ui.text("- - -\nv\n- - -", text_align=0.5, size=textSize, xpos=column3X, ypos=565, xalign=0.5, yalign=0.5, color=listTextColour)
    $ ui.textbutton("Show\nCard", clicked=ui.returns("show card 4"), xpos=column4X, ypos=565, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
    
    $ ui.textbutton("Back", clicked=ui.returns("back"), xpos=640, ypos=710, xanchor=0.5, yanchor=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ button_selection=ui.interact()
                
    if button_selection=="back":
        hide screen gui
        jump coreLoopStart
    elif button_selection=="show card 0":
        $ eventIndex = 0
        hide screen gui
        jump showCard
    elif button_selection=="show card 1":
        $ eventIndex = 1
        hide screen gui
        jump showCard
    elif button_selection=="show card 2":
        $ eventIndex = 2
        hide screen gui
        jump showCard
    elif button_selection=="show card 3":
        $ eventIndex = 3
        hide screen gui
        jump showCard
    elif button_selection=="show card 4":
        $ eventIndex = 4
        hide screen gui
        jump showCard
    
    jump coreLoopStart