## Show Card

label showCard:
    
    hide screen gui
    
    scene bg card_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0  

    $ buttonXMin = 150
    $ buttonYMin = 80
    $ buttonXMax = 150
    $ buttonYMax = 80
    
    $ ui.text("Saturday %u.%u.%u" % (eventDay[eventIndex], eventMonth[eventIndex], eventYear[eventIndex]), size=28, xpos=640, ypos=10, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.0, color="#000000")

    $ x = ((eventIndex * 5) + 4)
    
    if redFighter[x] != 999 and blueFighter[x] != 999:
        if boxerRanking[redFighter[x]] == 1 or boxerRanking[blueFighter[x]] == 1:
            $ ui.text("WORLD CHAMPIONSHIP MATCH", size=32, xpos=640, ypos=90, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        else:
            $ ui.text("MAIN EVENT", size=32, xpos=640, ypos=90, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        if boxerRanking[redFighter[x]] == 1:
            $ ui.text("%u. %s %s (c)" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=34, xpos=600, ypos=130, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        else:
            $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=34, xpos=600, ypos=130, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=30, xpos=640, ypos=130, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        if boxerRanking[blueFighter[x]] == 1:
            $ ui.text("%u. %s %s (c)" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=34, xpos=680, ypos=130, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        else:
            $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=34, xpos=680, ypos=130, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=26, xpos=600, ypos=170, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=26, xpos=680, ypos=170, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    else:
        $ ui.text("MAIN EVENT", size=32, xpos=640, ypos=90, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=1.0, size=38, xpos=600, ypos=130, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=30, xpos=640, ypos=130, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=0.0, size=38, xpos=680, ypos=130, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("( - - )", text_align=1.0, size=26, xpos=600, ypos=170, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("( - - )", text_align=0.0, size=26, xpos=680, ypos=170, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    
    
    $ x = ((eventIndex * 5) + 4) - 1
    
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("Match 4", size=24, xpos=640, ypos=235, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=30, xpos=600, ypos=270, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=26, xpos=640, ypos=270, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=30, xpos=680, ypos=270, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=24, xpos=600, ypos=300, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=24, xpos=680, ypos=300, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    else:
        $ ui.text("Match 4", size=24, xpos=640, ypos=235, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=1.0, size=30, xpos=600, ypos=270, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=26, xpos=640, ypos=270, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=0.0, size=30, xpos=680, ypos=270, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("( - - )", text_align=1.0, size=24, xpos=600, ypos=300, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("( - - )", text_align=0.0, size=24, xpos=680, ypos=300, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    
    $ x = ((eventIndex * 5) + 4) - 2
    
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("Match 3", size=22, xpos=640, ypos=340, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=24, xpos=600, ypos=370, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=24, xpos=640, ypos=370, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=24, xpos=680, ypos=370, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=22, xpos=600, ypos=400, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=22, xpos=680, ypos=400, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    else:
        $ ui.text("Match 3", size=22, xpos=640, ypos=340, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=1.0, size=24, xpos=600, ypos=370, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=24, xpos=640, ypos=370, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=0.0, size=24, xpos=680, ypos=370, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("( - - )", text_align=1.0, size=22, xpos=600, ypos=400, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("( - - )", text_align=0.0, size=22, xpos=680, ypos=400, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    
    $ x = ((eventIndex * 5) + 4) - 3
    
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("Match 2", size=22, xpos=640, ypos=440, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=22, xpos=600, ypos=470, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=22, xpos=640, ypos=470, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=22, xpos=680, ypos=470, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=20, xpos=600, ypos=500, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=20, xpos=680, ypos=500, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    else:
        $ ui.text("Match 2", size=22, xpos=640, ypos=440, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=1.0, size=22, xpos=600, ypos=470, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=22, xpos=640, ypos=470, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=0.0, size=22, xpos=680, ypos=470, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("( - - )", text_align=1.0, size=20, xpos=600, ypos=500, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("( - - )", text_align=0.0, size=20, xpos=680, ypos=500, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    
    $ x = ((eventIndex * 5) + 4) - 4
    
    if redFighter[x] != 999 and blueFighter[x] != 999:
        $ ui.text("Opening Match", size=22, xpos=640, ypos=540, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[redFighter[x]], boxerFirstName[redFighter[x]], boxerSurname[redFighter[x]]), text_align=1.0, size=22, xpos=600, ypos=570, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=22, xpos=640, ypos=570, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("%u. %s %s" % (boxerRanking[blueFighter[x]], boxerFirstName[blueFighter[x]], boxerSurname[blueFighter[x]]), text_align=0.0, size=22, xpos=680, ypos=570, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[redFighter[x]], boxerKOs[redFighter[x]], boxerLosses[redFighter[x]], boxerKOLosses[redFighter[x]], boxerDraws[redFighter[x]]), text_align=1.0, size=20, xpos=600, ypos=600, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[blueFighter[x]], boxerKOs[blueFighter[x]], boxerLosses[blueFighter[x]], boxerKOLosses[blueFighter[x]], boxerDraws[blueFighter[x]]), text_align=0.0, size=20, xpos=680, ypos=600, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    else:
        $ ui.text("Opening Match", size=22, xpos=640, ypos=540, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=1.0, size=22, xpos=600, ypos=570, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#FF0000")
        $ ui.text("v", text_align=0.5, size=22, xpos=640, ypos=570, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, color="#000000")
        $ ui.text("- - -", text_align=0.0, size=22, xpos=680, ypos=570, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#0000FF")
        $ ui.text("( - - )", text_align=1.0, size=20, xpos=600, ypos=600, xanchor=1.0, yanchor=1.0, xalign=1.0, yalign=1.0, color="#000000")
        $ ui.text("( - - )", text_align=0.0, size=20, xpos=680, ypos=600, xanchor=0.0, yanchor=1.0, xalign=0.0, yalign=1.0, color="#000000")
    
    $ ui.textbutton("Done", clicked=ui.returns("done"), xpos=640, ypos=710, xanchor=0.5, yanchor=1.0, xalign=0.5, yalign=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ button_selection=ui.interact()
                
    if button_selection=="done":
        jump showCalendar
    
    return