# Stable Book Match

label stableBookMatch:
    
    scene bg book_match_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    hide screen gui

    $ buttonXMin = 100
    $ buttonYMin = 80
    $ buttonXMax = 100
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 22
    $ colourUnbooked = "#FFFFFF"
    $ colourBooked = "#999999"
    $ abovePageStart = boxerRanking[rankingSlot[statsIndex]] - 10
    $ belowPageStart = boxerRanking[rankingSlot[statsIndex]]
    
    $ aboveColumn1X = 60
    $ aboveColumn2X = 65
    $ aboveColumn3X = 405
    $ aboveColumn4X = 580
    
    $ belowColumn1X = 700
    $ belowColumn2X = 820
    $ belowColumn3X = 825
    $ belowColumn4X = 1165
    
    $ screenSlotRank = abovePageStart
    
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=40, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=40, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=40, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 0"), xpos=aboveColumn4X, ypos=40, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        
    $ screenSlotRank = abovePageStart+1
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=105, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=105, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=105, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 1"), xpos=aboveColumn4X, ypos=105, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        
    $ screenSlotRank = abovePageStart+2
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=170, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=170, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=170, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 2"), xpos=aboveColumn4X, ypos=170, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        
    $ screenSlotRank = abovePageStart+3
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=235, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=235, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=235, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 3"), xpos=aboveColumn4X, ypos=235, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        
    $ screenSlotRank = abovePageStart+4
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=300, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=300, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=300, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 4"), xpos=aboveColumn4X, ypos=300, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        
    $ screenSlotRank = abovePageStart+5
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=365, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=365, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=365, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 5"), xpos=aboveColumn4X, ypos=365, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        
    $ screenSlotRank = abovePageStart+6
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=430, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=430, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=430, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 6"), xpos=aboveColumn4X, ypos=430, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
            
    $ screenSlotRank = abovePageStart+7
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=495, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=495, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=495, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 7"), xpos=aboveColumn4X, ypos=495, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
            
    $ screenSlotRank = abovePageStart+8
        
    if screenSlotRank >= 0:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn1X, ypos=560, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn2X, ypos=560, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=aboveColumn3X, ypos=560, xalign=0.5, yalign=0.5, color=listTextColour)
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("above 8"), xpos=aboveColumn4X, ypos=560, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
            
    # Lower ranked fighters
    
    $ screenSlotRank = belowPageStart
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 0"), xpos=belowColumn1X, ypos=40, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=40, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=40, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=40, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+1
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 1"), xpos=belowColumn1X, ypos=105, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=105, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=105, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=105, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+2
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 2"), xpos=belowColumn1X, ypos=170, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=170, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=170, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=170, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+3
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 3"), xpos=belowColumn1X, ypos=235, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=235, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=235, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=235, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+4
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 4"), xpos=belowColumn1X, ypos=300, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=300, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=300, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=300, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+5
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 5"), xpos=belowColumn1X, ypos=365, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=365, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=365, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=365, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+6
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 6"), xpos=belowColumn1X, ypos=430, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=430, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=430, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=430, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+7
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 7"), xpos=belowColumn1X, ypos=495, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=495, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=495, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=495, xalign=0.5, yalign=0.5, color=listTextColour)
        
    $ screenSlotRank = belowPageStart+8
        
    if screenSlotRank <= 99:
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ listTextColour = colourUnbooked
        else:
            $ listTextColour = colourBooked
        if boxerMatchBooked[rankingSlot[screenSlotRank]] != 1:
            $ ui.textbutton("Book\nMatch", clicked=ui.returns("below 8"), xpos=belowColumn1X, ypos=560, xminimum=buttonXMin, yminimum=buttonStatsYMin, xmaximum=buttonXMax, ymaximum=buttonStatsYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u." % (boxerRanking[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn2X, ypos=560, xalign=1.0, yalign=0.5, color=listTextColour)
        $ ui.text("%s %s" % (boxerFirstName[rankingSlot[screenSlotRank]], boxerSurname[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn3X, ypos=560, xalign=0.0, yalign=0.5, color=listTextColour)
        $ ui.text("W%u(%u)-L%u(%u)-D%u" % (boxerWins[rankingSlot[screenSlotRank]], boxerKOs[rankingSlot[screenSlotRank]], boxerLosses[rankingSlot[screenSlotRank]], boxerKOLosses[rankingSlot[screenSlotRank]], boxerDraws[rankingSlot[screenSlotRank]]), size=textSize, xpos=belowColumn4X, ypos=560, xalign=0.5, yalign=0.5, color=listTextColour)
        
        
    $ ui.text("Pick an opponent to book a match with for", size=textSize, xpos=640, ypos=610, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.5)
    
    $ ui.text("%u. %s %s " % (boxerRanking[rankingSlot[statsIndex]], boxerFirstName[rankingSlot[statsIndex]], boxerSurname[rankingSlot[statsIndex]]), xpos=640, ypos=630, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
    $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[rankingSlot[statsIndex]], boxerBirthMonth[rankingSlot[statsIndex]], boxerBirthYear[rankingSlot[statsIndex]], boxerAge[rankingSlot[statsIndex]], boxerWins[rankingSlot[statsIndex]], boxerKOs[rankingSlot[statsIndex]], boxerLosses[rankingSlot[statsIndex]], boxerKOLosses[rankingSlot[statsIndex]], boxerDraws[rankingSlot[statsIndex]]), xpos=640, ypos=680, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")
        
    $ ui.textbutton("Back", clicked=ui.returns("back"), xpos=1270, ypos=710, xanchor=1.0, yanchor=1.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ button_selection=ui.interact()
                
    if button_selection=="back":
        jump showStable
    elif button_selection=="above 0":
        $ bookIndex = abovePageStart
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 1":
        $ bookIndex = abovePageStart+1
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 2":
        $ bookIndex = abovePageStart+2
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 3":
        $ bookIndex = abovePageStart+3
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 4":
        $ bookIndex = abovePageStart+4
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 5":
        $ bookIndex = abovePageStart+5
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 6":
        $ bookIndex = abovePageStart+6
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 7":
        $ bookIndex = abovePageStart+7
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="above 8":
        $ bookIndex = abovePageStart+8
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 0":
        $ bookIndex = belowPageStart
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 1":
        $ bookIndex = belowPageStart+1
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 2":
        $ bookIndex = belowPageStart+2
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 3":
        $ bookIndex = belowPageStart+3
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 4":
        $ bookIndex = belowPageStart+4
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 5":
        $ bookIndex = belowPageStart+5
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 6":
        $ bookIndex = belowPageStart+6
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 7":
        $ bookIndex = belowPageStart+7
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    elif button_selection=="below 8":
        $ bookIndex = belowPageStart+8
        if boxerPlayerStable[rankingSlot[bookIndex]] == 1:
            jump stableStableMatchNegotiate
        else:
            jump stableMatchNegotiate
    
    jump showStable