## Stable Choice Stats
## This is the stat screen for displaying potential stable signings

label stableChoiceStats:
    
    scene bg stats_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    hide screen gui
    
    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 26
    $ textColorStatName = "#FFFFFF"
    $ textColorStat = "#FFFF00"
    
    $ emotionText = "Null"
    
    if boxerEmotionOverall[rankingSlot[statsIndex]] == 0:
        $ emotionText = "Very Unhappy"
    elif boxerEmotionOverall[rankingSlot[statsIndex]] == 1:
        $ emotionText = "Unhappy"
    elif boxerEmotionOverall[rankingSlot[statsIndex]] == 2:
        $ emotionText = "Disappointed"
    elif boxerEmotionOverall[rankingSlot[statsIndex]] == 3:
        $ emotionText = "Satisfied"
    elif boxerEmotionOverall[rankingSlot[statsIndex]] == 4:
        $ emotionText = "Optimistic"
    elif boxerEmotionOverall[rankingSlot[statsIndex]] == 5:
        $ emotionText = "Happy"
    elif boxerEmotionOverall[rankingSlot[statsIndex]] == 6:
        $ emotionText = "Very Happy"
    
    $ ui.text("%u. %s %s " % (boxerRanking[rankingSlot[statsIndex]], boxerFirstName[rankingSlot[statsIndex]], boxerSurname[rankingSlot[statsIndex]]), xpos=640, ypos=10, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
    $ ui.text("Born %u.%u.%u (Age %u). W%u-L%u-D%u" % (boxerBirthDay[rankingSlot[statsIndex]], boxerBirthMonth[rankingSlot[statsIndex]], boxerBirthYear[rankingSlot[statsIndex]], boxerAge[rankingSlot[statsIndex]], boxerWins[rankingSlot[statsIndex]], boxerLosses[rankingSlot[statsIndex]], boxerDraws[rankingSlot[statsIndex]]), xpos=640, ypos=60, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")
    
    $ ui.grid (4,8, xpos=660, ypos=120, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.0)
        
    $ ui.text("Accuracy: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerAccuracy[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Footwork: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerFootwork[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Awareness: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerAwareness[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Hand Speed: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerHandSpeed[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Chin: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerChin[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Intelligence: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerIntelligence[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Cut Resistance: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerCuts[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Recovery: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerRecovery[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Defence: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDefence[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Stamina: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerStamina[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Determination: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDetermination[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Strength: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerStrength[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Dodging: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDodging[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Toughness: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerToughness[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Physical Condition: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%u%%" % boxerEnergy[rankingSlot[statsIndex]], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Morale: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%s" % emotionText, size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.close()
    
    $ textSizeRecord = 22
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=375, xanchor=0.5, yanchor=0.0)
    $ ui.text("Record (Last 5 Matches)", size=26, xalign=0.5, yalign=1.0, color=textColorStatName)
    $ ui.close()
    
    $ column1X = 105
    $ column2X = 210
    $ column3X = 450
    $ column4X = 690
    $ column5X = 770
    $ column6X = 850
    $ column7X = 1070
    
    $ ui.text("Date", size=22, xpos=column1X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text(" ", size=22, xpos=column2X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Opponent", size=22, xpos=column3X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("By", size=22, xpos=column4X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Round", size=22, xpos=column5X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Time", size=22, xpos=column6X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    $ ui.text("Note", size=22, xpos=column7X, ypos=431, xalign=0.5, yalign=0.5, color=textColorStatName)
    
    $ ui.text("%u.%u.%u" % (boxerHistory1Day[rankingSlot[statsIndex]], boxerHistory1Month[rankingSlot[statsIndex]], boxerHistory1Year[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column1X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1WinLoss[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column2X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1Opponent[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column3X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1ResultType[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column4X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory1Round[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column5X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory1Mins[rankingSlot[statsIndex]],boxerHistory1Secs[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column6X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory1Note[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column7X, ypos=470, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory2Day[rankingSlot[statsIndex]], boxerHistory2Month[rankingSlot[statsIndex]], boxerHistory2Year[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column1X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2WinLoss[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column2X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2Opponent[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column3X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2ResultType[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column4X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory2Round[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column5X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory2Mins[rankingSlot[statsIndex]],boxerHistory2Secs[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column6X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory2Note[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column7X, ypos=500, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory3Day[rankingSlot[statsIndex]], boxerHistory3Month[rankingSlot[statsIndex]], boxerHistory3Year[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column1X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3WinLoss[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column2X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3Opponent[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column3X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3ResultType[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column4X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory3Round[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column5X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory3Mins[rankingSlot[statsIndex]],boxerHistory3Secs[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column6X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory3Note[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column7X, ypos=530, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory4Day[rankingSlot[statsIndex]], boxerHistory4Month[rankingSlot[statsIndex]], boxerHistory4Year[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column1X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4WinLoss[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column2X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4Opponent[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column3X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4ResultType[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column4X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory4Round[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column5X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory4Mins[rankingSlot[statsIndex]],boxerHistory4Secs[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column6X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory4Note[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column7X, ypos=560, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.text("%u.%u.%u" % (boxerHistory5Day[rankingSlot[statsIndex]], boxerHistory5Month[rankingSlot[statsIndex]], boxerHistory5Year[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column1X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5WinLoss[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column2X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5Opponent[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column3X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5ResultType[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column4X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u" % boxerHistory5Round[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column5X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%u:%u" % (boxerHistory5Mins[rankingSlot[statsIndex]],boxerHistory5Secs[rankingSlot[statsIndex]]), size=textSizeRecord, xpos=column6X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    $ ui.text("%s" % boxerHistory5Note[rankingSlot[statsIndex]], size=textSizeRecord, xpos=column7X, ypos=590, xalign=0.5, yalign=0.5, color=textColorStat)
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=710, xanchor=0.5, yanchor=1.0)
    if stableFighters < 3 and boxerPlayerStable[rankingSlot[statsIndex]] != 1:
        $ ui.textbutton("Offer\nContract", clicked=ui.returns("hire"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Back", clicked=ui.returns("back"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.close()
    
    $ button_selection=ui.interact()
                
    if button_selection=="back":
        jump stableChoice
    elif button_selection=="hire":
        jump offerContract
    

    jump stableChoice