# Stable Fight Offer

label stableFightOffer:
    
    scene bg manager_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    hide screen gui
    
    $ offererFirstName = boxerFirstName[redFighter[matchBooking]]
    $ offererSurname = boxerSurname[redFighter[matchBooking]]
    
    $ stableFighterFirstName = boxerFirstName[blueFighter[matchBooking]]
    $ stableFighterSurname = boxerSurname[blueFighter[matchBooking]]
    
    manager "How do you feel about a match between your fighter, %(stableFighterFirstName)s %(stableFighterSurname)s, and my boy, %(offererFirstName)s %(offererSurname)s? You can either accept the offer, reject the offer, or negotiate."
    
    label stableFightOfferNegotiate:
    
    if (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 10:
        $ expectedPurse = 80
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 10 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 6:
        $ expectedPurse = 75
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 6 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 2:
        $ expectedPurse = 70
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 2 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= 0:
        $ expectedPurse = 60
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < 0 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= -2:
        $ expectedPurse = 45
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < -2 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= -6:
        $ expectedPurse = 40
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < -6 and (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) >= -8:
        $ expectedPurse = 30
    elif (boxerRanking[blueFighter[matchBooking]] - boxerRanking[redFighter[matchBooking]]) < -8:
        $ expectedPurse = 25
    
    $ proposedPurse = (100 - expectedPurse)
    
    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 26
    $ textColorStatName = "#FFFFFF"
    $ textColorStat = "#FFFF00"
    $ textColorPurse = "#FFFF00"
    $ textColorDate = "#FFFF00"
    
    label matchOfferNegotiateLoop:
        
        scene bg training_bkgnd: 
            zoom 1.0
            xalign 1.0
            yalign 1.0
    
        if boxerRanking[redFighter[matchBooking]] == 1:
            show worldBelt:
                xanchor 0.5
                yanchor 0.5
                xpos 137
                ypos 57
    
        $ ui.text("%u. %s %s " % (boxerRanking[redFighter[matchBooking]], boxerFirstName[redFighter[matchBooking]], boxerSurname[redFighter[matchBooking]]), xpos=640, ypos=10, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
        $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[redFighter[matchBooking]], boxerBirthMonth[redFighter[matchBooking]], boxerBirthYear[redFighter[matchBooking]], boxerAge[redFighter[matchBooking]], boxerWins[redFighter[matchBooking]], boxerKOs[redFighter[matchBooking]], boxerLosses[redFighter[matchBooking]], boxerKOLosses[redFighter[matchBooking]], boxerDraws[redFighter[matchBooking]]), xpos=640, ypos=60, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")

        $ textSizeRecord = 22
        
        $ ui.hbox(xalign= 0.5, xpos=640, ypos=120, xanchor=0.5, yanchor=0.0)
        $ ui.text("Record (Last 5 Matches)", size=26, xalign=0.5, yalign=1.0, color=textColorStatName)
        $ ui.close()
        
        $ column1X = 105
        $ column2X = 210
        $ column3X = 450
        $ column4X = 690
        $ column5X = 770
        $ column6X = 850
        $ column7X = 1070
        
        $ ui.text("Date", size=22, xpos=column1X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text(" ", size=22, xpos=column2X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Opponent", size=22, xpos=column3X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("By", size=22, xpos=column4X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Round", size=22, xpos=column5X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Time", size=22, xpos=column6X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Note", size=22, xpos=column7X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        
        $ ui.text("%u.%u.%u" % (boxerHistory1Day[redFighter[matchBooking]], boxerHistory1Month[redFighter[matchBooking]], boxerHistory1Year[redFighter[matchBooking]]), size=textSizeRecord, xpos=column1X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1WinLoss[redFighter[matchBooking]], size=textSizeRecord, xpos=column2X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1Opponent[redFighter[matchBooking]], size=textSizeRecord, xpos=column3X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1ResultType[redFighter[matchBooking]], size=textSizeRecord, xpos=column4X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory1Round[redFighter[matchBooking]], size=textSizeRecord, xpos=column5X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory1Mins[redFighter[matchBooking]],boxerHistory1Secs[redFighter[matchBooking]]), size=textSizeRecord, xpos=column6X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1Note[redFighter[matchBooking]], size=textSizeRecord, xpos=column7X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory2Day[redFighter[matchBooking]], boxerHistory2Month[redFighter[matchBooking]], boxerHistory2Year[redFighter[matchBooking]]), size=textSizeRecord, xpos=column1X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2WinLoss[redFighter[matchBooking]], size=textSizeRecord, xpos=column2X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2Opponent[redFighter[matchBooking]], size=textSizeRecord, xpos=column3X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2ResultType[redFighter[matchBooking]], size=textSizeRecord, xpos=column4X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory2Round[redFighter[matchBooking]], size=textSizeRecord, xpos=column5X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory2Mins[redFighter[matchBooking]],boxerHistory2Secs[redFighter[matchBooking]]), size=textSizeRecord, xpos=column6X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2Note[redFighter[matchBooking]], size=textSizeRecord, xpos=column7X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory3Day[redFighter[matchBooking]], boxerHistory3Month[redFighter[matchBooking]], boxerHistory3Year[redFighter[matchBooking]]), size=textSizeRecord, xpos=column1X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3WinLoss[redFighter[matchBooking]], size=textSizeRecord, xpos=column2X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3Opponent[redFighter[matchBooking]], size=textSizeRecord, xpos=column3X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3ResultType[redFighter[matchBooking]], size=textSizeRecord, xpos=column4X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory3Round[redFighter[matchBooking]], size=textSizeRecord, xpos=column5X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory3Mins[redFighter[matchBooking]],boxerHistory3Secs[redFighter[matchBooking]]), size=textSizeRecord, xpos=column6X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3Note[redFighter[matchBooking]], size=textSizeRecord, xpos=column7X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory4Day[redFighter[matchBooking]], boxerHistory4Month[redFighter[matchBooking]], boxerHistory4Year[redFighter[matchBooking]]), size=textSizeRecord, xpos=column1X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4WinLoss[redFighter[matchBooking]], size=textSizeRecord, xpos=column2X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4Opponent[redFighter[matchBooking]], size=textSizeRecord, xpos=column3X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4ResultType[redFighter[matchBooking]], size=textSizeRecord, xpos=column4X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory4Round[redFighter[matchBooking]], size=textSizeRecord, xpos=column5X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory4Mins[redFighter[matchBooking]],boxerHistory4Secs[redFighter[matchBooking]]), size=textSizeRecord, xpos=column6X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4Note[redFighter[matchBooking]], size=textSizeRecord, xpos=column7X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory5Day[redFighter[matchBooking]], boxerHistory5Month[redFighter[matchBooking]], boxerHistory5Year[redFighter[matchBooking]]), size=textSizeRecord, xpos=column1X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5WinLoss[redFighter[matchBooking]], size=textSizeRecord, xpos=column2X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5Opponent[redFighter[matchBooking]], size=textSizeRecord, xpos=column3X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5ResultType[redFighter[matchBooking]], size=textSizeRecord, xpos=column4X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory5Round[redFighter[matchBooking]], size=textSizeRecord, xpos=column5X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory5Mins[redFighter[matchBooking]],boxerHistory5Secs[redFighter[matchBooking]]), size=textSizeRecord, xpos=column6X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5Note[redFighter[matchBooking]], size=textSizeRecord, xpos=column7X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        
        
        $ ui.vbox(xalign=0.5, xpos=640, ypos=374, xanchor=0.5, yanchor=0.0)

        $ ui.text("These are the terms you are being offered for this match:", text_align=0.0, size=26, xalign=0.5, yalign=1.0)
        $ ui.close()
        
        $ ui.grid (6,2, xpos=640, ypos=510, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.0)
        
        $ ui.text("Date of    \nFight:    ", text_align=1.0, size=textSize, xalign=1.0, yalign=0.5)
        $ ui.null(height=10)
        $ ui.null(height=10)
        $ ui.text("Saturday\n%u.%u.%u" % (eventDay[1], eventMonth[1], eventYear[1]), text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorDate)
        $ ui.null(height=10)
        $ ui.null(height=10)
        
        $ ui.text("Expected Cut    \nof Purse:    ", text_align=1.0, size=textSize, xalign=1.0, yalign=0.5)
        $ ui.textbutton("-10", clicked=ui.returns("purse -10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("-1", clicked=ui.returns("purse -1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u%%" % proposedPurse, text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorPurse)
        $ ui.textbutton("+1", clicked=ui.returns("purse +1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("+10", clicked=ui.returns("purse +10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        
        $ ui.close()
        
        $ ui.text("%u. %s %s " % (boxerRanking[blueFighter[matchBooking]], boxerFirstName[blueFighter[matchBooking]], boxerSurname[blueFighter[matchBooking]]), xpos=640, ypos=630, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
        $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[blueFighter[matchBooking]], boxerBirthMonth[blueFighter[matchBooking]], boxerBirthYear[blueFighter[matchBooking]], boxerAge[blueFighter[matchBooking]], boxerWins[blueFighter[matchBooking]], boxerKOs[blueFighter[matchBooking]], boxerLosses[blueFighter[matchBooking]], boxerKOLosses[blueFighter[matchBooking]], boxerDraws[blueFighter[matchBooking]]), xpos=640, ypos=680, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")
        
        $ ui.hbox(xalign= 0.0, xpos=10, ypos=710, xanchor=0.0, yanchor=1.0)
        $ ui.textbutton("Compare\nBoxers", clicked=ui.returns("compare"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.close()
        
        $ ui.hbox(xalign= 1.0, xpos=1270, ypos=710, xanchor=1.0, yanchor=1.0)
        $ ui.textbutton("Reject", clicked=ui.returns("reject"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.textbutton("Negotiate/\nAccept", clicked=ui.returns("negotiate"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.close()
        
        $ button_selection=ui.interact()
                    
        if button_selection=="reject":
            $ fightOfferAccepted = 0
            hide worldBelt
            jump stableFightOfferReturn
        elif button_selection=="negotiate":
            hide worldBelt
            jump negotiateMatchOffer
        elif button_selection=="compare":
            hide worldBelt
            jump stableOfferCompare
        elif button_selection=="purse +10":
            $ proposedPurse += 10
            if proposedPurse > 100:
                $ proposedPurse = 100
            jump matchOfferNegotiateLoop
        elif button_selection=="purse +1":
            $ proposedPurse += 1
            if proposedPurse > 100:
                $ proposedPurse = 100
            jump matchOfferNegotiateLoop
        elif button_selection=="purse -1":
            $ proposedPurse -= 1
            if proposedPurse < 1:
                $ proposedPurse = 1
            jump matchOfferNegotiateLoop
        elif button_selection=="purse -10":
            $ proposedPurse -= 10
            if proposedPurse < 1:
                $ proposedPurse = 1
            jump matchOfferNegotiateLoop
    
    $ fightOfferAccepted = 0
    
    jump stableFightOfferReturn
    
label negotiateMatchOffer:
    
    scene bg manager_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    $ contractAccepted = 0
    $ stickingPoints = 0
    $ matchAccepted = 0
    $ opponentsPurse = (100 - proposedPurse)
    
    if opponentsPurse < int(expectedPurse - int(expectedPurse * 0.1)):
        $ stickingPoints += 1
        $ textColorPurse = "#FF0000"
        manager "I would expect more than %(opponentsPurse)u%% of the fight purse for my boy."
        
    if stickingPoints == 1:
        manager "I'm not prepared to change my offer as much as you'd like me to. The terms need to be closer to what I offered you."
        $ contractAccepted = 0
    elif stickingPoints == 0:
        manager "Excellent! You've made a very good deal. I look forward to seeing my boy meet yours in the ring."
        $ contractAccepted = 1
    
    if contractAccepted == 1:

        if boxerContractExpiring[blueFighter[matchBooking]] == 1:
            $ contractFirstName = boxerFirstName[blueFighter[matchBooking]]
            $ contractSurname = boxerSurname[blueFighter[matchBooking]]
            scene bg office_bkgnd:
                zoom 1.0
                xalign 1.0
                yalign 1.0
                
            show tracy main at center
            
            tracy "You've just booked %(contractFirstName)s %(contractSurname)s for his final fight under contract with us. If you don't offer him a new contract once that fight is over, he'll be free to sign with another manager."
        
        $ fightOfferAccepted = 1
        
        jump stableFightOfferReturn
    else:
        jump matchOfferNegotiateLoop
        
    jump matchOfferNegotiateLoop
    
