# Stable Match Negotiate

label stableMatchNegotiate:
    
    if (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= 10:
        $ expectedPurse = 80
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < 10 and (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= 6:
        $ expectedPurse = 75
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < 6 and (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= 2:
        $ expectedPurse = 70
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < 2 and (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= 0:
        $ expectedPurse = 60
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < 0 and (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= -2:
        $ expectedPurse = 45
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < -2 and (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= -6:
        $ expectedPurse = 40
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < -6 and (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) >= -8:
        $ expectedPurse = 30
    elif (boxerRanking[rankingSlot[statsIndex]] - boxerRanking[rankingSlot[bookIndex]]) < -8:
        $ expectedPurse = 25
    
    $ proposedPurse = int((100 - expectedPurse) + int(expectedPurse * 0.1))
    
    $ proposedDateSlot = 0
    
    $ dateFree = 0
    while dateFree == 0:
        if matchesBooked[proposedDateSlot] < 5:
            $ dateFree = 1
        else:
            $ dateFree = 0
            $ proposedDateSlot += 1
    
    $ buttonXMin = 115
    $ buttonYMin = 80
    $ buttonXMax = 115
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 26
    $ textColorStatName = "#FFFFFF"
    $ textColorStat = "#FFFF00"
    $ textColorPurse = "#FFFF00"
    $ textColorDate = "#FFFF00"
    
    label matchNegotiateLoop:
        
        scene bg training_bkgnd: 
            zoom 1.0
            xalign 1.0
            yalign 1.0
    
        if boxerRanking[rankingSlot[bookIndex]] == 1:
            show worldBelt:
                xanchor 0.5
                yanchor 0.5
                xpos 137
                ypos 57
    
        $ ui.text("%u. %s %s " % (boxerRanking[rankingSlot[bookIndex]], boxerFirstName[rankingSlot[bookIndex]], boxerSurname[rankingSlot[bookIndex]]), xpos=640, ypos=10, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
        $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[rankingSlot[bookIndex]], boxerBirthMonth[rankingSlot[bookIndex]], boxerBirthYear[rankingSlot[bookIndex]], boxerAge[rankingSlot[bookIndex]], boxerWins[rankingSlot[bookIndex]], boxerKOs[rankingSlot[bookIndex]], boxerLosses[rankingSlot[bookIndex]], boxerKOLosses[rankingSlot[bookIndex]], boxerDraws[rankingSlot[bookIndex]]), xpos=640, ypos=60, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")

        $ textSizeRecord = 22
        
        $ ui.hbox(xalign= 0.5, xpos=640, ypos=120, xanchor=0.5, yanchor=0.0)
        $ ui.text("Record (Last 5 Matches)", size=26, xalign=0.5, yalign=1.0, color=textColorStatName)
        $ ui.close()
        
        $ column1X = 105
        $ column2X = 210
        $ column3X = 450
        $ column4X = 690
        $ column5X = 770
        $ column6X = 850
        $ column7X = 1070
        
        $ ui.text("Date", size=22, xpos=column1X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text(" ", size=22, xpos=column2X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Opponent", size=22, xpos=column3X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("By", size=22, xpos=column4X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Round", size=22, xpos=column5X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Time", size=22, xpos=column6X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        $ ui.text("Note", size=22, xpos=column7X, ypos=176, xalign=0.5, yalign=0.5, color=textColorStatName)
        
        $ ui.text("%u.%u.%u" % (boxerHistory1Day[rankingSlot[bookIndex]], boxerHistory1Month[rankingSlot[bookIndex]], boxerHistory1Year[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column1X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1WinLoss[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column2X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1Opponent[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column3X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1ResultType[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column4X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory1Round[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column5X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory1Mins[rankingSlot[bookIndex]],boxerHistory1Secs[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column6X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory1Note[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column7X, ypos=215, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory2Day[rankingSlot[bookIndex]], boxerHistory2Month[rankingSlot[bookIndex]], boxerHistory2Year[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column1X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2WinLoss[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column2X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2Opponent[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column3X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2ResultType[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column4X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory2Round[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column5X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory2Mins[rankingSlot[bookIndex]],boxerHistory2Secs[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column6X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory2Note[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column7X, ypos=245, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory3Day[rankingSlot[bookIndex]], boxerHistory3Month[rankingSlot[bookIndex]], boxerHistory3Year[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column1X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3WinLoss[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column2X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3Opponent[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column3X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3ResultType[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column4X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory3Round[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column5X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory3Mins[rankingSlot[bookIndex]],boxerHistory3Secs[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column6X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory3Note[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column7X, ypos=275, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory4Day[rankingSlot[bookIndex]], boxerHistory4Month[rankingSlot[bookIndex]], boxerHistory4Year[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column1X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4WinLoss[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column2X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4Opponent[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column3X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4ResultType[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column4X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory4Round[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column5X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory4Mins[rankingSlot[bookIndex]],boxerHistory4Secs[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column6X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory4Note[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column7X, ypos=305, xalign=0.5, yalign=0.5, color=textColorStat)
        
        $ ui.text("%u.%u.%u" % (boxerHistory5Day[rankingSlot[bookIndex]], boxerHistory5Month[rankingSlot[bookIndex]], boxerHistory5Year[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column1X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5WinLoss[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column2X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5Opponent[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column3X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5ResultType[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column4X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u" % boxerHistory5Round[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column5X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%u:%u" % (boxerHistory5Mins[rankingSlot[bookIndex]],boxerHistory5Secs[rankingSlot[bookIndex]]), size=textSizeRecord, xpos=column6X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        $ ui.text("%s" % boxerHistory5Note[rankingSlot[bookIndex]], size=textSizeRecord, xpos=column7X, ypos=335, xalign=0.5, yalign=0.5, color=textColorStat)
        
        
        $ ui.vbox(xalign=0.5, xpos=640, ypos=374, xanchor=0.5, yanchor=0.0)
            
        $ ui.text("Select the terms you would like for this match:", text_align=0.0, size=26, xalign=0.5, yalign=1.0)
        $ ui.close()
        
        $ ui.grid (6,2, xpos=640, ypos=510, xanchor=0.5, yanchor=0.5, xalign=0.5, yalign=0.0)
        
        $ ui.text("Date of    \nFight:    ", text_align=1.0, size=textSize, xalign=1.0, yalign=0.5)
        $ ui.null(height=10)
        $ ui.textbutton("<<", clicked=ui.returns("date -"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.text("Saturday\n%u.%u.%u" % (eventDay[proposedDateSlot], eventMonth[proposedDateSlot], eventYear[proposedDateSlot]), text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorDate)
        $ ui.textbutton(">>", clicked=ui.returns("date +"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.null(height=10)
        
        $ ui.text("Expected Cut    \nof Purse:    ", text_align=1.0, size=textSize, xalign=1.0, yalign=0.5)
        $ ui.textbutton("-10", clicked=ui.returns("purse -10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("-1", clicked=ui.returns("purse -1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.text("%u%%" % proposedPurse, text_align=0.5, size=textSize, xalign=0.5, yalign=0.5, color=textColorPurse)
        $ ui.textbutton("+1", clicked=ui.returns("purse +1"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        $ ui.textbutton("+10", clicked=ui.returns("purse +10"), xminimum=buttonContractXMin, yminimum=buttonContractYMin, xmaximum=buttonContractXMax, ymaximum=buttonContractYMax, xalign=0.5, yalign=0.5)
        
        $ ui.close()
        
        $ ui.hbox(xalign= 0.5, xpos=640, ypos=710, xanchor=0.5, yanchor=1.0)
        $ ui.textbutton("Cancel", clicked=ui.returns("cancel"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.textbutton("Propose Fight", clicked=ui.returns("propose"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.textbutton("Compare\nBoxers", clicked=ui.returns("compare"), xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
        $ ui.close()
        
        $ button_selection=ui.interact()
                    
        if button_selection=="cancel":
            hide worldBelt
            jump stableBookMatch
        elif button_selection=="propose":
            hide worldBelt
            jump negotiateMatch
        elif button_selection=="compare":
            hide worldBelt
            jump stableMatchCompare
        elif button_selection=="date +":
            $ proposedDateSlot += 1
            if proposedDateSlot > 4:
                $ proposedDateSlot = 1
            $ dateFree = 0
            while dateFree == 0:
                if matchesBooked[proposedDateSlot] < 5:
                    $ dateFree = 1
                else:
                    $ dateFree = 0
                    $ proposedDateSlot += 1
                    if proposedDateSlot > 4:
                        $ proposedDateSlot = 1
            jump matchNegotiateLoop
        elif button_selection=="date -":
            $ proposedDateSlot -= 1
            if proposedDateSlot < 0:
                $ proposedDateSlot = 4
            $ dateFree = 0
            while dateFree == 0:
                if matchesBooked[proposedDateSlot] < 5:
                    $ dateFree = 1
                else:
                    $ dateFree = 0
                    $ proposedDateSlot -= 1
                    if proposedDateSlot < 0:
                        $ proposedDateSlot = 4
            jump matchNegotiateLoop
        elif button_selection=="purse +10":
            $ proposedPurse += 10
            if proposedPurse > 100:
                $ proposedPurse = 100
            jump matchNegotiateLoop
        elif button_selection=="purse +1":
            $ proposedPurse += 1
            if proposedPurse > 100:
                $ proposedPurse = 100
            jump matchNegotiateLoop
        elif button_selection=="purse -1":
            $ proposedPurse -= 1
            if proposedPurse < 1:
                $ proposedPurse = 1
            jump matchNegotiateLoop
        elif button_selection=="purse -10":
            $ proposedPurse -= 10
            if proposedPurse < 1:
                $ proposedPurse = 1
            jump matchNegotiateLoop
    
    hide worldBelt
    jump stableBookMatch
    
label negotiateMatch:
    
    scene bg manager_bkgnd:
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    $ stickingPoints = 0
    $ matchAccepted = 0
    $ opponentsPurse = (100 - proposedPurse)
    
    if boxerRecovery[rankingSlot[bookIndex]] <= 4 and boxerEnergy[rankingSlot[bookIndex]] < 30:
        $ recoveryDays = 35
    elif boxerRecovery[rankingSlot[bookIndex]] <= 8 and boxerRecovery[rankingSlot[bookIndex]] > 4 and boxerEnergy[rankingSlot[bookIndex]] < 30:
        $ recoveryDays = 28
    elif boxerRecovery[rankingSlot[bookIndex]] <= 10 and boxerRecovery[rankingSlot[bookIndex]] > 8 and boxerEnergy[rankingSlot[bookIndex]] < 30:
        $ recoveryDays = 21
    elif boxerRecovery[rankingSlot[bookIndex]] <= 12 and boxerRecovery[rankingSlot[bookIndex]] > 10 and boxerEnergy[rankingSlot[bookIndex]] < 30:
        $ recoveryDays = 14
    elif boxerEnergy[rankingSlot[bookIndex]] < 10:
        $ recoveryDays = 35
    else:
        $ recoveryDays = 7
        
    if proposedDateSlot == 1:
        $ daysToMatch = 13
    elif proposedDateSlot == 2:
        $ daysToMatch = 20
    elif proposedDateSlot == 3:
        $ daysToMatch = 27
    elif proposedDateSlot == 4:
        $ daysToMatch = 34
    
    if opponentsPurse < int(expectedPurse - int(expectedPurse * 0.07)):
        $ stickingPoints += 1
        $ textColorPurse = "#FF0000"
        manager "I would expect more than %(opponentsPurse)u%% of the fight purse for my boy."
        
    if daysToMatch < recoveryDays:
        $ stickingPoints += 1
        $ textColorDate = "#FF0000"
        manager "My boy's not going to be fit to fight by that date."
        
    if stickingPoints == 2:
        manager "Your proposal just isn't right at the moment. Try to improve it."
        $ contractAccepted = 0
    elif stickingPoints == 1:
        manager "We're very close to making a deal. If you can just improve the areas that we discussed, I think we can get this fight signed."
        $ contractAccepted = 0
    elif stickingPoints == 0:
        manager "Excellent! You've made a very good deal. I look forward to seeing my boy meet yours in the ring."
        $ contractAccepted = 1
    
    if contractAccepted == 1:
        if proposedDateSlot == 0:
            $ redFighter[0 + matchesBooked[proposedDateSlot]] = rankingSlot[statsIndex]
            $ blueFighter[0 + matchesBooked[proposedDateSlot]] = rankingSlot[bookIndex]
        elif proposedDateSlot == 1:
            $ redFighter[5 + matchesBooked[proposedDateSlot]] = rankingSlot[statsIndex]
            $ blueFighter[5 + matchesBooked[proposedDateSlot]] = rankingSlot[bookIndex]
        elif proposedDateSlot == 2:
            $ redFighter[10 + matchesBooked[proposedDateSlot]] = rankingSlot[statsIndex]
            $ blueFighter[10 + matchesBooked[proposedDateSlot]] = rankingSlot[bookIndex]
        elif proposedDateSlot == 3:
            $ redFighter[15 + matchesBooked[proposedDateSlot]] = rankingSlot[statsIndex]
            $ blueFighter[15 + matchesBooked[proposedDateSlot]] = rankingSlot[bookIndex]
        elif proposedDateSlot == 4:
            $ redFighter[20 + matchesBooked[proposedDateSlot]] = rankingSlot[statsIndex]
            $ blueFighter[20 + matchesBooked[proposedDateSlot]] = rankingSlot[bookIndex]
        $ matchesBooked[proposedDateSlot] += 1
        $ boxerMatchBooked[rankingSlot[statsIndex]] = 1
        $ boxerMatchBooked[rankingSlot[bookIndex]] = 1
        
        $ boxerFightsBooked[rankingSlot[statsIndex]] += 1
        if boxerFightsBooked[rankingSlot[statsIndex]] >= boxerPromiseFights[rankingSlot[statsIndex]]:
            $ boxerContractExpiring[rankingSlot[statsIndex]] = 1
        else:
            $ boxerContractExpiring[rankingSlot[statsIndex]] = 0
        if boxerRanking[rankingSlot[bookIndex]] == 1 or boxerRanking[rankingSlot[statsIndex]] == 1 or boxerContractTitle[rankingSlot[statsIndex]] == "World":
            $ boxerContractTitle[rankingSlot[statsIndex]] = "World"
        else:
            $ boxerContractTitle[rankingSlot[statsIndex]] = "None"
        $ boxerNextFightPurse[rankingSlot[statsIndex]] = proposedPurse
        $ boxerNextFightOpponent[rankingSlot[statsIndex]] = rankingSlot[bookIndex]
        $ boxerNextFightDay[rankingSlot[statsIndex]] = eventDay[proposedDateSlot]
        $ boxerNextFightMonth[rankingSlot[statsIndex]] = eventMonth[proposedDateSlot]
        $ boxerNextFightYear[rankingSlot[statsIndex]] = eventYear[proposedDateSlot]
        
        if boxerNextFightPurse[rankingSlot[statsIndex]] < boxerPromisePurse[rankingSlot[statsIndex]]:
            $ boxerEmotionStable[rankingSlot[statsIndex]] -= 1
            
        $ boxerEmotionOverall[rankingSlot[statsIndex]] = int((boxerEmotionRecord[rankingSlot[statsIndex]] + boxerEmotionStable[rankingSlot[statsIndex]] + boxerEmotionTraining[rankingSlot[statsIndex]]) / 3)
        
        if boxerContractExpiring[rankingSlot[statsIndex]] == 1:
            $ contractFirstName = boxerFirstName[rankingSlot[statsIndex]]
            $ contractSurname = boxerSurname[rankingSlot[statsIndex]]
            
            scene bg office_bkgnd:
                zoom 1.0
                xalign 1.0
                yalign 1.0
                
            show tracy main at center
            
            tracy "You've just booked %(contractFirstName)s %(contractSurname)s for his final fight under contract with us. If you don't offer him a new contract once that fight is over, he'll be free to sign with another manager."
        
        $ boxerFightsBooked[rankingSlot[bookIndex]] += 1
        if boxerFightsBooked[rankingSlot[bookIndex]] >= boxerPromiseFights[rankingSlot[bookIndex]]:
            $ boxerContractExpiring[rankingSlot[bookIndex]] = 1
        else:
            $ boxerContractExpiring[rankingSlot[bookIndex]] = 0
        if boxerRanking[rankingSlot[statsIndex]] == 1 or boxerRanking[rankingSlot[bookIndex]] == 1 or boxerContractTitle[rankingSlot[bookIndex]] == "World":
            $ boxerContractTitle[rankingSlot[bookIndex]] = "World"
        else:
            $ boxerContractTitle[rankingSlot[bookIndex]] = "None"
        $ boxerNextFightPurse[rankingSlot[bookIndex]] = opponentsPurse
        $ boxerNextFightOpponent[rankingSlot[bookIndex]] = rankingSlot[statsIndex]
        $ boxerNextFightDay[rankingSlot[bookIndex]] = eventDay[proposedDateSlot]
        $ boxerNextFightMonth[rankingSlot[bookIndex]] = eventMonth[proposedDateSlot]
        $ boxerNextFightYear[rankingSlot[bookIndex]] = eventYear[proposedDateSlot]
        
        if boxerNextFightPurse[rankingSlot[bookIndex]] < boxerPromisePurse[rankingSlot[bookIndex]]:
            $ boxerEmotionStable[rankingSlot[bookIndex]] -= 1
            
        $ boxerEmotionOverall[rankingSlot[bookIndex]] = int((boxerEmotionRecord[rankingSlot[bookIndex]] + boxerEmotionStable[rankingSlot[bookIndex]] + boxerEmotionTraining[rankingSlot[bookIndex]]) / 3)
        
        $ statsIndex = rankingSlot[statsIndex]
        
        jump stableShowContract
    else:
        jump matchNegotiateLoop
        
    jump matchNegotiateLoop