## Stable Training

label stableTraining:
    
    scene bg training_bkgnd: 
        zoom 1.0
        xalign 1.0
        yalign 1.0
    
    hide screen gui
    
    if boxerRanking[statsIndex] == 1:
        show worldBelt:
            xanchor 0.5
            yanchor 0.5
            xpos 137
            ypos 57

    $ buttonXMin = 150
    $ buttonYMin = 80
    $ buttonXMax = 150
    $ buttonYMax = 80
    $ buttonStatsYMin = 60
    $ buttonStatsYMax = 60
    $ textSize = 26
    $ textColorStatName = "#FFFFFF"
    $ textColorStat = "#FFFF00"
    
    $ emotionText = "Null"
    
    if boxerEmotionTraining[statsIndex] == 0:
        $ emotionText = "Very Unhappy"
    elif boxerEmotionTraining[statsIndex] == 1:
        $ emotionText = "Unhappy"
    elif boxerEmotionTraining[statsIndex] == 2:
        $ emotionText = "Disappointed"
    elif boxerEmotionTraining[statsIndex] == 3:
        $ emotionText = "Satisfied"
    elif boxerEmotionTraining[statsIndex] == 4:
        $ emotionText = "Optimistic"
    elif boxerEmotionTraining[statsIndex] == 5:
        $ emotionText = "Happy"
    elif boxerEmotionTraining[statsIndex] == 6:
        $ emotionText = "Very Happy"
    
    $ ui.text("%u. %s %s " % (boxerRanking[statsIndex], boxerFirstName[statsIndex], boxerSurname[statsIndex]), xpos=640, ypos=10, size=38, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0)
    $ ui.text("Born %u.%u.%u (Age %u). W%u(%u)-L%u(%u)-D%u" % (boxerBirthDay[statsIndex], boxerBirthMonth[statsIndex], boxerBirthYear[statsIndex], boxerAge[statsIndex], boxerWins[statsIndex], boxerKOs[statsIndex], boxerLosses[statsIndex], boxerKOLosses[statsIndex], boxerDraws[statsIndex]), xpos=640, ypos=60, size=32, xalign=0.5, yalign=0.0, xanchor=0.5, yanchor=0.0, color="#FFFF00")
    
    $ ui.grid (4,8, xpos=660, ypos=120, xanchor=0.5, yanchor=0.0, xalign=0.5, yalign=0.0)
        
    $ ui.text("Accuracy: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerAccuracy[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Footwork: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerFootwork[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Awareness: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerAwareness[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Hand Speed: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerHandSpeed[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Chin: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerChin[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Intelligence: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerIntelligence[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Cut Resistance: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerCuts[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Recovery: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerRecovery[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Defence: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDefence[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Stamina: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerStamina[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Determination: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDetermination[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Strength: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerStrength[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Dodging: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerDodging[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Toughness: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStatName)
    $ ui.text("%u" % boxerToughness[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Physical Condition: ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%u%%" % boxerEnergy[statsIndex], size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    $ ui.text("Morale (training): ", size=textSize, xalign=0.0, yalign=1.0, color=textColorStat)
    $ ui.text("%s" % emotionText, size=textSize, xalign=0.5, yalign=1.0, color=textColorStat)
    
    $ ui.close()
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=375, xanchor=0.5, yanchor=0.0)
    $ ui.text("Training Focus (no more than 3 at a time)", size=26, xalign=0.5, yalign=1.0, color=textColorStatName)
    $ ui.close()
    
    $ ui.textbutton("AUTO-TRAIN\n%u" % boxerAutoTraining[statsIndex], clicked=ui.returns("auto"), xalign= 0.5, xpos=160, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Cardio\n%u" % boxerTrainCardio[statsIndex], clicked=ui.returns("cardio"), xalign= 0.5, xpos=320, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Skipping\n%u" % boxerTrainSkip[statsIndex], clicked=ui.returns("skip"), xalign= 0.5, xpos=480, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Sparring\n%u" % boxerTrainSpar[statsIndex], clicked=ui.returns("spar"), xalign= 0.5, xpos=640, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Speed Bag\n%u" % boxerTrainSpeedBag[statsIndex], clicked=ui.returns("speed"), xalign= 0.5, xpos=800, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Heavy Bag\n%u" % boxerTrainHeavyBag[statsIndex], clicked=ui.returns("heavy"), xalign= 0.5, xpos=960, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    $ ui.textbutton("Weights\n%u" % boxerTrainWeights[statsIndex], clicked=ui.returns("weights"), xalign= 0.5, xpos=1120, ypos=415, xanchor=0.5, yanchor=0.0, xminimum=buttonXMin, yminimum=buttonYMin, xmaximum=buttonXMax, ymaximum=buttonYMax)
    
    $ textSizeRecord = 19
    
    $ ui.text("Accuracy", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=65, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Dodging", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=180, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Awareness", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=295, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Defence", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=410, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Footwork", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=525, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Hand Speed", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=640, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Intelligence", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=755, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Recovery", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=870, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Stamina", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=985, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Strength", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=1100, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    $ ui.text("Toughness", size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=1215, ypos=535, xanchor=0.5, yanchor=1.0, color=textColorStatName)
    
    $ textSizeRecord = 24
    
    if boxerIncAccuracy[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncAccuracy[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncAccuracy[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=65, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncDodging[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncDodging[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncDodging[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=180, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncAwareness[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncAwareness[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncAwareness[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=295, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncDefence[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncDefence[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncDefence[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=410, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncFootwork[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncFootwork[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncFootwork[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=525, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncHandSpeed[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncHandSpeed[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncHandSpeed[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=640, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncIntelligence[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncIntelligence[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncIntelligence[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=755, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncRecovery[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncRecovery[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncRecovery[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=870, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncStamina[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncStamina[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncStamina[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=985, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncStrength[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncStrength[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncStrength[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=1100, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    if boxerIncToughness[statsIndex] > 0:
        $ textColorStatProg = "#00FF00"
    elif boxerIncToughness[statsIndex] < 0:
        $ textColorStatProg = "#FF0000"
    else:
        $ textColorStatProg = "#FFFF00"
        
    $ ui.text("%u" % boxerIncToughness[statsIndex], size=textSizeRecord, xalign=0.5, yalign=1.0, xpos=1215, ypos=565, xanchor=0.5, yanchor=1.0, color=textColorStatProg)
    
    $ ui.vbox(xalign= 0.5, xpos=640, ypos=575, xanchor=0.5, yanchor=0.0)
    $ ui.text("Once training progress reaches 100, the associated stat increases by 1.", size=20, xalign=0.5, yalign=1.0, color=textColorStatName)
    $ ui.text("If lack of training allows -100 to be reached, the associated stat decreases by 1.", size=20, xalign=0.5, yalign=1.0, color=textColorStatName)
    $ ui.close()
    
    $ ui.hbox(xalign= 0.5, xpos=640, ypos=710, xanchor=0.5, yanchor=1.0)
    $ ui.textbutton("Done", clicked=ui.returns("done"), xminimum=115, yminimum=80, xmaximum=115, ymaximum=80)
    $ ui.close()
    
    $ button_selection=ui.interact()
    
    $ trainingSessions = (boxerTrainWeights[statsIndex] + boxerTrainSkip[statsIndex] + boxerTrainSpar[statsIndex] + boxerTrainSpeedBag[statsIndex] + boxerTrainHeavyBag[statsIndex] + boxerTrainCardio[statsIndex])
                
    if button_selection=="done":
        hide worldBelt
        jump showStable
    elif button_selection=="auto":
        if boxerAutoTraining[statsIndex] == 0:
            $ boxerAutoTraining[statsIndex] = 1
        else:
            $ boxerAutoTraining[statsIndex] = 0
        jump stableTraining
    elif button_selection=="weights":
        if boxerTrainWeights[statsIndex] == 0 and boxerAutoTraining[statsIndex] == 0 and trainingSessions < 3:
            $ boxerTrainWeights[statsIndex] = 1
        else:
            $ boxerTrainWeights[statsIndex] = 0
        jump stableTraining
    elif button_selection=="skip":
        if boxerTrainSkip[statsIndex] == 0 and boxerAutoTraining[statsIndex] == 0 and trainingSessions < 3:
            $ boxerTrainSkip[statsIndex] = 1
        else:
            $ boxerTrainSkip[statsIndex] = 0
        jump stableTraining
    elif button_selection=="cardio":
        if boxerTrainCardio[statsIndex] == 0 and boxerAutoTraining[statsIndex] == 0 and trainingSessions < 3:
            $ boxerTrainCardio[statsIndex] = 1
        else:
            $ boxerTrainCardio[statsIndex] = 0
        jump stableTraining
    elif button_selection=="spar":
        if boxerTrainSpar[statsIndex] == 0 and boxerAutoTraining[statsIndex] == 0 and trainingSessions < 3:
            $ boxerTrainSpar[statsIndex] = 1
        else:
            $ boxerTrainSpar[statsIndex] = 0
        jump stableTraining
    elif button_selection=="speed":
        if boxerTrainSpeedBag[statsIndex] == 0 and boxerAutoTraining[statsIndex] == 0 and trainingSessions < 3:
            $ boxerTrainSpeedBag[statsIndex] = 1
        else:
            $ boxerTrainSpeedBag[statsIndex] = 0
        jump stableTraining
    elif button_selection=="heavy":
        if boxerTrainHeavyBag[statsIndex] == 0 and boxerAutoTraining[statsIndex] == 0 and trainingSessions < 3:
            $ boxerTrainHeavyBag[statsIndex] = 1
        else:
            $ boxerTrainHeavyBag[statsIndex] = 0
        jump stableTraining
    
    jump showStable